<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:import href="./base/base.xsl" />
<xsl:import href="./lang/de.xsl" />

<xsl:output method="html" encoding="utf-8" standalone="no" indent="yes" omit-xml-declaration="yes" />

<xsl:template match="poll">
  
  <xsl:if test="@showdialog = 'no'">
    <xsl:call-template name="box_poll_only_results"/>
  </xsl:if>
  <xsl:if test="@showdialog = 'yes'">
    <xsl:call-template name="box_poll_form"/>
  </xsl:if>
</xsl:template>

<xsl:template name="box_poll_form">
  <div class="pollBoxForm">
  <form action="{@action}" method="post">
    <div class="question">
      <xsl:value-of select="@title" disable-output-escaping="yes"/>
    </div>
    <input type="hidden" name="{@fieldname}" value="{@id}" />
    <table class="answers">
      <xsl:for-each select="answer">
        <tr>
          <td class="checkBox">
            <input type="radio" name="{@fieldname}" value="{@id}" />
          </td>
          <td class="answer">
            <xsl:value-of select="."/>
          </td>
        </tr>
      </xsl:for-each>
    </table>
    <div class="button">
      <input type="submit" value="Abstimmen" />
    </div>
    <xsl:if test="link/@href != ''">
      <div class="linkAllPolls">&#xBB;<a href="{link/@href}"><xsl:value-of select="link"  disable-output-escaping="yes"/></a>&#xAB;
        <br clear="all" class="clear" />
      </div>
    </xsl:if>
  </form>
  </div>
</xsl:template>

<xsl:template name="box_poll_only_results">
  <xsl:param name="box" />
    <xsl:variable name="voted" select="voted" />
    <table border="0" class="pollBoxVoted">
      <tr>
        <td class="question" colspan="2">
          <xsl:value-of select="@title" disable-output-escaping="yes"/>
        </td>
      </tr>
      <xsl:for-each select="answer">
        <tr>
          <td class="oneAnswer"><xsl:value-of select="."/></td>
          <td class="answerResult"><xsl:value-of select="@result"/></td>
        </tr>
        <tr>
          <td colspan="2" class="balken">
            <xsl:if test="@result &gt;= 0">
            <div class="balken">
              <xsl:choose>
                <xsl:when test="@result &gt; 0">
                  <div class="progress{floor(@result div $voted * 5)}" style="width: {round(@result div $voted * 100)}%">
                  </div>
                </xsl:when>
                <xsl:otherwise>
                  <div class="none"></div>
                </xsl:otherwise>
              </xsl:choose>
            </div>
          </xsl:if>
          </td>
        </tr>
      </xsl:for-each>
      <tr>
        <td class="allVots">Stimmen gesamt: </td>
        <td><xsl:value-of select="$voted"/></td>
      </tr>
       <xsl:if test="link/@href != ''">
        <tr>
          <td colspan="2" class="linkAllPolls">
            &#xBB;<a href="{link/@href}"><xsl:value-of select="link" disable-output-escaping="yes"/></a>&#xAB;
          </td>
        </tr>
      </xsl:if>
    </table>

</xsl:template>

</xsl:stylesheet>