<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/1999/xhtml">

<xsl:template name="content_podcast_channel">
<!--
  <xsl:param name="content" select="/page/content/topic"/>
  <xsl:call-template name="content_topic"/>  
-->
  <xsl:param name="content" select="/page/content/topic"/>
  <h1 class="contentTitle">
    <xsl:choose>
      <xsl:when test="$content/title/text() != ''"><xsl:value-of select="$content/title" disable-output-escaping="yes"/></xsl:when>
      <xsl:otherwise><xsl:value-of select="$PAGE_TITLE" disable-output-escaping="yes"/></xsl:otherwise>
    </xsl:choose>
    <xsl:if test="$content/subtitle/text() != ''">
      <span class="contentSubtitle"><xsl:value-of select="$content/subtitle" disable-output-escaping="yes"/></span>
    </xsl:if>   
  </h1>

  <div class="podcastChannel">  
    <p class="description">
      <xsl:value-of select="$content/description"/>
    </p>
    <xsl:choose>
      <xsl:when test="$content/link != ''">
        <a class="podcastLink" href="{$content/link}">Podcast Link</a>
      </xsl:when>
      <xsl:otherwise>
        <a class="podcastLink" href="http://{$content/server}{$PAGE_WEB_PATH}podcast.{$content/@no}.rss">Podcast Link</a>
      </xsl:otherwise>
    </xsl:choose>
  </div>  
  
  <xsl:if test="count($content/subtopics/subtopic/file) &gt; 0">    
    <xsl:for-each select="$content/subtopics/subtopic/file">  
      <table class="podcastDownload" border="0">
        <colgroup>
          <col class="title" />
          <col />
          <col />
        </colgroup>
        <tr>
          <th class="title">Name</th>
          <th class="filesize">Gr&#xF6;&#xDF;e</th>
          <th class="filedata">Datum</th>        
        </tr>

        <tr>
          <xsl:attribute name="class">
            <xsl:choose>
              <xsl:when test="not(position() mod 2)">low</xsl:when>
              <xsl:otherwise>high</xsl:otherwise>
            </xsl:choose>
          </xsl:attribute>
          <td class="title">
            <a href="{@download}">
              <img border="0" src="{$PAGE_THEME_PATH}pics/dl_button.gif" />&#160; 
              <xsl:choose>
                <xsl:when test="../title != ''">
                  <xsl:value-of select="../title" disable-output-escaping="yes"/>
                </xsl:when>
                <xsl:otherwise>
                  <xsl:value-of select="@file_name" disable-output-escaping="yes"/>
                </xsl:otherwise>
              </xsl:choose>
            </a>
          </td>
          <td class="filesize">
            <xsl:value-of select="@file_size_human" disable-output-escaping="yes"/> kB
          </td>
          <td>
            <xsl:value-of select="@file_date" disable-output-escaping="yes"/>
          </td>
        </tr>
      </table>
      
      <xsl:if test="../subtitle != ''">
        <p class="podcastSubtitle" border="0">
          <b><xsl:value-of select="../subtitle"/></b>
        </p>
      </xsl:if>
      <xsl:if test="../summary != ''">
        <p class="podcastSummary" border="0">
          <xsl:value-of select="../summary"/>
        </p>
      </xsl:if>
    </xsl:for-each>
  </xsl:if>   
</xsl:template>
</xsl:stylesheet>