<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template name="content_sitemap">
  <xsl:param name="content" select="/page/content/topic"/>
  <xsl:variable name="itemwidth">160</xsl:variable>
  <xsl:call-template name="content_topic">
    <xsl:with-param name="content" select="$content"/>
  </xsl:call-template>
  <div class="contentSitemap">
    <xsl:call-template name="content_sitemap_items">
      <xsl:with-param name="items" select="$content/sitemap/mapitem"/>
    </xsl:call-template>
  </div>
</xsl:template>

<xsl:template name="content_sitemap_items">
  <xsl:param name="items"/>
  <xsl:param name="indent">0</xsl:param>
  <xsl:if test="count($items) &gt; 0">
    <ul class="level{$indent}">
      <xsl:for-each select="$items">
        <xsl:variable name="lastItem">
          <xsl:choose>
            <xsl:when test="position() = last()">1</xsl:when>
            <xsl:otherwise>0</xsl:otherwise>
          </xsl:choose>
        </xsl:variable>
        <xsl:call-template name="content_sitemap_item">
          <xsl:with-param name="item" select="."/>
          <xsl:with-param name="indent" select="$indent"/>
          <xsl:with-param name="lastItem" select="$lastItem"/>
        </xsl:call-template>
      </xsl:for-each>
    </ul>
  </xsl:if>
</xsl:template>

<xsl:template name="content_sitemap_item">
  <xsl:param name="item"/>
  <xsl:param name="indent">0</xsl:param>
  <xsl:param name="lastItem">0</xsl:param>
  <li>
    <xsl:if test="$lastItem = 1">
      <xsl:attribute name="class">last</xsl:attribute>
    </xsl:if>
    <a href="{$item/@href}" target="{$item/@target}"><xsl:value-of select="$item/@title"/></a>
    <xsl:call-template name="content_sitemap_items">
      <xsl:with-param name="items" select="$item/mapitem"/>
      <xsl:with-param name="indent" select="$indent + 1"/>
    </xsl:call-template>
  </li>
</xsl:template>

</xsl:stylesheet>
