<?xml version="1.0"?> 
<xsl:stylesheet version="1.0" xmlns:itunes="http://www.itunes.com/dtds/podcast-1.0.dtd" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output method="xml" encoding="utf-8" standalone="yes" indent="yes" omit-xml-declaration="no" /> 

<!-- Params -->
<xsl:param name="PAGE_THEME_PATH" />
<xsl:param name="PAGE_WEB_PATH" />
<xsl:param name="PAGE_TITLE" />
<xsl:param name="PAGE_PRINT_URL" />

<xsl:template match="/">
  <xsl:apply-templates select="page"/>
</xsl:template>

<xsl:template match="page">
  <xsl:apply-templates select="content"/>
</xsl:template>

<xsl:template match="content">
  <xsl:apply-templates select="topic"/>
</xsl:template>

<xsl:template match="topic">  
<xsl:element name="rss">
  <xsl:attribute name="xmlns">http://www.itunes.com/dtds/podcast-1.0.dtd</xsl:attribute>
  <xsl:attribute name="version">2.0</xsl:attribute>
  
  <channel>
    <ttl><xsl:value-of select="timetolive"/></ttl>
    <xsl:choose>
      <xsl:when test="link !=''">
        <link><xsl:value-of select="link"/></link>
      </xsl:when>
      <xsl:otherwise>
        <link>http://<xsl:value-of select="server"/><xsl:value-of select="$PAGE_WEB_PATH"/>podcast.<xsl:value-of select="@no"/>.html</link>      
      </xsl:otherwise>
    </xsl:choose>
    <title><xsl:value-of select="title"/></title>
    <description><xsl:value-of select="description"/></description>
    <language><xsl:call-template name="podcastLanguage"/></language>            
    <copyright><xsl:value-of select="copyright"/></copyright>
    <itunes:subtitle><xsl:value-of select="subtitle" /></itunes:subtitle>
    <itunes:author><xsl:value-of select="author"/></itunes:author>
    <itunes:summary><xsl:value-of select="summary"/></itunes:summary>
  
    <xsl:if test="image != ''">
      <itunes:image href="http://{server}{$PAGE_WEB_PATH}index.media.{image}" />
    </xsl:if>    
    
    <xsl:apply-templates select="subtopics"/>

  </channel>  
</xsl:element>
</xsl:template>

<xsl:template match="subtopics">
  <xsl:apply-templates select="subtopic"/>  
</xsl:template>

<xsl:template match="subtopic">
<xsl:if test="file">
  <item>
    <xsl:if test="title != ''"><title><xsl:value-of select="title" /></title></xsl:if>
    <xsl:if test="author"><itunes:author><xsl:value-of select="author"/></itunes:author></xsl:if>
    <xsl:if test="subtitle"><itunes:subtitle><xsl:value-of select="subtitle"/></itunes:subtitle></xsl:if>
    <xsl:if test="summary"><itunes:summary><xsl:value-of select="summary"/></itunes:summary></xsl:if>
    <xsl:if test="keywords"><itunes:keywords><xsl:value-of select="keywords"/></itunes:keywords></xsl:if>
    <enclosure url="http://{../../server}/{file/@download}" length="{file/@file_size}" type="{file/@file_type}" />
    <!-- Dies hier musste raus, weil ein getesteter PodCast Client die URL
         falsch berrechnet und die guid anfordert.
    <guid>http://<xsl:value-of select="../../server"/><xsl:value-of select="$PAGE_WEB_PATH"/><xsl:value-of select="@guid"/>/<xsl:value-of select="file/@file_id"/></guid>
    -->
    <!-- Deshalb ersetzt durch die download-url -->
    <guid>http://<xsl:value-of select="../../server"/>/<xsl:value-of select="file/@download"/></guid>
    <pubDate><xsl:value-of select="@createdRFC822"/></pubDate>
  </item>  
</xsl:if>
</xsl:template>

<xsl:template name="podcastLanguage">
  <xsl:choose>
    <xsl:when test="/page/meta/metatags/language='de_DE'">de-de</xsl:when>
    <xsl:when test="/page/meta/metatags/language='en_EN'">en-us</xsl:when>
  </xsl:choose>
</xsl:template>
</xsl:stylesheet>