<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/1999/xhtml">

<xsl:import href="./base/base.xsl" />

<xsl:param name="PAGE_THEME_PATH" />
<xsl:param name="PAGE_WEB_PATH" />

<xsl:output method="xml" encoding="utf-8" standalone="no" indent="yes" omit-xml-declaration="yes" />

<xsl:template match="quiz">
  <xsl:if test="count(answer) &gt; 0">
     <xsl:call-template name="answer"/>
  </xsl:if>
  <xsl:if test="count(reply) &gt; 0">
    <xsl:call-template name="reply"/>
  </xsl:if>
</xsl:template>  

<xsl:template name="answer">
  <div class="quizBoxForm">
    <form action="{@action}" method="post" class="quiz">
      <div class="question">
        <xsl:value-of select="question" disable-output-escaping="yes"/>    
      </div>
      <xsl:for-each select="answer">
        <div class="answer">
          <div class="radio">
            <input type="radio" name="{@fieldname}" value="{@id}" id="quizboxoption{@id}" />
          </div>
          <div class="text">  
            <label for="quizboxoption{@id}"><xsl:value-of select="." disable-output-escaping="yes"/></label>
          </div>
        </div>
      </xsl:for-each>
      <div class="button">
        <input type="submit" class="submitButton" value="Abschicken" />
      </div>
    </form>
  </div>     
</xsl:template>

<xsl:template name="reply">
  <div class="quizBoxForm">
    <div class="question">
      <xsl:value-of select="question" disable-output-escaping="yes"/>    
    </div>    
    <div class="answers">
      <xsl:apply-templates select="reply"/>
    </div>      
  </div>
</xsl:template>

</xsl:stylesheet>

