<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/1999/xhtml">


<xsl:template name="content_forum">
  <xsl:param name="content" select="/page/content/topic"/>
  <xsl:if test="$content/msgdialog">
    <form action="{$content/msgdialog/@action}" method="post">
    <xsl:copy-of select="$content/msgdialog/input[@type='hidden']"/>
    <table border="1" cellpadding="2" cellpsacing="0" width="100%">
      <tr>
        <th>Frage</th>
      </tr>
      <tr>
        <td><xsl:value-of select="$content/msgdialog/message" disable-output-escaping="yes" /></td>
      </tr>
      <tr>
        <td style="padding: 0px; border: none; text-align: right;"><input type="image" src="{$PAGE_THEME_PATH}pics/btnsave.gif" width="69" height="27" border="0" alt="" /></td>
      </tr>
    </table>
    </form>
  </xsl:if>
  <xsl:if test="$content/forum">
    <xsl:choose>
            
      <xsl:when test="$content/forum/categs or $content/forum/forums">   
        <xsl:call-template name="forum_categview">
          <xsl:with-param name="categs" select="$content/forum/categs"/>
          <xsl:with-param name="forums" select="$content/forum/forums"/>    
          <xsl:with-param name="forumtitle" select="$content/title" />      
          <xsl:with-param name="links" select="$content/forum/links" />     
          <xsl:with-param name="pathlinks" select="$content/forum/pathnavi" />  
        </xsl:call-template>
      </xsl:when>
      
      <xsl:when test="$content/forum/searchdlg/dialog">                  
        <xsl:call-template name="forum_search">
          <xsl:with-param name="threads" select="$content/forum/threads"/>
          <xsl:with-param name="dialog" select="$content/forum/searchdlg/dialog"/>
          <xsl:with-param name="forumtitle" select="$content/forum/@title"/> 
          <xsl:with-param name="links" select="$content/forum/links" />  
          <xsl:with-param name="message" select="$content/forum/message" />    
        </xsl:call-template>
      </xsl:when>
      
      <xsl:when test="$content/forum/threads">                       
        <xsl:call-template name="forum_threadlist">
          <xsl:with-param name="threads" select="$content/forum/threads"/>
          <xsl:with-param name="dialog" select="$content/forum/newdlg/dialog"/>
          <xsl:with-param name="forumtitle" select="$content/forum/@title"/> 
          <xsl:with-param name="links" select="$content/forum/links" />   
        </xsl:call-template>
      </xsl:when>
      
      <xsl:when test="(count($content/forum/thread) = 1) and ($content/forum/@mode = 0)">
        <xsl:call-template name="forum_threaded_entry">
          <xsl:with-param name="thread" select="$content/forum/thread"/>
          <xsl:with-param name="entry" select="$content/forum/entry"/>
          <xsl:with-param name="dialog" select="$content/forum/newdlg/dialog"/>
          <xsl:with-param name="forumtitle" select="$content/forum/@title"/> 
          <xsl:with-param name="links" select="$content/forum/links" />   
        </xsl:call-template>
      </xsl:when>
      
      <xsl:when test="(count($content/forum/thread) = 1) and ($content/forum/@mode = 1)">
        <xsl:call-template name="forum_bbs_entry">
          <xsl:with-param name="thread" select="$content/forum/thread"/>
          <xsl:with-param name="dialog" select="$content/forum/newdlg/dialog"/>
          <xsl:with-param name="forumtitle" select="$content/forum/@title"/> 
          <xsl:with-param name="links" select="$content/forum/links" />   
        </xsl:call-template>
      </xsl:when>
      
      <xsl:when test="(count($content/forum/thread) = 1) and ($content/forum/@mode = 2)">
        <xsl:call-template name="forum_threadedbbs_entry">
          <xsl:with-param name="thread" select="$content/forum/thread"/>
          <xsl:with-param name="entrydata" select="$content/forum/entrydata"/>
          <xsl:with-param name="dialog" select="$content/forum/newdlg/dialog"/>
          <xsl:with-param name="forumtitle" select="$content/forum/@title"/> 
          <xsl:with-param name="links" select="$content/forum/links" />   
        </xsl:call-template>
      </xsl:when>
      
      <xsl:when test="(count($content/forum/newdlg/dialog) = 1)">
        <h1><xsl:value-of select="$content/title"/></h1>
        <xsl:call-template name="forum_form">
          <xsl:with-param name="dialog" select="$content/forum/newdlg/dialog"/>
          <xsl:with-param name="showerrormsg" select="($content/forum/newdlg/@error = 'error')"/>
          <xsl:with-param name="dialogtitle">
            <xsl:value-of select="$content/forum/@title"/> - Neuer Beitrag
          </xsl:with-param>
          <xsl:with-param name="links" select="$content/forum/links" />   
        </xsl:call-template>
      </xsl:when>
      
      <xsl:otherwise>
        <h1><xsl:value-of select="$PAGE_TITLE" disable-output-escaping="yes"/></h1>
        <div class="noContents">
          Kein Inhalt vorhanden
        </div>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:if>
</xsl:template>



<xsl:template name="forum_categview">  
  <xsl:param name="categs" />
  <xsl:param name="forums" />
  <xsl:param name="forumtitle"/>
  <xsl:param name="links"/>
  <xsl:param name="pathlinks"/>
  <xsl:variable name="categscount" select="count($categs/categ)" />
  <xsl:variable name="categslinecount">2</xsl:variable>
  
  <xsl:if test="$links/back/@href != ''">
    <a href="{$links/back/@href}" class="back" >Zur&#xFC;ck</a>
  </xsl:if>
  <xsl:if test="$links/search/@href != ''">
    <a href="{$links/search/@href}" class="search">Suche</a>
  </xsl:if>
  
  <h1><xsl:value-of select="$PAGE_TITLE" disable-output-escaping="yes"/></h1>
  <xsl:if test="$categscount &gt; 0">
    <div class="categsChapter">
      Kategorien
    </div>  
    <xsl:for-each select="$categs/categ[(position() mod $categslinecount) = 1]">
      <xsl:variable name="indexmin" select="position() * $categslinecount - $categslinecount" />
      <xsl:variable name="indexmax" select="position() * $categslinecount" />
      <xsl:call-template name="forum_categs">
        <xsl:with-param name="categs" select="$categs/categ[((position() &gt; $indexmin) and (position() &lt;= $indexmax))]"/>
        <xsl:with-param name="categscount" select="$categscount" />
        <xsl:with-param name="categslinecount" select="$categslinecount"/>
      </xsl:call-template>
    </xsl:for-each>
  </xsl:if>
  
  
  <xsl:if test="count($forums/forum) &gt; 0">
    <xsl:if test="$categscount &gt; 0">
      <div class="forumChapter">Foren</div>
    </xsl:if>
    <xsl:for-each select="$forums/forum">
      <div class="forumBlock">
        <h2><xsl:value-of select="@title" disable-output-escaping="yes"/></h2>
        <div class="forenDescription">
          <xsl:value-of select="./text()" disable-output-escaping="yes"/>
        </div>
        <div class="forenLink">
          <a href="{@href}" target="_self" class="more">
            mehr
          </a>
        </div>
      </div>
    </xsl:for-each>
  </xsl:if>
</xsl:template>

<xsl:template name="forum_categs">
  <xsl:param name="categs" />
  <xsl:param name="categscount"/>
  <xsl:param name="categslinecount"/>
  <xsl:param name="count" select="count($categs)" />
  <xsl:param name="width" select="round(100 div $categslinecount)"/>
  <xsl:choose>
      <xsl:when test="$count &gt; 1">
        <table class="categBlock" border="0">  
          <tr>
            <xsl:for-each select="$categs">   
              <xsl:variable name="swidth">
                <xsl:choose>
                  <xsl:when test="($categslinecount &gt; $count) and (position() = $count)">
                    <xsl:value-of select="0" />
                  </xsl:when>
                  <xsl:when test="position() != $categslinecount">
                    <xsl:value-of select="$width" />
                  </xsl:when>
                  <xsl:otherwise>
                    <xsl:value-of select="( 100 - ( $width * ( $categslinecount - 1 ) ) )" />
                  </xsl:otherwise>
                </xsl:choose>
              </xsl:variable>    
              <xsl:if test="position() &gt; 1">
                <td class="topicSpacer"><xsl:call-template name="space"/></td>
              </xsl:if>
              <td> 
                <xsl:if test="$swidth &gt; 0">
                  <xsl:attribute name="width">
                    <xsl:value-of select="$swidth"/>%
                  </xsl:attribute>
                </xsl:if>
                <h2>
                  <xsl:value-of select="@title" disable-output-escaping="yes"/>
                </h2>
                <div>
                  <xsl:value-of select="." disable-output-escaping="yes"/>
                </div>
                <a href="{@href}" target="_self" class="more">mehr</a>
              </td>
            </xsl:for-each>
          </tr>
        </table>
      </xsl:when>
      <xsl:otherwise>
        <xsl:variable name="categ" select="$categs[position() = 1]"/>
        <div class="categsBlock">   
          <h2 class="contentSubTopicTitle">
            <xsl:value-of select="$categ/@title" disable-output-escaping="yes"/>
          </h2>
          <div><xsl:value-of select="$categ" disable-output-escaping="yes"/></div>
          <a href="{$categ/@href}" class="more">mehr</a>
        </div>
      </xsl:otherwise>
    </xsl:choose>
</xsl:template>


<xsl:template name="forum_search">
  <xsl:param name="threads"/>
  <xsl:param name="dialog"/>
  <xsl:param name="forumtitle"/>
  <xsl:param name="links"/>
  <xsl:param name="message"></xsl:param>
  
  <xsl:if test="$links/back/@href != ''">
    <a href="{$links/back/@href}" class="back" >Zur&#xFC;ck</a>
  </xsl:if>      
  <h1>
    <xsl:value-of select="$PAGE_TITLE" disable-output-escaping="yes"/>
    <xsl:if test="$forumtitle != ''">
      <span class="subTitle"><xsl:value-of select="$forumtitle"/></span>
    </xsl:if>
  </h1>
  <form action="{$dialog/@action}" method="post">
  <xsl:copy-of select="$dialog/input[@type='hidden']"/>

  <table class="forumSearchForm">
    <tr>   
      <td class="title"><xsl:value-of select="$dialog/@title"/>:</td>
      <td class="inputField">
          <xsl:variable name="field" select="$dialog/lines/line[@fid='searchfor']/input"/>           
          <input type="{$dialog/lines/line[@fid='searchfor']/input/@type}" 
                 name="{$dialog/lines/line[@fid='searchfor']/input/@name}" 
                 value="{$dialog/lines/line[@fid='searchfor']/input/@value}" 
                 maxlength="{$dialog/lines/line[@fid='searchfor']/input/@maxlength}" 
                 class="searchform" />
      </td>   
      <td class="submitButton">     
        <input type="submit" name="threadarr_{position()}" value="Suchen" />       
      </td>
    </tr> 
  </table>
  <xsl:if test="$message and $message != ''">
    <div class="forumMessage">
      <xsl:value-of select="$message" disable-output-escaping="yes"/>
    </div>
  </xsl:if>
  <xsl:if test="count($threads/thread) &gt; 0">
    <h2 class="forumSearchResultsTitle">
      Suchergebnisse
    </h2>
    <table class="forumSearchResults">
      <colgroup>
        <col class="theme" />
        <col />
        <col />
      </colgroup>
      <tr >
        <th>Thema</th>
        <th>Beitr&#xE4;ge</th>
        <th>Letzte &#xC4;nderung</th>
      </tr>
      <xsl:for-each select="$threads/thread">
        <tr>
          <xsl:attribute name="class">
            <xsl:choose>
              <xsl:when test="not(position() mod 2)">low</xsl:when>
              <xsl:otherwise>high</xsl:otherwise>
            </xsl:choose>
          </xsl:attribute>
          <td class="theme">
            <a href="{@href}">
              <xsl:value-of select="@title" disable-output-escaping="yes"/>
            </a>
          </td>
          <td style="font-weight: normal;text-align: center;">
            <xsl:value-of select="@answers + 1" disable-output-escaping="yes"/>
          </td>
          <td style="font-weight: normal;text-align: right;">
            <xsl:value-of select="@modified" disable-output-escaping="yes"/>
          </td>
        </tr>
      </xsl:for-each>     
    </table>
    <div>
      <xsl:choose>
        <xsl:when test="$threads/@nlink != ''">
          <a class="forumSearchResultsButtonNewer" href="{$threads/@nlink}">Neuere</a>
        </xsl:when>
        <xsl:otherwise>
        </xsl:otherwise>
      </xsl:choose>
      <xsl:if test="$threads/@olink != ''">
        <a class="forumSearchResultsButtonOlder" href="{$threads/@olink}"> &#xC4;ltere</a>
      </xsl:if>  
    </div>
  </xsl:if>
</form>  
</xsl:template>


<xsl:template name="forum_threadlist">
  <xsl:param name="threads"/>
  <xsl:param name="dialog"/>
  <xsl:param name="forumtitle"/>
  <xsl:param name="links"/>
  <xsl:if test="$links/back/@href != ''">
    <a href="{$links/back/@href}" class="back" >Zur&#xFC;ck</a>
  </xsl:if>
  <xsl:if test="$links/search/@href != ''">
    <a href="{$links/search/@href}" class="search">Suche</a>
  </xsl:if>
  <xsl:call-template name="content_topic"/>
  <div class="forumSubtitleTopic">
    <xsl:value-of select="$forumtitle" disable-output-escaping="yes"/>
  </div>
  <table class="forumThreadList" border="0">
    <colgroup>
        <col class="theme" />
        <col/>
        <col/>
        <col/>
    </colgroup>
    <tr>
      <th>Thema</th>
      <th>Erzeugt</th>
      <th>Beitr&#xE4;ge</th>
      <th>Letzte &#xC4;nderung</th>
    </tr>
    <xsl:for-each select="$threads/thread">
      <tr>
        <xsl:attribute name="class">
          <xsl:choose>
            <xsl:when test="not(position() mod 2)">low</xsl:when>
            <xsl:otherwise>high</xsl:otherwise>
          </xsl:choose>
        </xsl:attribute>
        <td class="theme">
          <span class="blankBack">
          <a href="{@href}">
            <xsl:value-of select="@title" disable-output-escaping="yes"/>
          </a>
          </span>
        </td>
        <td>
          <span class="blankBack">
          <xsl:value-of select="@created" disable-output-escaping="yes"/>
          </span>
        </td>
        <td>
          <span class="blankBack">
          <xsl:value-of select="@answers + 1" disable-output-escaping="yes"/>
          </span>
        </td>
        <td>
          <span class="blankBack">
          <xsl:value-of select="@modified" disable-output-escaping="yes"/>
          </span>
        </td>
      </tr>
    </xsl:for-each>
  </table>  
  <div>  
    <xsl:if test="$threads/@nlink != ''">
      <a class="forumSearchResultsButtonNewer" href="{$threads/@nlink}">Neuere</a>
    </xsl:if>
    <xsl:if test="$threads/@olink != ''">
        <a class="forumSearchResultsButtonOlder" href="{$threads/@olink}"> &#xC4;ltere</a>
    </xsl:if>
    <br clear="all" class="clear" />
  </div>
  
  <xsl:call-template name="forum_form">
    <xsl:with-param name="dialog" select="$dialog"/>
    <xsl:with-param name="showerrormsg" select="($dialog/@error = 'error')"/>
    <xsl:with-param name="dialogtitle">
      <xsl:value-of select="$forumtitle"/> - Neuer Beitrag
    </xsl:with-param> 
    <xsl:with-param name="links" select="/page/content/topic/forum/links" />   
  </xsl:call-template>
        
     
  
</xsl:template>


<xsl:template name="forum_threaded_entry">
  <xsl:param name="thread"/>
  <xsl:param name="entry"/>
  <xsl:param name="dialog"/>
  <xsl:param name="forumtitle"/>
  <xsl:param name="links"/>                       
  <xsl:if test="$links/back/@href != ''">
    <a href="{$links/back/@href}" class="back" >Zur&#xFC;ck</a>        
  </xsl:if>
  <a href="{$links/search/@href}" class="search" >Suche</a>
  <xsl:call-template name="content_topic"/>
  <div class="forumSubtitleTopic">
    <xsl:value-of select="$forumtitle" disable-output-escaping="yes"/>
  </div>
  <div class="forumThreadedEntry" > 
    <h2>
      <xsl:value-of select="$entry/@title" disable-output-escaping="yes"/>
    </h2>
    <div class="text">
      <xsl:value-of select="$entry" disable-output-escaping="yes"/>
    </div>
  </div> 
  <table border="0" class="forumThreadedEntry">          
    <colgroup>
      <col class="theme" />
      <col />
      <col />
    </colgroup>
    <tr>
      <th>Thema</th>
      <th>Autor</th>
      <th>Datum</th>
    </tr>
    <xsl:for-each select="$thread/entries/entry">
      <tr>
        <xsl:attribute name="class">
          <xsl:choose>
            <xsl:when test="not(position() mod 2)">low</xsl:when>
            <xsl:otherwise>high</xsl:otherwise>
          </xsl:choose>
        </xsl:attribute>
        <td style="padding-left: {@indent * 10 + 3}px" class="theme">
          <span class="blankBack">
          <a href="{@href}">
            <xsl:if test="@selected">
              <xsl:attribute name="style">
                font-weight: bold;
              </xsl:attribute>
            </xsl:if>
            <xsl:value-of select="@title" disable-output-escaping="yes"/>
          </a>
          </span>
        </td>
        <td>          
          <span class="blankBack">
          <xsl:choose>
            <xsl:when test="@userhref != ''">
              <a href="{@userhref}">
                <xsl:value-of select="@username" disable-output-escaping="yes"/>
              </a>
            </xsl:when>
            <xsl:otherwise>
              <xsl:value-of select="@username" disable-output-escaping="yes"/>
            </xsl:otherwise>
          </xsl:choose>     
          </span>     
        </td>
        <td>
          <span class="blankBack">
            <xsl:value-of select="@modified" disable-output-escaping="yes"/>
          </span>
        </td>
      </tr>
    </xsl:for-each>   
  </table> 
  <a href="{$links/add/@href}" class="forumThreadedEntryReply">Antwort</a>
</xsl:template>

<xsl:template name="forum_bbs_entry">
  <xsl:param name="thread"/>
  <xsl:param name="dialog"/>
  <xsl:param name="forumtitle"/>
  <xsl:param name="links"/>
  <xsl:if test="$links/back/@href != ''">
    <a href="{$links/back/@href}" class="back" >Zur&#xFC;ck</a>
  </xsl:if>
  <a href="{$links/search/@href}" class="search" >Suche</a>
  <xsl:call-template name="content_topic"/>
  <h2 class="forumBbsEntryTitle"><xsl:value-of select="$forumtitle"/></h2>  
    <xsl:for-each select="$thread/entries/entry">
    <div class="forumBbsEntry">
      <h3 class="articleTitle">
        <xsl:attribute name="class">
          <xsl:choose>
            <xsl:when test="not(position() mod 2)">articleTitleLow</xsl:when>
            <xsl:otherwise>articleTitleHigh</xsl:otherwise>
          </xsl:choose>
        </xsl:attribute>
        <xsl:value-of select="@title" disable-output-escaping="yes"/>
        <span class="subTitle">
          von 
          <xsl:choose>
            <xsl:when test="@userhref">
              <a href="{@userhref}">
                <xsl:value-of select="@username" disable-output-escaping="yes"/>
              </a>
            </xsl:when>
            <xsl:otherwise>
              <xsl:value-of select="@username" disable-output-escaping="yes"/>
            </xsl:otherwise>
          </xsl:choose>
          am
          <xsl:value-of select="@created" disable-output-escaping="yes"/>
        </span>
      </h3>
      <div class="articleText">
        <xsl:attribute name="class">
          <xsl:choose>
            <xsl:when test="not(position() mod 2)">articleTextLow</xsl:when>
            <xsl:otherwise>articleTextHigh</xsl:otherwise>
          </xsl:choose>
        </xsl:attribute>
        <xsl:value-of select="." disable-output-escaping="yes"/>  
      </div>
    </div>
  </xsl:for-each> 
  <div class="bottomLinkBar">
    <xsl:if test="$thread/entries/@olink != ''">
      <a class="older" href="{$thread/entries/@olink}"> &#xC4;ltere </a>
    </xsl:if>
    <xsl:if test="$thread/entries/@nlink != ''">
      <a class="newer" href="{$thread/entries/@nlink}"> Neuere </a>
    </xsl:if>
    <div class="links">
      <xsl:if test="$thread/entries/pagelink">
        <xsl:for-each select="$thread/entries/pagelink">
          <xsl:if test="position() &gt; 1"> - </xsl:if>
          <xsl:choose>
            <xsl:when test="@selected">
              <xsl:value-of select="@no" disable-output-escaping="yes"/>
            </xsl:when>
            <xsl:otherwise>
              <a href="{@href}" style="font-weight: bold;">
                <xsl:value-of select="@no" disable-output-escaping="yes"/>
              </a>
            </xsl:otherwise>
          </xsl:choose>
        </xsl:for-each>
      </xsl:if>
    </div>
    <br clear="all" class="clear" />
  </div>  
</xsl:template>

<xsl:template name="forum_threadedbbs_entry">
  <xsl:param name="thread"/>
  <xsl:param name="entrydata"/>
  <xsl:param name="dialog"/>
  <xsl:param name="forumtitle"/>
  <xsl:param name="links"/>
  <xsl:if test="$links/back/@href != ''">
    <a href="{$links/back/@href}" class="back" >Zur&#xFC;ck</a>
  </xsl:if>
  <a href="{$links/search/@href}" class="search" >Suche</a>
  <xsl:call-template name="content_topic"/>
  <h2 class="forumBbsEntryTitle"><xsl:value-of select="$forumtitle"/></h2>  
  <xsl:for-each select="$entrydata/entries/entry">
    <div class="forumBbsEntry">
      <h3 class="articleTitle">
        <xsl:attribute name="class">
          <xsl:choose>
            <xsl:when test="not(position() mod 2)">articleTitleLow</xsl:when>
            <xsl:otherwise>articleTitleHigh</xsl:otherwise>
          </xsl:choose>
        </xsl:attribute>
        <xsl:value-of select="@title" disable-output-escaping="yes"/>
        <span class="subTitle">
          von 
          <xsl:choose>
            <xsl:when test="@userhref">
              <a href="{@userhref}">
                <xsl:value-of select="@username" disable-output-escaping="yes"/>
              </a>
            </xsl:when>
            <xsl:otherwise>
              <xsl:value-of select="@username" disable-output-escaping="yes"/>
            </xsl:otherwise>
          </xsl:choose>
          am
          <xsl:value-of select="@created" disable-output-escaping="yes"/>
        </span>
      </h3>
      <div class="articleText">
        <xsl:attribute name="class">
          <xsl:choose>
            <xsl:when test="not(position() mod 2)">articleTextLow</xsl:when>
            <xsl:otherwise>articleTextHigh</xsl:otherwise>
          </xsl:choose>
        </xsl:attribute>
        <xsl:value-of select="." disable-output-escaping="yes"/>  
        <a href="{@href}{$entrydata/@new_suffix}" class="more">Antworten</a>
      </div>
    </div>
  </xsl:for-each>  
  <div class="bottomLinkBar">
    <xsl:if test="$entrydata/entries/@olink != ''">
      <a class="older" href="{$entrydata/entries/@olink}"> &#xC4;ltere </a>
    </xsl:if>
    <xsl:if test="$entrydata/entries/@nlink != ''">
      <a class="newer" href="{$entrydata/entries/@nlink}"> Neuere </a>
    </xsl:if>
    <div class="links">
      <xsl:if test="$entrydata/entries/pagelink">
        <xsl:for-each select="$entrydata/entries/pagelink">
          <xsl:if test="position() &gt; 1"> - </xsl:if>
          <xsl:choose>
            <xsl:when test="@selected">
              <xsl:value-of select="@no" disable-output-escaping="yes"/>
            </xsl:when>
            <xsl:otherwise>
              <a href="{@href}" style="font-weight: bold;">
                <xsl:value-of select="@no" disable-output-escaping="yes"/>
              </a>
            </xsl:otherwise>
          </xsl:choose>
        </xsl:for-each>
      </xsl:if>
    </div>
    <br clear="all" class="clear" />
  </div>
  <h2 class="forumThreadedBbsEntry">
    Thread&#xFC;bersicht
  </h2> 
  <table border="0" class="forumThreadedEntry forumThreadedBbsEntry">          
    <colgroup>
      <col class="theme" />
      <col />
      <col />
    </colgroup>
    <tr>
      <th>Thema</th>
      <th>Autor</th>
      <th>Datum</th>
    </tr>
    <xsl:for-each select="$thread/entries/entry">
      <tr>
        <xsl:attribute name="class">
          <xsl:choose>
            <xsl:when test="not(position() mod 2)">low</xsl:when>
            <xsl:otherwise>high</xsl:otherwise>
          </xsl:choose>
        </xsl:attribute>
        <td style="padding-left: {@indent * 10 + 3}px" class="theme">
          <span class="blankBack">
          <a href="{@href}">
            <xsl:if test="@selected">
              <xsl:attribute name="style">
                font-weight: bold;
              </xsl:attribute>
            </xsl:if>
            <xsl:value-of select="@title" disable-output-escaping="yes"/>
          </a>
          </span>
        </td>
        <td>          
          <span class="blankBack">
          <xsl:choose>
            <xsl:when test="@userhref != ''">
              <a href="{@userhref}">
                <xsl:value-of select="@username" disable-output-escaping="yes"/>
              </a>
            </xsl:when>
            <xsl:otherwise>
              <xsl:value-of select="@username" disable-output-escaping="yes"/>
            </xsl:otherwise>
          </xsl:choose>       
          </span>   
        </td>
        <td>
          <span class="blankBack">
          <xsl:value-of select="@modified" disable-output-escaping="yes"/>
          </span>
        </td>
      </tr>
    </xsl:for-each>   
  </table> 
</xsl:template>

<xsl:template name="forum_form">
  <xsl:param name="dialog"/>
  <xsl:param name="showerrormsg"/>
  <xsl:param name="dialogtitle">Antwort schreiben</xsl:param>
  <xsl:param name="links"/>
  <xsl:if test="$showerrormsg">
    <p>Bitte pr&#xFC;fen Sie Ihre Eingaben!</p>
  </xsl:if>
  <xsl:if test="$dialog"> 
    <h2 class="forumEntryForm">
      <xsl:value-of select="$dialog/@title"/>
    </h2>         
    <form action="{$dialog/@action}" method="post" id="forum_form">
      <xsl:copy-of select="$dialog/input[@type='hidden']"/> 
      <table class="forumEnterArticle" border="0">
        <xsl:call-template name="forum_input">
          <xsl:with-param name="caption">Name</xsl:with-param>
          <xsl:with-param name="line" select="$dialog/lines/line[@fid='entry_username']"/>
        </xsl:call-template>
        <xsl:call-template name="forum_input">
          <xsl:with-param name="caption">E-Mail</xsl:with-param>
          <xsl:with-param name="line" select="$dialog/lines/line[@fid='entry_useremail']"/>
        </xsl:call-template>
        <xsl:call-template name="forum_input">
          <xsl:with-param name="caption">Betreff</xsl:with-param>
          <xsl:with-param name="line" select="$dialog/lines/line[@fid='entry_subject']"/>
        </xsl:call-template>
        <xsl:call-template name="forum_input">
          <xsl:with-param name="caption">Text</xsl:with-param>
          <xsl:with-param name="line" select="$dialog/lines/line[@fid='entry_text']"/>
          <xsl:with-param name="type">textarea</xsl:with-param>
        </xsl:call-template>      
        <xsl:if test="$dialog/lines/line[@fid='entry_sendanswers']/input">
          <tr>
            <td class="mailCheckbox" colspan="2">
              <input type="checkbox" name="{$dialog/lines/line[@fid='entry_sendanswers']/input/@name}" value="1">
                <xsl:if test="$dialog/lines/line[@fid='entry_sendanswers']/input[@value=1]/@checked">
                  <xsl:attribute name="checked">checked</xsl:attribute>
                </xsl:if>
              </input>
              Bei Antworten zu diesem Beitrag E-Mail-Benachrichtigung zuschicken!
            </td>
          </tr>
        </xsl:if>
      </table> 
      <div class="forumEnterArticle">
        <input class="submitButton" type="submit" value="Speichern" />
        <a class="cancelButton" href="{$links/back/@href}">Abbrechen</a>  
        <br clear="all" class="clear"/>
      </div>
    </form>
  </xsl:if>
</xsl:template>

<xsl:template name="forum_links">
  <xsl:param name="links"/>
  <xsl:if test="$links">
    <xsl:if test="(($links/back/@href != '') or ($links/search/@href != ''))">
      <xsl:if test="$links/back/@href != ''">
        <a href="{$links/back/@href}" class="back">zur&#xFC;</a>
      </xsl:if>
      <xsl:if test="$links/search/@href != ''">
        <a href="{$links/search/@href}" class="search">Suche</a>
      </xsl:if>
    </xsl:if>
  </xsl:if>
</xsl:template>



<xsl:template name="forum_input">
  <xsl:param name="caption"/>
  <xsl:param name="line"/>
  <xsl:param name="type">input</xsl:param>
  <xsl:variable name="error">
    <xsl:choose>
      <xsl:when test="$line/@error">_error</xsl:when>
      <xsl:otherwise></xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  <tr>
    <td class="title">
      <xsl:choose>
        <xsl:when test="$line/@error"><span style="color: #F00; font-weight: bold"><xsl:value-of select="$caption" />:</span></xsl:when>
        <xsl:otherwise><xsl:value-of select="$caption" />:</xsl:otherwise>
      </xsl:choose>
    </td>
    <td class="forumInput">
      <xsl:choose>
        <xsl:when test="$type = 'textarea'"><textarea name="{$line/textarea/@name}" class="forum{$error}" rows="8"><xsl:value-of select="$line/textarea" disable-output-escaping="yes"/></textarea></xsl:when>
        <xsl:when test="$type = 'password'"><input type="password" value="{$line/input/@value}" name="{$line/input/@name}" maxlength="60" class="forum{$error}"/></xsl:when>
        <xsl:otherwise>
          <input type="input" value="{$line/input/@value}" name="{$line/input/@name}" maxlength="60" class="forum{$error}">
            <xsl:if test="$line/input/@disabled">
              <xsl:attribute name="disabled">disabled</xsl:attribute>
            </xsl:if>
          </input>
        </xsl:otherwise>
      </xsl:choose>
    </td>
  </tr>
</xsl:template>

</xsl:stylesheet>
