<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/1999/xhtml">

<xsl:template name="content_login">
  <xsl:param name="content" select="/page/content/topic"/>
  <xsl:call-template name="content_topic" />  
  <xsl:choose>
    <xsl:when test="$content/passwordrequest">
      <form class="loginForm" action="{$content/passwordchange/@action}" method="post"  id="login">
        <input type="hidden" name="{$content/passwordrequest/@name}[newpwd]" value="{$content/passwordrequest/element[@name='newpwd']/@value}"/>
        <table>
          <tr>
            <td class="title">Benutzername:</td>
            <td class="input"><input class="text" type="input" name="{$content/passwordrequest/@name}[username]" value="{$content/passwordrequest/input[@name='username']/@value}" tabindex="1"/></td>
            <td></td>
          </tr>
          <tr>
            <td class="title">E-Mail:</td>
            <td class="input"><input class="text" type="input" name="{$content/passwordrequest/@name}[email]" value="{$content/passwordrequest/input[@name='email']/@value}" tabindex="2"/></td>
            <td>
              <input class="submitButton" type="submit" value="Anfordern" tabindex="3"/>        
            </td>
          </tr>
        </table>
      </form>
    </xsl:when>
    <xsl:when test="$content/passwordchange">
      <div class="loginMessage">
        <p>Sie k&#xF6;nnen nun hier ihr neues Kennwort eingeben.</p>
      </div>
      <form class="loginForm" action="{$content/passwordchange/@action}" method="post"  id="login">
        <input type="hidden" name="{$content/passwordchange/@name}_chg" value="{$content/passwordchange/element[@name='chg']/@value}"/>
        <input type="hidden" name="{$content/passwordchange/@name}_save" value="1"/>
        <table>
          <tr>
            <td class="title">Passwort:</td>
            <td class="input"><input class="text" type="password" name="{$content/passwordchange/@name}_password_1" /></td>
            <td></td>
          </tr>
          <tr>
            <td class="title">Wiederholung:</td>
            <td class="input"><input class="text" type="password" name="{$content/passwordchange/@name}_password_2" /></td>
            <td>
              <input class="submitButton" type="submit" value="Speichern" />        
            </td>
          </tr>
        </table>
      </form>
    </xsl:when>
    <xsl:otherwise>
      <div class="loginMessage">
        <p>Bitte geben Sie hier Ihren Benutzernamen, sowie Ihr Kennwort ein:</p>
      </div>
      <form class="loginForm" action="{$content/login/@action}" method="post">
        <table>
          <tr>
            <td class="title">Benutzername:</td>
            <td class="input"><input class="text" type="text" name="{$content/login/@name}_{$content/login/element[@type='username']/@name}" value="{$content/login/element[@type='username']/@value}" tabindex="1"/></td>
            <td>
              <xsl:if test="$content/login/@chglink != ''">
                <div class="passForgotButton"><a href="{$content/login/@chglink}" tabindex="4">Passwort vergessen</a></div>
              </xsl:if>
            </td>
          </tr>
          <tr>
            <td class="title">Passwort:</td>
            <td class="input"><input class="text" type="password" name="{$content/login/@name}_{$content/login/element[@type='password']/@name}"  tabindex="2"/></td>
            <td>
              <input class="submitButton" type="submit" value="Anmelden" tabindex="3"/>        
            </td>
          </tr>
        </table>
      </form>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>

</xsl:stylesheet>
