<?php
/**
* Action box page link
*
* @package module_default
* @author David Rekowski <rekowski@papaya-cms.com>
* @version $Id: actbox_pagelink_extended.php,v 1.5 2006/05/24 14:52:14 weinert Exp $
*/

/**
* Basic class Aktion box
*/
require_once(PAPAYA_INCLUDE_PATH.'system/base_actionbox.php');

/**
* Action box page link - generates a link including the current page as referer
*
* @package module_default
* @author David Rekowski <rekowski@papaya-cms.com>
*/
class actionbox_pagelink_extended extends base_actionbox {

  var $preview = FALSE;

  var $editFields = array(
    'caption'     => array('Link Caption', 'isNoHTML', TRUE, 'input', 200),
    'text_before' => array('Text before', 'isSomeText', FALSE, 'textarea', 5, '', ''),
    'text_after'  => array('Text after', 'isSomeText', FALSE, 'textarea', 5, '', ''),
    'page_id'     => array('Page Id', 'isNum', TRUE, 'pageid', 10),
    'Popup',
    'use_popup'     => array('Use Popup', 'isNum', TRUE, 'combo', array(0 => 'no', 1 => 'yes')),
    'popup_name'    => array('Window Name', 'isNoHTML', FALSE, 'input', 200),
    'popup_width'   => array('Width', 'isNum', FALSE, 'input', 200),
    'popup_height'  => array('Height', 'isNum', FALSE, 'input', 200),
    'popup_bars'    => array('Scollbars', 'isNum', FALSE, 'combo', array(0 => 'no', 1 => 'yes')),
    'popup_resize'  => array('Resizable', 'isNum', FALSE, 'combo', array(0 => 'no', 1 => 'yes')),
    'popup_toolbar' => array('Show Toolbar', 'isNum', FALSE, 'combo', array(0 => 'no', 1 => 'yes')),
  );

  /**
  * Get parsed data
  *
  * @access public
  * @return string
  */
  function getParsedData() {
    $result = '';
    if (isset($this->topicObj)) {
      $result .= '<extended_pagelink>';
      $params['refpage'] = $this->topicObj->topicId;
      if (isset($_SERVER['QUERY_STRING']) && trim($_SERVER['QUERY_STRING']) != '') {
        $params['urlparams'] = $_SERVER['QUERY_STRING'];
      }
      $href = $this->getWebLink(@(int)$this->data['page_id'], NULL, NULL, $params, NULL, @$this->data['caption']);
      $result .= sprintf('<link href="%s">%s</link>', $href, papaya_strings::escapeHTMLChars(@$this->data['caption']));
      if (isset($this->data['use_popup']) && $this->data['use_popup']) {
        $result .= sprintf('<popup href="%s" name="%s" width="%s" height="%s" scrollbars="%s" resizeable="%s" toolbar="%s" text="%s" />'.LF,
          $href,
          (string)@$this->data['popup_name'],
          (int)@$this->data['popup_width'],
          (int)@$this->data['popup_height'],
          (int)@$this->data['popup_bars'],
          (int)@$this->data['popup_resize'],
          (int)@$this->data['popup_toolbar'],
          (string)@$this->data['caption']
        );
      }
      $result .= sprintf('<text-before>%s</text-before>', papaya_strings::escapeHTMLChars(@$this->data['text_before']));
      $result .= sprintf('<text-after>%s</text-after>', papaya_strings::escapeHTMLChars(@$this->data['text_after']));
      $result .= '</extended_pagelink>';
    }
    return $result;
  }
  
  function getCacheId() {
    return FALSE;
  }
}
?>