<?php
/**
* Page module - login
*
* @package module_community
* @author Thomas Weinert <weinert@papaya-cms.com>
* @version $Id: content_login.php,v 1.4 2006/04/26 13:58:42 weinert Exp $
*/

/**
* Basic class page module
*/
require_once(PAPAYA_INCLUDE_PATH.'system/base_content.php');
/**
* Page module - login
*
* Login formular for surfer
*
* @package module_community
* @author Thomas Weinert <weinert@papaya-cms.com>
*/
class content_login extends base_content {

  var $cacheable = FALSE;

  var $editFields = array(
    'topic'=>array ('Page Id', 'isNum', TRUE, 'input', 400),
    'Messages',
    'Change_Request'=>array ('Change request', 'isNoHTML', TRUE, 'input', 200, ''),
    'Unknown_User'=>array ('Unknown user', 'isNoHTML', TRUE, 'input', 200, ''),
    'Request_User_Data'=>array ('Request user data', 'isNoHTML', TRUE, 'input', 200, ''),
    'Input_Error'=>array ('Input error', 'isNoHTML', TRUE, 'input', 200, ''),
    'Error_Token'=>array ('Invalid Token', 'isNoHTML', TRUE, 'input', 200, ''),
    'Error_Database'=>array ('Database error', 'isNoHTML', TRUE, 'input', 200, '')
  );

  /**
  * Get parsed data
  *
  * @access public
  * @return string
  */
  function getParsedData() {
    $result = '';
       
    if (!(isset($GLOBALS['PAPAYA_SURFER']) && is_object($GLOBALS['PAPAYA_SURFER']))) {
      $GLOBALS['PAPAYA_SURFER'] = &new base_surfer;
      $GLOBALS['PAPAYA_SURFER']->loadTopicIdList(!$GLOBALS['PAPAYA_SURFER']->isValid);
    }
    if($GLOBALS['PAPAYA_SURFER']->isValid){
      $this->relocate();
    }
    if (isset($_REQUEST[$GLOBALS['PAPAYA_SURFER']->logformVar]['newpwd'])) {
      if ($GLOBALS['PAPAYA_SURFER']->requestPasswordChange()) {
        return '<text>'.htmlspecialchars(@$this->data['Change_Request']).'</text>';
      } elseif (isset($_POST[$GLOBALS['PAPAYA_SURFER']->logformVar]['newpwd']) &&
          $_POST[$GLOBALS['PAPAYA_SURFER']->logformVar]['newpwd'] > 1) {
        $result .= '<text>'.htmlspecialchars(@$this->data['Unknown_User']).'</text>';
      } else {
        $result .= '<text>'.htmlspecialchars(@$this->data['Request_User_Data']).'</text>';
      }
      $result .= $GLOBALS['PAPAYA_SURFER']->getPasswordRequestForm();
      return $result;
    }
    if (isset($_REQUEST[$GLOBALS['PAPAYA_SURFER']->logformVar.'_chg'])) {
      $token = $_REQUEST[$GLOBALS['PAPAYA_SURFER']->logformVar.'_chg'];
      if ($surferData = $GLOBALS['PAPAYA_SURFER']->checkChangePasswordId($token)) {
        $passwordChange = @$_POST[$GLOBALS['PAPAYA_SURFER']->logformVar.'_save'];
        $password = @trim($_POST[$GLOBALS['PAPAYA_SURFER']->logformVar.'_password_1']);
        $passwordControl = @trim($_POST[$GLOBALS['PAPAYA_SURFER']->logformVar.'_password_2']);
        if ($passwordChange) {
          if (checkit::isPassword($password, TRUE) && $password == $passwordControl) {
            if ($this->changePassword($surferData, $password)) {
              $this->relocate();
            } else {
              $result = '<text>'.htmlspecialchars(@$this->data['Error_Database']).'</text>';
            }
          } else {
            $result = '<text>12'.htmlspecialchars(@$this->data['Input_Error']).'</text>';
            $result .= $GLOBALS['PAPAYA_SURFER']->getPassFormXML($token);
          }
        } else {
          $result .= $GLOBALS['PAPAYA_SURFER']->getPassFormXML($token);
        }
      } else {
        $result = '<text>'.htmlspecialchars(@$this->data['Error_Token']).'</text>';
      }
    }
    $result .= $GLOBALS['PAPAYA_SURFER']->getFormXML(!($GLOBALS['PAPAYA_SURFER']->isValid));
    return $result;
  }

  /**
  * Password change request
  *
  * @param array &$surferData Surfer
  * @param string $password Password
  *
  * @return boolean
  */
  function changePassword(&$surferData, $password) {
    include_once(dirname(__FILE__).'/base_surfers.php');
    $surferAdmin = &new surfer_admin($this->msgs);
    $data = array(
      'surfer_password' => md5($password),
      'chg_id' => '',
      'chg_time' => 0
    );
    $surferAdmin->editSurfer['surfer_id'] = $surferData['surfer_id'];
    if ($surferAdmin->saveSurfer($data)) {
      //surfer-objekt aktualisieren...
      $GLOBALS['PAPAYA_SURFER']->login($surferData['surfer_handle'], $password);
      return TRUE;
    } else {
      return FALSE;
    }
    return $result;
  }

  /**
  * Forward to other pages
  */
  function relocate() {
    $url = $this->getAbsoluteURL((int)$this->data['topic']);
    $GLOBALS['PAPAYA_PAGE']->sendHTTPStatus(302);
    header('Location: '.$url);
    exit();
  }
}

?>