<?php
/**
* Page module - Show user data
*
* Surfer Login formular
*
* @package module_community
* @author Thomas Weinert <weinert@papaya-cms.com>
* @version $Id: content_showuser.php,v 1.1.1.1 2005/09/30 15:51:06 weinert Exp $
*/

/**
* Basic class page module
*/
require_once(PAPAYA_INCLUDE_PATH.'system/base_content.php');

/**
* Showe user data
*
* @package module_community
* @author Thomas Weinert <weinert@papaya-cms.com>
*/
class content_showuser extends base_content {

  var $cacheable = FALSE;

  var $editFields = array(
    'msg_prefix'=>array ('Subject prefix', 'isNoHTML', TRUE, 'input', 30, '', PAPAYA_PROJECT_TITLE),
    'Messages',
    'Unknown_User'=>array ('Unknown user', 'isNoHTML', TRUE, 'input', 200, ''),
    'Input_Error'=>array ('Input error', 'isNoHTML', TRUE, 'input', 200, ''),
    'Message_Sent'=>array ('Message sent', 'isNoHTML', TRUE, 'input', 200, ''),
    'Send_Error'=>array ('Send error', 'isNoHTML', TRUE, 'input', 200, '')
  );

  /**
  * Get parsed data
  *
  * @access public
  * @return string
  */
  function getParsedData() {
    $this->initializeParams();
    $this->baseLink = $this->getBaseLink();

    include_once(dirname(__FILE__).'/base_surfers.php');
    $surferAdmin = &new surfer_admin($this->msgs);

    $result = '';
    if(isset($_REQUEST['user_id']) && $_REQUEST['user_id'] > 0) {
      $userId = (int)$_REQUEST['user_id'];
    } elseif (isset($_REQUEST['user_name']) && $_REQUEST['user_name'] > 0) {
      $userId = $surferAdmin->getIdByHandle($handle);
    } elseif (isset($this->params['user_id']) && $this->params['user_id'] > 0) {
      $userId = (int)$this->params['user_id'];
    } else {
      $userId = 0;
    }
    if ($userId > 0) {
      $surferAdmin->loadSurfer($userId);
      $result .= sprintf('<userdata id="%d">', $surferAdmin->editSurfer['surfer_id']);
      $result .= sprintf('<%1$s><![CDATA[%2$s]]></%1$s>'.LF, 'handle',
        htmlspecialchars($surferAdmin->editSurfer['surfer_handle']));
      $result .= sprintf('<%1$s><![CDATA[%2$s %3$s]]></%1$s>'.LF, 'name',
        htmlspecialchars($surferAdmin->editSurfer['surfer_givenname']),
        htmlspecialchars($surferAdmin->editSurfer['surfer_surname']));
      $result .= sprintf('<%1$s href="mailto:%3$s"><![CDATA[%2$s]]></%1$s>'.LF, 'email',
        htmlspecialchars($surferAdmin->editSurfer['surfer_email']),
        urlencode($surferAdmin->editSurfer['surfer_email']));
      if ($surferAdmin->editSurfer['surfer_email_alt'] != '') {
        $result .= sprintf('<%1$s href="mailto:%3$s"><![CDATA[%2$s]]></%1$s>'.LF, 'email_alt',
          htmlspecialchars($surferAdmin->editSurfer['surfer_email_alt']),
          urlencode($surferAdmin->editSurfer['surfer_email_alt']));
      }
      $result .= sprintf('<%1$s><![CDATA[%2$s]]></%1$s>'.LF, 'phone',
        htmlspecialchars($surferAdmin->editSurfer['surfer_phone']));
      if ($surferAdmin->editSurfer['surfer_phone_alt'] != '') {
        $result .= sprintf('<%1$s><![CDATA[%2$s]]></%1$s>'.LF, 'phone_alt',
          htmlspecialchars($surferAdmin->editSurfer['surfer_phone_alt']));
      }
      $result .= sprintf('<%1$s id="%3$d"><![CDATA[%2$s]]></%1$s>'.LF, 'group',
        htmlspecialchars($surferAdmin->editSurfer['surfergroup_title']),
        $surferAdmin->editSurfer['surfergroup_id']);
      $this->initFeedbackForm($surferAdmin->editSurfer['surfer_id']);
      $showForm = TRUE;
      if (isset($this->params['cmd']) && $this->params['cmd'] == 'mail') {
        if ($this->dialogFeedback->checkDialogInput()) {
          $to = $surferAdmin->editSurfer['surfer_givenname'].' '.$surferAdmin->editSurfer['surfer_surname'].' <'.
            $surferAdmin->editSurfer['surfer_email'].'>';
          $from = $GLOBALS['PAPAYA_SURFER']->surfer['surfer_givenname'].' '.$GLOBALS['PAPAYA_SURFER']->surfer['surfer_surname'].' <'.
            $GLOBALS['PAPAYA_SURFER']->surfer['surfer_email'].'>';
          $subject = (trim(@$this->data['msg_prefix']) != '') ? '['.$this->data['msg_prefix'].'] ' : '';
          $subject .= $this->params['subject'];
          $msg = $this->params['text'];

          $addHeader = 'From: '.$from."\r\n";
          $addHeader .= 'Content-type: text/plain; charset="ISO-8859-1"';

          if (@mail($to, $subject, $msg, $addHeader)) {
            $result .= '<message>'.htmlspecialchars($this->data['Message_Sent']).'</message>';
            $showForm = FALSE;
          } else {
            $result .= '<message>'.htmlspecialchars($this->data['Send_Error']).'</message>';
          }
        } else {
          $result .= '<message>'.htmlspecialchars($this->data['Input_Error']).'</message>';
        }
      }
      if ($showForm) {
        $result .= $this->getFeedbackForm($surferAdmin->editSurfer['surfer_id']);
      }
    } else {
      $result .= '<userdata>';
      $result .= '<message>'.htmlspecialchars($this->data['Unknown_User']).'</message>';
    }
    $result .= '</userdata>';
    return $result;
  }

  /**
  * Initialize feedback formular
  *
  * @param integer $userId
  * @access public
  */
  function initFeedbackForm($userId) {
    if (!(isset($this->dialogFeedback) && is_object($this->dialogFeedback))) {
      include_once(PAPAYA_INCLUDE_PATH.'system/base_dialog.php');
      $fields = array(
        'subject' => array('', 'isSomeText', TRUE, 'input', 50, '', ''),
        'text' => array('', 'isSomeText', TRUE, 'textarea', 5, '', '')
      );
      $hidden = array('cmd'=>'mail', 'save'=>1, 'user_id'=>$userId);
      $this->dialogFeedback = &new base_dialog($this, $this->paramName, $fields, $data, $hidden);
      $this->dialogFeedback->msgs = &$this->msgs;
      $this->dialogFeedback->loadParams();
    }
  }

  /**
  * Get feedback formular
  *
  * @param integer $userId
  * @access public
  * @return string
  */
  function getFeedbackForm($userId) {
    $this->initFeedbackForm($userId);
    $this->dialogFeedback->baseLink = $this->baseLink;
    $this->dialogFeedback->dialogDoubleButtons = FALSE;
    return $this->dialogFeedback->getDialogXML();
  }
}

?>