<?php
/**
* Page module - article with image
*
* @package module_default
* @author Thomas Weinert <weinert@papaya-cms.com>
* @version $Id: content_imgtopic.php,v 1.7 2006/05/17 10:36:52 kelm Exp $
*/

/**
* Basic class Page module
*/
require_once(PAPAYA_INCLUDE_PATH.'system/base_content.php');
/**
* Page module - article with image
*
* @package module_default
* @author Thomas Weinert <weinert@papaya-cms.com>
*/
class content_imgtopic extends base_content {

  var $editFields = array(
    'nl2br'=>array ('Automatic linebreak', 'isNum', FALSE, 'combo', array(0=>'Yes', 1=>'No'),
      'Apply linebreaks from input to the HTML output.'),
    'title'=>array ('Title', 'isSomeText', TRUE, 'input', 400),
    'subtitle'=>array ('Subtitle', 'isSomeText', FALSE, 'input', 400),
    'teaser'=>array ('Teaser', 'isSomeText', FALSE, 'simplerichtext', 10),
    'image'=>array ('Image', 'isSomeText', FALSE, 'image', 400),
    'imgalign'=>array ('Image align', 'isAlpha', TRUE, 'combo', array('left'=>'left', 'right'=>'right', 'center'=>'center')),
    'breakstyle'=>array ('Text float', 'isAlpha', TRUE, 'combo',
      array('none'=>'None','side'=>'Side', 'center'=>'Center')),
    'text'=>array ('Text', 'isSomeText', FALSE, 'richtext', 30)
  );

  /**
  * Get parsed data
  *
  * @access public
  * @return string
  */
  function getParsedData() {
    $result = sprintf('<title encoded="%s">%s</title>'.LF,
      rawurlencode(@$this->data['title']), $this->getXHTMLString(@$this->data['title']));
    $result .= sprintf('<subtitle>%s</subtitle>'.LF,
      $this->getXHTMLString(@$this->data['subtitle']));
    $result .= sprintf('<teaser>%s</teaser>'.LF,
      $this->getXHTMLString(@$this->data['teaser'], !((bool)@$this->data['nl2br'])));
    $result .= sprintf('<image align="%s" break="%s">%s</image>'.LF,
      htmlspecialchars(@$this->data['imgalign']), htmlspecialchars(@$this->data['breakstyle']),
      $this->getPapayaImageTag(@$this->data['image']));
    $result .= sprintf("<text>%s</text>",
      $this->getXHTMLString(@$this->data['text'], !((bool)@$this->data['nl2br'])));
    return $result;
  }

  /**
  * Get parsed teaser
  *
  * @access public
  * @return string
  */
  function getParsedTeaser() {
    $result = sprintf('<title>%s</title>'.LF,
      $this->getXHTMLString(@$this->data['title']));
    $result .= sprintf('<subtitle>%s</subtitle>'.LF,
      $this->getXHTMLString(@$this->data['subtitle']));
    $result .= sprintf('<text>%s</text>'.LF,
      $this->getXHTMLString(@$this->data['teaser'], !((bool)@$this->data['nl2br'])));
    $result .= sprintf('<image align="%s" break="%s">%s</image>'.LF,
      htmlspecialchars(@$this->data['imgalign']), htmlspecialchars(@$this->data['breakstyle']),
      $this->getPapayaImageTag(@$this->data['image']));
    return $result;
  }
}

?>