<?php
/**
* page module - URL-forwarding
*
* @package module_default
* @author Thomas Weinert <weinert@papaya-cms.com>
* @version $Id: content_softlink.php,v 1.5 2006/01/10 09:40:06 weinert Exp $
*/

/**
* Basic class page module
*/
require_once(PAPAYA_INCLUDE_PATH.'system/base_content.php');
/**
* Basic class check conditions
*/
require_once(PAPAYA_INCLUDE_PATH.'system/sys_checkit.php');
/**
* page module - URL-forwarding
*
* @package module_default
* @author Thomas Weinert <weinert@papaya-cms.com>
*/
class content_softlink extends base_content {
  var $cacheable = FALSE;

  var $editFields = array(
    'page'=>array ('Page Id', 'isNum', TRUE, 'input', 5)
  );

  /**
  * Exchange topic in page object.
  *
  * @access public
  */
  function getParsedData() {
    if (isset($this->data['page']) && $this->data['page'] > 0 && $this->data['page'] != $this->topicObj->topicId &&
        isset($GLOBALS['PAPAYA_PAGE'])) {
      $className = get_class($this->topicObj);
      $topicId = (int)$this->data['page'];
      if (!isset($GLOBALS['PAPAYA_PAGE_CURRENT_IDS'][$topicId])) {
        $GLOBALS['PAPAYA_PAGE_CURRENT_IDS'][$topicId] = TRUE;
        $this->linkedTopic = &new $className();
        if ($this->linkedTopic->topicExists($topicId) &&
            $this->linkedTopic->loadOutput($topicId, $GLOBALS['PAPAYA_PAGE']->versionDateTime)) {    
          if ($this->linkedTopic->checkPublishPeriod($topicId)) {
            if ($GLOBALS['PAPAYA_PAGE']->validateAccess($topicId)) {
              if ($GLOBALS['PAPAYA_PAGE']->mode == 'xml') {
                if (PAPAYA_DBG_XML_OUTPUT) {$GLOBALS['PAPAYA_PAGE']->topicId = $topicId;
                  $GLOBALS['PAPAYA_PAGE']->topic = &$this->linkedTopic;
                  $GLOBALS['PAPAYA_PAGE']->filter = &$this->filter;
                  $GLOBALS['PAPAYA_PAGE']->layout->add($this->linkedTopic->parseContent(TRUE, @$this->filter->data), 'content');
                  $GLOBALS['PAPAYA_PAGE']->layout->xml();
                } else {
                  $GLOBALS['PAPAYA_PAGE']->getError(403, 'Access forbidden');
                }
              } else {
                $viewId = $this->linkedTopic->getViewId();
                if ($viewId > 0) {
                  if ($this->filter = $GLOBALS['PAPAYA_PAGE']->output->getFilter($viewId)) {
                    $GLOBALS['PAPAYA_PAGE']->topicId = $topicId;
                    $GLOBALS['PAPAYA_PAGE']->topic = &$this->linkedTopic;
                    $GLOBALS['PAPAYA_PAGE']->filter = &$this->filter;
                    $GLOBALS['PAPAYA_PAGE']->layout->add($this->linkedTopic->parseContent(TRUE, @$this->filter->data), 'content');
                  } else {
                    $GLOBALS['PAPAYA_PAGE']->getError(500, 'Output mode "'.papaya_strings::escapeHTMLChars(basename($GLOBALS['PAPAYA_PAGE']->mode)).'" for page #'.$topicId.' not found');
                  } 
                } else {
                  $GLOBALS['PAPAYA_PAGE']->getError(500, 'View "'.papaya_strings::escapeHTMLChars(basename($GLOBALS['PAPAYA_PAGE']->mode)).'" for page #'.$topicId.' not found');
                }
              }
            } else {
              $GLOBALS['PAPAYA_PAGE']->getError(403, 'Access forbidden');
            }
          } else {
            $GLOBALS['PAPAYA_PAGE']->getError(404, 'Page not published');
          }       
        } else {
          $GLOBALS['PAPAYA_PAGE']->getError(404, 'Page not found');
        }
      } else {
        $GLOBALS['PAPAYA_PAGE']->getError(500, 'Page link recursion found.');      
      }
    }
    return FALSE;
  }

  function getParsedTeaser() {
    if (isset($this->data['page']) && $this->data['page'] > 0 && $this->data['page'] != $this->topicObj->topicId &&
        isset($GLOBALS['PAPAYA_PAGE'])) {
      $className = get_class($this->topicObj);
      $topicId = (int)$this->data['page'];
      $this->linkedTopic = &new $className();
      if ($this->linkedTopic->topicExists($topicId) &&
          $this->linkedTopic->loadOutput($topicId, $GLOBALS['PAPAYA_PAGE']->versionDateTime)) {
        return $this->linkedTopic->parseContent(FALSE);
      }
    }
    return '';
  }
}

?>