<?php
/**
* Cronjob-module, release pages
*
* @package module_cronjobs
* @author Thomas Weinert <weinert@papaya-cms.com>
* @version $Id: cronjob_topic.php,v 1.2 2005/11/21 10:15:22 rekowski Exp $
*/

/**
* Basic class Cronjobs
*/
require_once(PAPAYA_INCLUDE_PATH.'system/base_cronjob.php');
/**
* Cronjob-module, release pages
*
* @package module_cronjobs
* @author Thomas Weinert <weinert@papaya-cms.com>
*/
class cronjob_topic extends base_cronjob {

  var $editFields = array(
    'topic'=>array ('Page', 'isNum', FALSE, 'input', 6),
    'action'=>array ('Action', 'isNum', FALSE, 'combo', array(0=>'publish',1=>'remove published'))
  );

  /**
  * Execute
  *
  * @access public
  * @return string
  */
  function execute() {
    include_once(PAPAYA_INCLUDE_PATH.'system/papaya_topic.php');
    $topic = &new papaya_topic;
    if ($topic->load((int)$this->data['topic'])) {
      if ($topic->publishTopic()) {
        return 0;
      } else {
        return sprintf('Could not publish page "%s" (%s)',
          htmlspecialchars($topic->topicTitle), $topic->topicId);
      }
    } else {
      return sprintf('Could not publish page "%s" (%s)', $this->data['topic']);
    }
  }

  /**
  * Check execution parameters
  *
  * @access public
  * @return string or FALSE
  */
  function checkExecParams() {
    include_once(PAPAYA_INCLUDE_PATH.'system/papaya_topic.php');
    $topic = &new papaya_topic;
    if ($topic->load((int)$this->data['topic'])) {
      if ($this->data['action']) {
        $result = sprintf('Published version of page "%s" (%s) removed.',
          htmlspecialchars($topic->topicTitle), $topic->topicId);
      } else {
        $result = sprintf('Page "%s" (%s) published',
          htmlspecialchars($topic->topicTitle), $topic->topicId);
      }
      return $result;
    }
    return FALSE;
  }
}
?>