<?php
/**
* Time calculation - particular week day every n days
*
* @package module_time
* @author Thomas Weinert <weinert@papaya-cms.com>
* @version $Id: time_weekdayperdays.php,v 1.1.1.1 2005/09/30 15:51:06 weinert Exp $
*/

/**
* Basic class time clculation
*/
require_once(PAPAYA_INCLUDE_PATH.'system/base_crontime.php');
/**
* Time calculation - particular week day every n days
*
* @package module_time
* @author Thomas Weinert <weinert@papaya-cms.com>
*/
class time_weekdayperdays extends base_crontime {

  var $editFields = array(
    'weekday'=>array ('Weekday', 'isNum', FALSE, 'combo',
      array(1=>'Monday',2=>'Thuesday',3=>'Wednesday',4=>'Thursday',5=>'Friday', 6=>'Saturday', 7=>'Sunday'), '', 1),
    'repeatdays'=>array ('Repeat (days)', 'isNum', FALSE, 'input', 3, '', 0),
  );

  var $secOfDay = 86400;

  /**
  * Get next date time
  *
  * @param integer $from
  * @access public
  * @return integer
  */
  function getNextDateTime($from) {
    if ($this->data['repeatdays'] >= 2) {
      $step = 4;
      $day = $from;
      if ($this->data['weekday']< 1) $this->data['weekday'] = 1;
      do {
        $dateArray = getdate($day);
        $day = mktime(0,0,0,$dateArray["mon"],$dateArray["mday"]+$this->data['repeatdays'],$dateArray["year"]);

        while ($this->getWDay($day) != $this->data['weekday']) {
          $day = $this->dayOnly($day-$this->secOfDay);
        }

      } while ($this->dayOnly($day) <= $this->dayOnly($from));

      return $day;
    }
    //return FALSE;
  }

  /**
  * Get week day
  *
  * @param $date
  * @access public
  * @return string
  */
  function getWDay($date) {
    $result = strftime('%u',$date);
    return $result;
  }

  /**
  * Day only
  *
  * @param $date
  * @access public
  * @return integer
  */
  function dayOnly($date) {
    $dayArr = explode('-',date('Y-m-d', $date));
    if (isset($dayArr) && is_array($dayArr)) {
      return mktime(0,0,0,$dayArr[1],$dayArr[2],$dayArr[0]);
    }
    return 0;
  }

}
?>