<?php
/**
* Action box page zoom - output links for the actionbox_pagezoom_style
*
* @package module_default
* @author Rapahel Kalla <kalla@papaya-cms.com>
* @author Thomas Weinert <weinert@papaya-cms.com>
* @version $Id: actbox_pagezoom_links.php,v 1.3 2006/05/24 14:51:50 weinert Exp $
*/

/**
* Basic class Aktion box
*/
require_once(PAPAYA_INCLUDE_PATH.'system/base_actionbox.php');

/**
* Action box page zoom - output links for the actionbox_pagezoom_style
*
* @package module_default
* @author Rapahel Kalla <kalla@papaya-cms.com>
* @author Thomas Weinert <weinert@papaya-cms.com>
*/
class actionbox_pagezoom_links extends base_actionbox {

  var $preview = TRUE;
  
  var $editFields = array(
    'fontsize_default' => array ('Font size default', 'isFloat', TRUE, 'input', 6, 'font size in em', 1),
    'fontsize_min' => array ('Font size minimum', 'isFloat', TRUE, 'input', 6, 'font size in em', 0.5),
    'fontsize_max' => array ('Font size maximum', 'isFloat', TRUE, 'input', 6, 'font size in em', 3),
    'fontsize_step' => array ('Font size change step', 'isFloat', TRUE, 'input', 6, 'font size in em', 0.2),
    'link_displaymode' => array ('Display mode', 'isNum', TRUE, 'combo', array(0 => '+/-', 1 => 'AAA', 2 => '-A+'))
  );
  
  /**
  * Get parsed data
  *
  * @access public
  * @return string
  */
  function getParsedData() {
    $defaultZoom = @(float)$this->data['fontsize_default'];
    $minimumZoom = @(float)$this->data['fontsize_min'];
    $maximumZoom = @(float)$this->data['fontsize_max'];
    $zoomStep = @(float)$this->data['fontsize_step'];
    if ($minimumZoom < 0.1) {
      $minimumZoom = 0.5;
    }
    if ($maximumZoom > 10) {
      $maximumZoom = 10;
    }
    if (($defaultZoom < $minimumZoom) || ($defaultZoom > $maximumZoom)) {
      $defaultZoom = 1;
    }
    if (($zoomStep < 0.1) || ($zoomStep > 2)) {
      $zoomStep < 0.2;
    }
    if (isset($GLOBALS['PAPAYA_PAGE']) && is_object($GLOBALS['PAPAYA_PAGE'])) {
      $currentZoom = $GLOBALS['PAPAYA_PAGE']->getPageOption('pagezoom');
      if (@isset($_GET['zoom'])) {
        $newZoom = @(float)$_GET['zoom'];
        if (($newZoom < $minimumZoom) || ($newZoom > $maximumZoom)) {
          $newZoom = $defaultZoom;
        }
        if ($newZoom != $currentZoom) {
          $GLOBALS['PAPAYA_PAGE']->setPageOption('pagezoom', $newZoom); 
          $currentZoom = $newZoom;          
        }
      } else {
        if (($currentZoom < $minimumZoom) || ($currentZoom > $maximumZoom)) {
          $currentZoom = $defaultZoom;
        }      
      }
      $result = '<zoomlinks>';
      switch(@$this->data['link_displaymode']) {
      case 2 :
        if (($currentZoom - $zoomStep) > $minimumZoom) {
          $result .= sprintf('<link type="minus" href="%s" />', 
            $this->getWebLink(NULL, NULL, NULL, array('zoom' => $currentZoom - $zoomStep)));
        }
        $result .= sprintf('<link type="default" href="%s" />', 
          $this->getWebLink(NULL, NULL, NULL, array('zoom' => $defaultZoom)));
        if (($currentZoom + $zoomStep) < $maximumZoom) {
          $result .= sprintf('<link type="plus" href="%s" />', 
            $this->getWebLink(NULL, NULL, NULL, array('zoom' => $currentZoom + $zoomStep)));
        }  
        break; 
      case 1 :
        $result .= sprintf('<link type="min" href="%s" />', 
          $this->getWebLink(NULL, NULL, NULL, array('zoom' => $minimumZoom)));
        $result .= sprintf('<link type="default" href="%s" />', 
          $this->getWebLink(NULL, NULL, NULL, array('zoom' => $defaultZoom)));
        $result .= sprintf('<link type="max" href="%s" />', 
          $this->getWebLink(NULL, NULL, NULL, array('zoom' => $maximumZoom)));
        break; 
      default :
        if (($currentZoom - $zoomStep) > $minimumZoom) {
          $result .= sprintf('<link type="minus" href="%s" />', 
            $this->getWebLink(NULL, NULL, NULL, array('zoom' => $currentZoom - $zoomStep)));
        }
        if (($currentZoom + $zoomStep) < $maximumZoom) {
          $result .= sprintf('<link type="plus" href="%s" />', 
            $this->getWebLink(NULL, NULL, NULL, array('zoom' => $currentZoom + $zoomStep)));
        }      
        break;
      }
      $result .= '</zoomlinks>';
    }
    return $result;
  }
  
  function getCacheId() {
    return FALSE;
  }
}
?>