<?php
/**
* Action box page zoom - modifiy the basefont to zoom the whole page
*
* @author Rapahel Kalla <kalla@papaya-cms.com>
* @author Thomas Weinert <weinert@papaya-cms.com>
* @version $Id: actbox_pagezoom_style.php,v 1.3 2006/05/24 14:51:50 weinert Exp $
*/

/**
* Basic class Aktion box
*/
require_once(PAPAYA_INCLUDE_PATH.'system/base_actionbox.php');

/**
* Action box page zoom - modifiy the basefont to zoom the whole page
*
* @author Rapahel Kalla <kalla@papaya-cms.com>
* @author Thomas Weinert <weinert@papaya-cms.com>
*/
class actionbox_pagezoom_style extends base_actionbox {

  var $preview = TRUE;
  
  var $editFields = array(
    'fontsize_default' => array ('Font size default', 'isFloat', TRUE, 'input', 6, 'font size in em', 1),
    'fontsize_min' => array ('Font size minimum', 'isFloat', TRUE, 'input', 6, 'font size in em', 0.5),
    'fontsize_max' => array ('Font size maximum', 'isFloat', TRUE, 'input', 6, 'font size in em', 3)
  );
  
  /**
  * Get parsed data
  *
  * @access public
  * @return string
  */
  function getParsedData() {
    $defaultZoom = @(float)$this->data['fontsize_default'];
    $minimumZoom = @(float)$this->data['fontsize_min'];
    $maximumZoom = @(float)$this->data['fontsize_max'];
    if ($minimumZoom < 0.1) {
      $minimumZoom = 0.5;
    }
    if ($maximumZoom > 10) {
      $maximumZoom = 10;
    }
    if (($defaultZoom < $minimumZoom) || ($defaultZoom > $maximumZoom)) {
      $defaultZoom = 1;
    }
    if (isset($GLOBALS['PAPAYA_PAGE']) && is_object($GLOBALS['PAPAYA_PAGE'])) {
      $currentZoom = $GLOBALS['PAPAYA_PAGE']->getPageOption('pagezoom');
      if (@isset($_GET['zoom'])) {
        $newZoom = @(float)$_GET['zoom'];
        if (($newZoom < $minimumZoom) || ($newZoom > $maximumZoom)) {
          $newZoom = $defaultZoom;
        }
        if ($newZoom != $currentZoom) {
          $GLOBALS['PAPAYA_PAGE']->setPageOption('pagezoom', $newZoom); 
          $currentZoom = $newZoom;          
        }
      } else {
        if (($currentZoom < $minimumZoom) || ($currentZoom > $maximumZoom)) {
          $currentZoom = $defaultZoom;
        }      
      }
      $result = '<zoom>';
      $result .= $currentZoom;
      $result .= '</zoom>';
    }
    return $result;
  }
  
  function getCacheId() {
    return FALSE;
  }
}
?>