<?php
/**
* Catalog letter box 
*
* @package module_catalog
* @author Thomas Weinert <weinert@papaya-cms.com>
* @version $Id: actbox_catalog_azlist.php,v 1.6 2006/05/31 14:17:53 kelm Exp $
*/

/**
* Basic class aktion box
*/
require_once(PAPAYA_INCLUDE_PATH.'system/base_actionbox.php');

/**
* Catalog  letter box  - outputs an a-z list linked to an a-z list page
*
* @package module_catalog
* @author Thomas Weinert <weinert@papaya-cms.com>
*/
class actionbox_catalog_azlist extends base_actionbox {

  /**
  * Preview ?
  * @var boolean
  */
  var $preview = TRUE;
  
  /**
  * Content edit fields
  * @var array
  */
  var $editFields = array(
    'page_id' => array ('Page Id', 'isNum', TRUE, 'input', 5, ''),
    'caption' => array ('Caption', 'isNoHTML', TRUE, 'input', 50, ''),
    'description' => array ('Description', 'isNoHTML', TRUE, 'input', 200, ''),
  );

  /**
  * Get output cache identifier
  *
  * @see base_actionbox::getCacheId()
  *
  * @access public
  * @return mixed Cache Id or FALSE
  */
  function getCacheId() {
    return parent::getCacheId();
  }

  /**
  * Return page XML
  *
  * @access public
  * @return string $str
  */
  function getParsedData() {
    $pageId = @(int)$this->data['page_id'];    
    $str = sprintf('<letters caption="%s" description="%s">'.LF,
      papaya_strings::escapeHTMLChars(@$this->data['caption']), 
      papaya_strings::escapeHTMLChars(@$this->data['description']));
    for ($i = ord('A'); $i <= ord('Z'); $i++) {
      $str .= sprintf('<letter href="%s">%s</letter>'.LF, 
        $this->getWebLink($pageId).'#'.chr($i), chr($i));
    }
    $str .= '</letters>'.LF;
    return $str;
  }
}
?>
