<?php
/**
* Comment forum
*
* @package module_forum
* @author Thomas Weinert <weinert@papaya-cms.com>
* @version $Id: actbox_comments.php,v 1.6 2006/01/23 17:22:54 weinert Exp $
*/

/**
* Basic class aktion box
*/
require_once(PAPAYA_INCLUDE_PATH.'system/base_actionbox.php');

/**
* Function class forum
*/
include_once(dirname(__FILE__).'/base_forum.php');
/**
* Comment forum
*
* @package module_forum
* @author Thomas Weinert <weinert@papaya-cms.com>
*/
class actionbox_comments extends base_actionbox {

  /**
  * Preview ?
  * @var boolean
  */
  var $preview = FALSE;

  /**
  * Content edit fields
  * @var array
  */
  var $editFields = array(
    'forum'=>array ('Forum', 'isNoHTML', TRUE, 'function', 'getForumCombo', ''),
    'lastcount'=>array ('Show last entries', 'isNum', TRUE, 'input', 2, '', 3),
    'forumpage'=>array ('Forum page', 'isNum', TRUE, 'input', 5, '', 1),
  );

  function getCacheId() {
    return md5(get_class($this).','.@(int)$this->topicObj->topicId);
  }

  function getParsedData() {
    $result = '';
    $baseConfiguration = $this->decodeDataForum(@$this->data['forum']);
    $topicId = $this->topicObj->topicId;

    $this->forumObject = &new base_forum();
    $this->forumObject->module = &$this;

    $this->baseLink = $this->getWebLink(NULL, (int)@$this->data['forumpage'], 'page');

    $comments = '';
    $commentCount = 0;
    $moreLink = '';

    $this->forumObject->baseLink = $this->baseLink;
    if ($baseConfiguration['mode'] == 'categ') {
      //Forum suchen
      if (!($forumId = $this->forumObject->getForumByPageId($baseConfiguration['id'], $topicId))) {
        //Forum erzeugen
        $title = $this->topicObj->topicTitle;
        $teaser = $this->getTopicTeaserText();
        $forumId = $this->forumObject->addForum($baseConfiguration['id'], $title, $teaser, $topicId);
      } else {
        $comments = $this->forumObject->getOutputLastEntries($forumId, 0, @(int)$this->data['lastcount']);
        $commentCount = @count($this->forumObject->entries);
      }
      $moreLink = $this->baseLink.'?'.$this->forumObject->paramName.'[forum_id]='.$forumId;
    } else {
      $forumId = $baseConfiguration['id'];
      if (!($threadId = $this->forumObject->getThreadByPageId($forumId, $topicId))) {
        //Forum erzeugen
        $title = $this->topicObj->topicTitle;
        $teaser = $this->getTopicTeaserText();
        $threadId = $this->forumObject->addThread($forumId, $title, $teaser, $topicId);
        $comments = "New Thread";
      } else {
        $comments = "Thread found";
        $comments = $this->forumObject->getOutputLastEntries($forumId, $threadId, @(int)$this->data['lastcount']);
        $commentCount = @count($this->forumObject->entries);
      }
      $moreLink = $this->baseLink.'?'.$this->forumObject->paramName.'[forum_id]='.$forumId
          .'&'.$this->forumObject->paramName.'[thread_id]='.$threadId;
    }

    $str = sprintf('<comments topic_id="%d" mode="%s" base_id="%d" count="%d" href="%s">',
      $topicId, htmlspecialchars($baseConfiguration['mode']), $baseConfiguration['id'], $commentCount,
      $moreLink);
    $str .= $comments;
    $str .= '</comments>';

    return $str;
  }

  /**
  * Get Topic teaser text
  *
  * @access public
  * @return string
  */
  function getTopicTeaserText() {
    $subTopicString = papaya_strings::entityToXML($this->topicObj->parseContent(FALSE));
    if ($subTopic = $this->createXMLTree($subTopicString)) {
      $parent = NULL;
      $template = &new simple_xmlnode($parent, 'text');
      unset($elements);
      $subTopic->extract($elements, $template);
      if (isset($elements["nodes"]) && is_array($elements["nodes"])) {
        $xText = "";
        $elements["nodes"][0]->printText($xText);
        return simple_xmltree::XMLToStr($xText);
      }
    }
    return '';
  }

  /**
  * Decode data forum
  *
  * @param string $str
  * @access public
  * @return array
  */
  function decodeDataForum($str) {
    $currentData = explode(';', $str);
    $result = array(
      'mode' => (@trim($currentData[0]) == 'forum') ? 'forum' : 'categ',
      'id' => @trim($currentData[1])
    );
    return $result;
  }

  /**
  * Get forum combo
  *
  * @param string $name
  * @param array $field
  * @param string $data
  * @access public
  * @return string
  */
  function getForumCombo($name, $field, $data) {
    include_once(dirname(__FILE__).'/admin_forum.php');
    $this->forumObject = &new admin_forum();
    return $this->forumObject->getForumCombo($this->paramName, $name, $this->decodeDataForum($data));
  }
}
?>
