<?php
/**
* Comment forum
*
* @package module_forum
* @author Thomas Weinert <weinert@papaya-cms.com>
* @version $Id: actbox_lastentries.php,v 1.5 2006/01/23 17:22:54 weinert Exp $
*/

/**
* Basic class aktion box
*/
require_once(PAPAYA_INCLUDE_PATH.'system/base_actionbox.php');

/**
* Function class forum
*/
include_once(dirname(__FILE__).'/base_forum.php');
/**
* Comment forum
*
* @package module_forum
* @author Thomas Weinert <weinert@papaya-cms.com>
*/
class actionbox_lastentries extends base_actionbox {

  /**
  * Preview ?
  * @var boolean
  */
  var $preview = TRUE;

  /**
  * Content edit fields
  * @var array
  */
  var $editFields = array(
    'forum'=>array ('Forum', 'isNoHTML', TRUE, 'function', 'getForumCombo', ''),
    'lastcount'=>array ('Show last entries', 'isNum', TRUE, 'input', 2, '', 3),
    'forumpage'=>array ('Forum page', 'isNum', TRUE, 'input', 5, '', 1),
  );

  function getParsedData() {
    $result = '';
    $baseConfiguration = $this->decodeDataForum(@$this->data['forum']);
    $topicId = $this->topicObj->topicId;

    $this->forumObject = &new base_forum();
    $this->forumObject->module = &$this;

    $this->baseLink = $this->getWebLink((int)@$this->data['forumpage'], 'page', NULL, NULL, 'forum');

    $comments = '';
    $commentCount = 0;
    $moreLink = '';

    $this->forumObject->baseLink = $this->baseLink;
    if ($baseConfiguration['mode'] == 'categ') {
      $categId = $baseConfiguration['id'];
      $entries = $this->forumObject->getOutputLastEntriesInCateg($categId, @(int)$this->data['lastcount']);
    } else {
      $forumId = $baseConfiguration['id'];
      $entries = $this->forumObject->getOutputLastEntries($forumId, 0, @(int)$this->data['lastcount']);
    }

    $str = sprintf('<entries mode="%s" base_id="%d" href="%s">',
      htmlspecialchars($baseConfiguration['mode']), $baseConfiguration['id'], $this->baseLink);
    $str .= $entries;
    $str .= '</entries>';
    return $str;
  }

  /**
  * Decode data forum
  *
  * @param string $str
  * @access public
  * @return array
  */
  function decodeDataForum($str) {
    $currentData = explode(';', $str);
    $result = array(
      'mode' => (@trim($currentData[0]) == 'forum') ? 'forum' : 'categ',
      'id' => @trim($currentData[1])
    );
    return $result;
  }
  
  /**
  * Get forum combo
  *
  * @param string $name
  * @param array $field
  * @param string $data
  * @access public
  * @return string
  */
  function getForumCombo($name, $field, $data) {
    include_once(dirname(__FILE__).'/admin_forum.php');
    $this->forumObject = &new admin_forum();
    return $this->forumObject->getForumCombo($this->paramName, $name, $this->decodeDataForum($data));
  }
}
?>
