<?php
/**
* Page module Forum Last Entries
*
* @package module_forum
* @author Thomas Weinert <weinert@papaya-cms.com>
* @version $Id: content_forum_lastentries.php,v 1.5 2006/01/23 17:22:54 weinert Exp $
*/

/**
* Basic class Page module
*/
require_once(PAPAYA_INCLUDE_PATH.'system/base_content.php');
/**
* Base forum class
*/
include_once(dirname(__FILE__).'/base_forum.php');

/**
* Page module Forum Last Entries
*
* Seperate individual forum or complete categoy
*
* @package module_forum
* @author Thomas Weinert <weinert@papaya-cms.com>
*/
class content_forum_lastentries extends base_content {

  /**
  * Content edit fields
  * @var array
  */
  var $editFields = array(
    'title'=>array ('Title', 'isNoHTML', TRUE, 'input', 200, ''),
    'forum'=>array ('Forum', 'isNoHTML', TRUE, 'function', 'getForumCombo', ''),
    'lastcount'=>array ('Show last entries', 'isNum', TRUE, 'input', 2, '', 30),
    'forumpage'=>array ('Forum page', 'isNum', TRUE, 'input', 5, '', 1),
    'text',
    'nl2br'=>array ('Automatic linebreak', 'isNum', FALSE, 'combo', array(0=>'Yes', 1=>'No'),
      'Apply linebreaks from input to the HTML output.'),
    'text'=>array ('Text', 'isSomeText', FALSE, 'richtext', 10),
  );

  function getParsedData() {
    $result = '';
    $baseConfiguration = $this->decodeDataForum(@$this->data['forum']);
    $topicId = $this->topicObj->topicId;

    $this->forumObject = &new base_forum();
    $this->forumObject->module = &$this;

    $this->baseLink = $this->getWebLink((int)@$this->data['forumpage'], 'page', NULL, NULL, 'forum');

    $comments = '';
    $commentCount = 0;
    $moreLink = '';

    $this->forumObject->baseLink = $this->baseLink;
    if ($baseConfiguration['mode'] == 'categ') {
      $categId = $baseConfiguration['id'];
      $entries = $this->forumObject->getOutputLastEntriesInCateg($categId, @(int)$this->data['lastcount']);
    } else {
      $forumId = $baseConfiguration['id'];
      $entries = $this->forumObject->getOutputLastEntries($forumId, 0, @(int)$this->data['lastcount']);
    }

    $str = sprintf('<forum><lastentries>',
      htmlspecialchars($baseConfiguration['mode']), $baseConfiguration['id'], $this->baseLink);
    $str .= $entries;
    $str .= '</lastentries></forum>';

    return $str;
  }

  /**
  * Decode data forum
  *
  * @param string $str
  * @access public
  * @return array
  */
  function decodeDataForum($str) {
    $currentData = explode(';', $str);
    $result = array(
      'mode' => (@trim($currentData[0]) == 'forum') ? 'forum' : 'categ',
      'id' => @trim($currentData[1])
    );
    return $result;
  }

  /**
  * Get forum combo
  *
  * @param string $name
  * @param array $field
  * @param string $data
  * @access public
  * @return string
  */
  function getForumCombo($name, $field, $data) {
    include_once(dirname(__FILE__).'/admin_forum.php');
    $this->forumObject = &new admin_forum();
    return $this->forumObject->getForumCombo($this->paramName, $name, $this->decodeDataForum($data));
  }
}
?>
