<?php
/**
* Generates a image in steps (progress) with background and foreground images
*
* image plugins must be inherited from this superclass
*
* @package papaya_modules
* @author Martin Kelm <kelm@papaya-cms.com>
* @version $Id: image_progressimage.php,v 1.2 2006/05/31 08:47:46 kelm Exp $
*/

/**
* Base class for image plugins
*/
require_once(PAPAYA_INCLUDE_PATH.'system/base_dynamicimage.php');

/**
* * Generates a image in steps (progress) with background and foreground images
*
* image plugins must be inherited from this superclass
*
* @package papaya_modules
* @author Martin Kelm <kelm@papaya-cms.com>
*/
class image_progressimage extends base_dynamicimage {
  
  var $editFields = array(
    'Images',
    'image_bg' => array ('Background', 'isSomeText', FALSE, 'imagefixed', 400),
    'text_size' => array ('Text size', 'isNum', TRUE, 'input', 2, '', 5),
    'text_pos_x' => array ('Text position x', 'isNum', TRUE, 'input', 4, '', 105),
    'text_pos_y' => array ('Text position y', 'isNum', TRUE, 'input', 4, '', 100)
  );
  
  var $attributeFields = array(
    'text_value' => array ('Text value', 'isSomeText', TRUE, 'input', 120, '', 0),
  );

  /**
  * generate the image
  *
  * @param object base_imagegenerator &$controller controller object
  * @access public
  * @return resource image
  */
  function &generateImage(&$controller) {
    if ($imageBG = &$controller->getMediaFileImage(@$this->data['image_bg'])) {

      //calc size and create image
      $height = imagesy($imageBG);
      $width = imagesx($imageBG);
      $result = imagecreatetruecolor($width, $height);

      // background image
      if ($imageBG = &$controller->getMediaFileImage(@$this->data['image_bg'])) {
        for ($x = 0; ($x <= $width); $x += imagesx($imageBG)) {
          imagecopy($result, $imageBG, $x, 0, 0, 0, imagesx($imageBG), imagesy($imageBG));
        }
      }
      
      // output donation_value   
      $black = ImageColorAllocate($result, 222, 164, 28);    
      ImageString($result, $this->data['text_size'], 
        @(int)$this->data['text_pos_x'], 
        @(int)$this->data['text_pos_y'], 
        @(float)$this->attributes['text_value'], $black);       
      
      return $result;
    } else {
      $this->lastError = 'Can not load background image';
    }
    $result = FALSE;
    return $result;
  }
}
?>