<?php
/**
* Page module LinkDB
*
* @author Wilhelm Faber <faber@dimensional.de>
* @version $Id: content_linkdb.php,v 1.3 2006/01/12 17:23:11 weinert Exp $
* @package module_linkdb
*/

/**
* Basic class page module
*/
require_once(PAPAYA_INCLUDE_PATH.'system/base_content.php');
/**
* base linkdb module
*/
include_once(dirname(__FILE__).'/output_linkdb.php');
/**
* Page module LinkDB
*
* @author Wilhelm Faber <faber@dimensional.de>
* @package module_linkdb
*/
class content_linkdb extends base_content {

  /**
  * Content edit fields
  * @var array
  */
  var $editFields = array(
    'nl2br'=>array ('Automatic linebreak', 'isNum', FALSE, 'combo', array(0=>'Yes', 1=>'No'),
    'Apply linebreaks from input to the HTML output.'),
    'title'=>array ('Title', 'isNoHTML', TRUE, 'input', 200, ''),
    'subtitle'=>array ('Subtitle', 'isSomeText', FALSE, 'input', 400),
    'text'=>array ('Text', 'isSomeText', FALSE, 'richtext', 10),
    'categ'=>array ('Categorie', 'isNoHTML', TRUE, 'function', 'getLinkDbCombo', ''),
    'page splitting',
    'perpage'=>array ('Links per page', 'isNum', TRUE, 'input', 4, '', 30),
    'previoslink'=>array ('previous page', 'isNoHTML', TRUE, 'input', 100, '', 'previous page'),
    'nextlink'=>array ('next page', 'isNoHTML', TRUE, 'input', 100, '', 'next page'),
    'permissions',
    'post_comments'=>array ('Post comments', 'isNum', TRUE, 'function', 'getPermsCombo', '', 30),
    'call',
    'kind_of_call'=>array ('Call', 'isNum', TRUE, 'combo',
      array(0=>'Default', 1=>'Actual window and frame' ,
        2=>'Actual window and parent frame', 3=>'Actual window and top frame'
      ), ''
    ),
  );

  /**
  * Get parsed data
  *
  * @access public
  * @return string
  */
  function getParsedData() {
    $result = sprintf('<title>%s</title>'.LF,
    htmlspecialchars(@$this->data['title']));
    $result .= sprintf("<subtitle>%s</subtitle>",
      $this->getXHTMLString(@$this->data['subtitle'], !((bool)@$this->data['nl2br'])));
    $result .= sprintf("<text>%s</text>",
      $this->getXHTMLString(@$this->data['text'], !((bool)@$this->data['nl2br'])));
    $linkDatabaseObject = &new output_linkdb();
    $linkDatabaseObject->module = &$this;
    $result .= $linkDatabaseObject->getOutput($this->data);
    return $result;
  }

  /**
  * Get faq combo
  *
  * @param string $name
  * @param array $field
  * @param array $data
  * @access public
  * @return string
  */
  function getLinkDbCombo($name, $field, $data) {
    $result ="";
    $this->linkDatabaseObject = &new output_linkdb();
    $this->linkDatabaseObject->loadCategs();
    $result .= sprintf('<select name="%s[%s]" class="dialogSelect dialogScale">'.LF,
    $this->paramName, $name);
    $selected = ($data == 0) ? ' selected="selected"' : '';
    $result .= sprintf('<option value="%d"%s><![CDATA[%s]]></option>'.LF,
      0,
      $selected,
      htmlspecialchars($this->linkDatabaseObject->_gt('Base'))
    );
    if (isset($this->linkDatabaseObject->categs) && is_array($this->linkDatabaseObject->categs)) {
      $result .= $this->getCategSubTree(0,0,$data);
    }
    $result .= '</select>'.LF;
    return $result;
  }

  function getCategSubTree($parent, $indent,$data) {
    $result = '';
    if (isset($this->linkDatabaseObject->categTree[$parent]) &&
      is_array($this->linkDatabaseObject->categTree[$parent])) {
      foreach($this->linkDatabaseObject->categTree[$parent] as $id) {
        $result .= $this->getChildCategs($id, $indent,$data);
      }
    }
    return $result;
  }

  /**
  * Element of category tree
  * @param integer $id ID
  * @param integer $indent shifting
  * @return string $result String
  */
  function getChildCategs($id, $indent,$data) {
    $result = '';
    if (isset($this->linkDatabaseObject->categs[$id]) && is_array($this->linkDatabaseObject->categs[$id])) {

      $title = "'".str_repeat('-', $indent*4)."->";
      $title .= htmlspecialchars($this->linkDatabaseObject->categs[$id]['linkcateg_title']);

      $selected = ($data == $this->linkDatabaseObject->categs[$id]['linkcateg_id']) ? ' selected="selected"' : '';
      $result .= sprintf('<option value="%d"%s><![CDATA[%s]]></option>'.LF,
        $this->linkDatabaseObject->categs[$id]['linkcateg_id'],
        $selected,
        htmlspecialchars($title)
      );
      $result .= $this->getCategSubTree($id, $indent+1, $data);
    }
    return $result;
  }
}

?>