<?php
/**
* Page module - PodcastChannel with image
*
* @package module_default
* @author Alexander Christmann <christmann@datenwelt.net>
* @version $Id: content_podcast_channel.php,v 1.5 2006/05/05 13:45:52 christmann Exp $
*/

/**
* Basic class page module
*/
require_once(PAPAYA_INCLUDE_PATH.'system/base_content.php');
/**
* Article list
*/
require_once(PAPAYA_INCLUDE_PATH.'system/base_topiclist.php');

/**
* Page module - PodcastChannel with image
*/
class content_podcast_channel extends base_content {

  var $editFields = array(
    'max'=>array ('Count', 'isNum', TRUE, 'input', 5, '', '10000'),
    'timetolive'=>array ('Time To Live', 'isNum', TRUE, 'input', 5, '', 5),
    'sort'=>array ('Sort', 'isNum', TRUE, 'combo', array(0=>'Aufsteigend', 1=>'Absteigend')),
    'Image',
    'image'=>array ('Image', 'isSomeText', FALSE, 'image', 400),
    'Texts',
    'title'=>array ('Title', 'isNoHTML', TRUE, 'input', 400),
    'subtitle'=>array ('Subtitle', 'isNoHTML', FALSE, 'input', 400),
    'summary'=>array ('Summary', 'isNoHTML', FALSE, 'textarea', 8,'',''),
    'description'=>array ('Description', 'isNoHTML', TRUE, 'textarea', 8),   
    'copyright'=>array ('Copyright', 'isNoHTML', FALSE, 'input', 100),
    'link'=>array('Link','isNoHTML',FALSE,'input',200), 
    'author'=>array ('Author', 'isNoHTML', FALSE, 'input', 60),
  );

  /**
  * Get parsed data
  *
  * @access public
  * @return string
  */
  function getParsedData() {
    $result = sprintf('<title encoded="%s">%s</title>'.LF,
      rawurlencode(@$this->data['title']), $this->getXHTMLString(@$this->data['title']));
    $result .= sprintf('<subtitle>%s</subtitle>'.LF,
      $this->getXHTMLString(@$this->data['subtitle']));
    $result .= sprintf('<image>%s</image>'.LF,
      $this->getXHTMLString(@$this->data['image']));
    $result .= sprintf("<summary>%s</summary>", @$this->getXHTMLString($this->data['summary'] ));
    $result .= sprintf("<description>%s</description>", $this->getXHTMLString(@$this->data['description']));
    $result .= sprintf('<timetolive>%d</timetolive>'.LF, (int)@$this->data['timetolive']);
    $result .= sprintf("<author>%s</author>", $this->getXHTMLString(@$this->data['author']));    
    $result .= sprintf("<server>%s</server>", $_SERVER['SERVER_NAME']);
    $result .= sprintf('<link>%s</link>', $this->getXHTMLString(@$this->data['link']));    
/*
    $result .= sprintf('<debug>%s</debug>', $this->debug($GLOBALS));
*/
  
    $topicList = &new base_topiclist;
    $topicList->databaseURI = $this->topicObj->databaseURI;
    $topicList->tableTopics = $this->topicObj->tableTopics;
    $topicList->tableTopicsTrans = $this->topicObj->tableTopicsTrans;
    $topicClass = get_class($this->topicObj);
    $topicList->loadList($this->topicObj->topicId, @(int)$this->topicObj->topic['TRANSLATION']['lng_id'],
      TRUE, ((bool)@$this->data['sort']));
    if (isset($this->data['max']) && $this->data['max'] < 1) {
      $this->data['max'] = 1000;
    }
    $subTopicString = papaya_strings::entityToXML($topicList->getList($topicClass, @(int)$this->data['max']));
    $result .= $subTopicString;
    if (trim($subTopicString) != '') {
      if ($subTopics = $this->createXMLTree($subTopicString)) {
        $parent = NULL;
        $template = &new simple_xmlnode($parent, 'subtopic');
        $templateImage = &new simple_xmlnode($parent, 'image');
        unset($elements);
        unset($thumbs);
        $subTopics->extract($elements, $template);
      }
    }
    return $result;
  }

  /**
  * Get parsed teaser
  *
  * @access public
  * @return string
  */
  function getParsedTeaser() {
    $result = sprintf('<title>%s</title>'.LF,
      $this->getXHTMLString(@$this->data['title']));
    $result .= sprintf('<subtitle>%s</subtitle>'.LF,
      $this->getXHTMLString(@$this->data['subtitle']));
    if (isset($this->data['description']) && trim($this->data['description'] != '')) {
      $result .= sprintf("<description>%s</description>", @$this->getXHTMLString($this->data['description']));
    } elseif (isset($this->data['description']) && trim($this->data['description']) != '') {
      $teaser = str_replace("\r\n","\n",$this->data['description']);
      if (preg_match("/^(.+)([\n]{2})/sU", $teaser, $regs)) {
        $teaser = $regs[1];
      }
      $result .= sprintf('<description>%s</description>'.LF, $this->getXHTMLString($teaser));
    }
    $result .= sprintf('<image>%s</image>'.LF,
      $this->getXHTMLString(@$this->data['image']));
      
    $result .= sprintf('<link>%s</link>', $this->getXHTMLString(@$this->data['link']));
    return $result;
  }
}

?>