<?php
/**
* Quiz Content Page
*
* @author David Rekowski <rekowski@papaya-cms.com>
* @version $Id: content_quiz.php,v 1.5 2006/01/30 12:39:54 rekowski Exp $
* @package module_quiz
*/

/**
* Basic class page module
*/
require_once(PAPAYA_INCLUDE_PATH.'system/base_content.php');

/**
* Function class quiz
*/
require_once(dirname(__FILE__).'/base_quiz.php');

/**
* Quiz Content Page
*
* @author David Rekowski <rekowski@papaya-cms.com>
* @package module_quiz
*/
class content_quiz extends base_content {
  /**
  * edit fields
  * @var array
  */
  var $editFields = array(
    'title' => array ('Title', 'isNoHTML', TRUE, 'input', 255),
    'teaser' => array('Teaser', 'isSomeText', FALSE, 'simplerichtext', 5),
    'quiz' => array ('Quiz', 'isNoHTML', TRUE, 'function', 'getQuizCombo', ''),
  );

  /**
  * Get parsed data
  *
  * @access public
  * @return string xml
  */
  function getParsedData() {
    $result = '';
    $this->quizObject = &new base_quiz();
    $this->quizObject->module = &$this;
    $this->quizObject->initialize();
    $result = sprintf('<title encoded="%s">%s</title>'.LF,
      rawurlencode(@$this->data['title']), $this->getXHTMLString(@$this->data['title']));
    $result .= sprintf('<teaser>%s</teaser>'.LF,
      $this->getXHTMLString(@$this->data['teaser'], !((bool)@$this->data['nl2br'])));
    $result .= $this->quizObject->getContentOutput(&$this, $this->data);
    return $result;
  }

  function getParsedTeaser() {
    if (@trim($this->data['teaser']) != '') {
      $result = sprintf('<title>%s</title>'.LF, $this->getXHTMLString($this->data['title']));
      $result .= sprintf('<text>%s</text>'.LF, @$this->getXHTMLString($this->data['teaser'],
        !((bool)$this->data['nl2br'])));
      return $result;
    }
    return '';
  }

  /**
  * Get quiz combo for content selection
  *
  * @param string $name
  * @param array $field
  * @param array $data
  * @access public
  * @return string xml
  */
  function getQuizCombo($name, $field, $data) {
    include_once(PAPAYA_INCLUDE_PATH.'system/base_language_select.php');
    $this->lngSelect = &base_language_select::getInstance();
    $lngId = $this->lngSelect->currentLanguageId;
    $this->quizObject = &new base_quiz('cqz'); // content quiz
    $this->quizObject->loadGroupTree($lngId);
    $result = sprintf('<select name="%s[%s]" class="dialogSelect dialogScale">'.LF,
    $this->paramName, $name);
    if (isset($this->quizObject->groups) && is_array($this->quizObject->groups)) {
      $result .= $this->getQuizComboSubTree(0,0, $data);
    }
    $result .= '</select>'.LF;
    return $result;
  }

  /**
  * Get quiz combo sub tree
  *
  * @param integer $parent
  * @param integer $indent
  * @param array $data
  * @access public
  * @return string xml
  */
  function getQuizComboSubTree($parent, $indent, $data) {
    $result = '';
    if (isset($this->quizObject->groupTree[$parent]) && is_array($this->quizObject->groupTree[$parent])) {
      foreach($this->quizObject->groupTree[$parent] as $id) {
        $result .= $this->getQuizComboEntry($id, $indent, $data);
      }
    }
    return $result;
  }

  /**
  * Get quiz combo entry
  *
  * @param integer $id
  * @param integer $indent
  * @param array $data
  * @access public
  * @return string xml
  */
  function getQuizComboEntry($id, $indent, $data) {
    $result = '';
    if (isset($this->quizObject->groups[$id]) && is_array($this->quizObject->groups[$id])) {
      $group = $this->quizObject->groups[$id];
      if ($indent > 0) {
        $indentString = "'".str_repeat('-', $indent).'->';
      } else {
        $indentString = '';
      }
      $title = $this->quizObject->groups[$id]['groupdetail_title'];
      if (!isset($title) || $title == ''){
        $title = 'No Title for this Language';
      }
      $selected = ($data == $id) ? ' selected="selected"' : '';
      $result .= sprintf('<option value="%d" %s>%s %s</option>'.LF,
        $id, $selected ,
        $indentString, papaya_strings::escapeHTMLChars($title));
      $result .= $this->getQuizComboSubTree($id, $indent+1, $data);
    }
    return $result;
  }
}

?>