<?php
/**
* Page module - download list.
*
* @package module_mediadb
* @author Thomas Weinert <weinert@papaya-cms.com>
* @version $Id: content_upload.php,v 1.5 2006/01/12 17:23:11 weinert Exp $
*/

/**
* Basic class content
*/
require_once(PAPAYA_INCLUDE_PATH.'system/base_content.php');
/**
* Check funktions
*/
require_once(PAPAYA_INCLUDE_PATH.'system/sys_checkit.php');
/**
* File manager
*/
require_once(PAPAYA_INCLUDE_PATH.'system/base_fileman.php');
/**
* Page module - download list.
*
* @package module_mediadb
* @author Thomas Weinert <weinert@papaya-cms.com>
*/
class content_upload extends base_content {

  /**
  * Content edit fields
  * @var array
  */
  var $editFields = array(
    'directory'=>array ('Folder', 'isNum', TRUE, 'function', 'mediadirectory', '', 0),
    'text'=>array ('Text', 'isSomeText', FALSE, 'textarea', 10),
    'Captions',
    'caption_file_field'=>array ('File field', 'isNoHTML', TRUE, 'input', 100, '', 'Select a file'),
    'caption_title_field'=>array ('Title field', 'isNoHTML', TRUE, 'input', 100, '', 'Title'),
    'caption_descr_field'=>array ('Description field', 'isNoHTML', TRUE, 'input', 100, '', 'Description'),
    'caption_upload_button'=>array ('Upload button', 'isNoHTML', TRUE, 'input', 100, '', 'Upload'),
    'Messages',
    'FILE_UPLOADED'=>array ('Uploaded', 'isNoHTML', TRUE, 'input', 400, '', 'File uploaded'),
    'Error Messages',
    'INPUT_ERROR'=>array ('Input error', 'isNoHTML', TRUE, 'input', 400, '', 'Please check your inputs'),
    'FILE_TO_LARGE'=>array ('File to large', 'isNoHTML', TRUE, 'input', 400, '', 'File is to large'),
    'FILE_NOT_COMPLETE'=>array ('File not complete', 'isNoHTML', TRUE, 'input', 400, '', 'Uploaded file is no complete'),
    'FILE_NO_FILE'=>array ('No file', 'isNoHTML', TRUE, 'input', 400, '', 'No file uploaded'),
    'INVALID_FILE_TYPE'=>array ('Invalid file type', 'isNoHTML', TRUE, 'input', 400, '', 'Invalid file type'),
    'NO_TEMPORARY_PATH'=>array ('no temporary path', 'isNoHTML', TRUE, 'input', 400, '', 'No temporary path for file uploads - Please contact us.'),
  );

  /**
  * Get parsed data
  *
  * @access public
  * @return string
  */
  function getParsedData() {
    $result = sprintf("<text>%s</text>".LF, $this->getXHTMLString($this->data['text'], TRUE));

    $this->initializeParams();

    $this->fileManager = &new base_filemanager;
    $this->fileManager->initializeParams();
    $this->fileManager->baseLink = $this->baseLink;
    $this->fileManager->dataDirectory = PAPAYA_PATH_MEDIAFILES;
    $this->fileManager->thumbnailDirectory = PAPAYA_PATH_THUMBFILES;

    $folderId = (int)@$this->data['directory'];
    if ($folderId > 0 && $this->fileManager->dataLoadFolder($folderId,$this->topicObj->getContentLanguageId())) {
      if (isset($this->params['upload']) && $this->params['upload'] && $this->execUpload()) {
        $this->message = @htmlspecialchars($this->data['FILE_UPLOADED']);
      }
      $result .= $this->getUploadFormXML();
    }
    return $result;
  }

  function execUpload() {
    $this->message = NULL;
    if ($this->checkInputs()) {
      if (@isset($_FILES[$this->paramName]['tmp_name']['uploadfile'])) {
        $uploadData = array(
          'tmp_name' => $_FILES[$this->paramName]['tmp_name']['uploadfile'],
          'name' => $_FILES[$this->paramName]['name']['uploadfile'],
          'error' => $_FILES[$this->paramName]['error']['uploadfile']
        );
        if ($file = $this->checkUploadFile($uploadData)) {
          if ($fileId = $this->fileManager->addFileToMediaDatabase($uploadData['tmp_name'],
              $file['id'], $file['name'], $file['size'], $file['format'], (int)@$this->data['directory'])) {
              if ((isset($this->params['title']) && $this->params['title'] != '') ||
                  (isset($this->params['description']) && $this->params['description'] != '')) {
                $data = array(
                  'file_title' => @(string)$this->params['title'],
                  'file_comment' => @(string)$this->params['description'],
                  'file_sort' => (@trim($this->params['title']) != '') ? $this->params['title'] : $file['name']
                );
                $this->fileManager->dataEditFileProperties($fileId, $data, $this->topicObj->getContentLanguageId());
              }
              unset($this->params);
              return TRUE;
          }
        }
      } else {
        $this->message = @htmlspecialchars($this->data['FILE_NO_FILE']);
      }
    } else {
      $this->message = @htmlspecialchars($this->data['INPUT_ERROR']);
    }
    return FALSE;
  }

  function checkInputs() {
    $result = TRUE;
    $this->innputError = array();
    if (!(checkit::isNoHTML($this->params['title'], FALSE))) {
      $this->innputError['title'] = TRUE;
      $result = FALSE;
    }
    if (!(checkit::isNoHTML($this->params['description'], FALSE))) {
      $this->innputError['description'] = TRUE;
      $result = FALSE;
    }
    return $result;
  }

  function getUploadFormXML() {
    $result = sprintf('<uploaddialog action="%s">', $this->baseLink);
    $result .= sprintf('<input type="hidden" name="%s[upload]" value="1" />'.LF, $this->paramName);
    $result .= sprintf('<input type="hidden" name="MAX_FILE_SIZE" value="%s" />'.LF, $this->fileManager->maximumSize);
    if (isset($this->message) && trim($this->message) != '') {
      $result .= '<message>'.htmlspecialchars($this->message).'</message>';
    }
    $result .= '<element id="file">';
    $result .= sprintf('<label>%s</label>', @htmlspecialchars($this->data['caption_file_field']));
    $result .= sprintf('<input type="file" name="%s[uploadfile]"/>', $this->paramName);
    $result .= '</element>';
    $error = (isset($this->innputError['title'])) ? ' error="error"' : '';
    $result .= '<element id="title"'.$error.'>';
    $result .= sprintf('<label>%s</label>', @htmlspecialchars($this->data['caption_title_field']));
    $result .= sprintf('<input type="text" name="%s[title]" value="%s"/>', $this->paramName,
      htmlspecialchars(isset($this->params['title']) ? $this->params['title'] : ''));
    $result .= '</element>';
    $error = (isset($this->innputError['description'])) ? ' error="error"' : '';
    $result .= '<element id="description"'.$error.'>';
    $result .= sprintf('<label>%s</label>', @htmlspecialchars($this->data['caption_descr_field']));
    $result .= sprintf('<textarea type="text" name="%s[description]"><![CDATA[%s]]></textarea>', $this->paramName,
      htmlspecialchars(isset($this->params['description']) ? $this->params['description'] : ''));
    $result .= '</element>';
    $result .= sprintf('<button>%s</button>', @htmlspecialchars($this->data['caption_upload_button']));
    $result .= '</uploaddialog>';
    return $result;
  }

  function checkUploadFile($fileData) {
    if (isset($fileData)) {
      if (is_array($fileData)) {
        switch($fileData['error']) {
          case 1 :
          case 2 :
            $this->message = @htmlspecialchars($this->data['FILE_TO_LARGE']);
            return FALSE;
          case 3 :
            $this->message = @htmlspecialchars($this->data['FILE_NOT_COMPLETE']);
            return FALSE;
          case 6 :
            $this->message = @htmlspecialchars($this->data['NO_TEMPORARY_PATH ']);
            return FALSE;
          case 4 :
            $this->message = @htmlspecialchars($this->data['FILE_NO_FILE']);
            return FALSE;
          case 0 :
          default :
            $tempFileName = (string)$fileData['tmp_name'];
            break;
        }
      } else {
        $tempFileName = (string)$fileData;
      }
      if (@file_exists($tempFileName) && is_uploaded_file($tempFileName)) {
        $tempFileSize = @filesize($tempFileName);
        list(,,$tempFileType) = @getimagesize($tempFileName);
        if ($tempFileSize <= 0) {
          $this->message = @htmlspecialchars($this->data['FILE_NO_FILE']);
          @unlink($tempFileName);
        } elseif ($tempFileSize < $this->fileManager->maximumSize) {
          $ext = $this->fileManager->getExtension($fileData['name']);
          if (!(@in_array($ext,$this->fileManager->forbiddenExt))) {
            $fileId = $this->fileManager->getRandFilename($ext);
            return array('id'=>$fileId, 'format'=> $tempFileType, 'size'=>$tempFileSize, 'name'=>$fileData['name']);
          } else {
            $this->message = @htmlspecialchars($this->data['INVALID_FILE_TYPE']);
            @unlink($tempFileName);
          }
        } else {
          $this->message = @htmlspecialchars($this->data['FILE_TO_LARGE']);
          @unlink($tempFileName);
        }
      }
    }
    return FALSE;
  }

  /**
  * Media directory
  *
  * @param string $name
  * @param array $field
  * @param integer $data
  * @access public
  * @return string
  */
  function mediadirectory($name, $field, $data) {
    $result = '';
    include_once(PAPAYA_INCLUDE_PATH.'system/papaya_fileman.php');
    $fileManager = &new papaya_filemanager;
    $fileManager->initialize();

    $fileManager->dataDirectory = PAPAYA_PATH_MEDIAFILES;
    $fileManager->thumbnailDirectory = PAPAYA_PATH_THUMBFILES;
    $fileManager->dataLoadFolderList($this->topicObj->getContentLanguageId());
    $this->folders = $fileManager->folders;
    $this->folderLinks = $fileManager->folderLinks;

    $result .= sprintf('<select name="%s[%s]" class="dialogSelect dialogScale">'.LF,
      $this->paramName, $name);
    $result .= $this->getFolder(0,(int)$data, 0);
    $result .= '</select>'.LF;

    return $result;
  }

  /**
  * Get folder
  *
  * @param integer $id
  * @param integer $selId
  * @param integer $indent optional, default value 0
  * @access public
  * @return string
  */
  function getFolder($id, $selId, $indent=0) {
    $result = '';
    $folder = $this->folders[$id];
    if (isset($this->folderLinks[$id]['CHILDS'])) {
      $subFolders = $this->folderLinks[$id]['CHILDS'];
    } else {
      $subFolders = NULL;
    }
    if (isset($folder) && is_array($folder)) {
      if ($selId == $id) {
        $selected = ' selected="selected"';
      } else {
        $selected = '';
      }
      $result .= sprintf('<option value="%d"%s>%s%s</option>'.LF,
        $folder['folder_id'], $selected, str_repeat('-',$indent*2), htmlspecialchars($folder['folder_title']));
      if (isset($subFolders) && is_array($subFolders)) {
        foreach($subFolders as $sub) {
          $result .= $this->getFolder($sub, $selId, $indent+1);
        }
      }
    }
    return $result;
  }

}

?>