<?php
/**
* Button bar delegation-class
*
* @package papaya
* @author Thomas Weinert <weinert@papaya-cms.com>
* @version $Id: base_btnbuilder.php,v 1.2 2005/10/21 10:02:27 weinert Exp $
*/

/**
* Object basic class
*/
require_once(PAPAYA_INCLUDE_PATH.'system/sys_base_object.php');

/**
* Button bar delegation-class
*
* @package papaya
* @author Thomas Weinert <weinert@papaya-cms.com>
*/
class base_btnbuilder extends base_object {

  var $toolbar = NULL;
  var $images = NULL;

  function clear() {
    unset($this->toolbar);
  }

  /**
  * Add a Button to button bar
  *
  * @param string $caption
  * @param string $href
  * @param string $img optional, default value ''
  * @param string $hint optional, default value ''
  * @param boolean $down optional, default value FALSE
  * @access public
  */
  function addButton($caption, $href, $img='', $hint='', $down=FALSE) {
    $downString = (($down) ? ' down="down"' : '');
    $button = sprintf('<button title="%s" href="%s" glyph="%s" hint="%s" target="_self"%s/>',
      papaya_strings::escapeHTMLChars($this->_gt($caption)), $href, @$this->images[$img], papaya_strings::escapeHTMLChars($this->_gt($hint)),
      $downString);
    $this->toolbar[] = array('btn', $button);
  }

  /**
  * Add combo
  *
  * @param string $caption
  * @param string $href
  * @param string $paramName
  * @param string $default
  * @param array $options
  * @access public
  */
  function addCombo($caption, $href, $paramName, $default, $options) {
    $combo = sprintf('<combo title="%s" href="%s" name="%s">',
      papaya_strings::escapeHTMLChars($this->_gt($caption)), $href, $paramName);
    foreach($options as $key=>$val) {
      if ($key == $default) {
        $selected = ' selected="selected"';
      } else {
        $selected = '';
      }
      $combo .= sprintf('<option value="%s"%s>%s</option>',
        $key, $selected, $val);

    }
    $combo .= '</combo>';
    $this->toolbar[] = array('combo', $combo);
  }

  /**
  * Add seperator
  *
  * @access public
  */
  function addSeperator() {
    $last = @end($this->toolbar);
    if (isset($last) && is_array($last)) {
      if ($last[0] != '-') {
        $this->toolbar[] = array('-','<seperator/>');
      }
    }
  }

  /**
  * Output function
  *
  * @access public
  * @return string
  */
  function getXML() {
    $result = '';
    if (isset($this->toolbar) && is_array($this->toolbar)) {
      $last = end($this->toolbar);
      if ($last[0] == '-') {
        array_pop($this->toolbar);
      }
      foreach($this->toolbar as $button) {
        $result .= $button[1].LF;
      }
    }
    return $result;
  }

}

?>