<?php
/**
* Mimetype data
*
* @package papaya_base
* @author Thomas Weinert <weinert@papaya-cms.com>
* @version $Id: base_mimetypes.php,v 1.1.1.1 2005/09/30 15:51:08 weinert Exp $
*/



/**
* Base class data access
*/
require_once(PAPAYA_INCLUDE_PATH.'system/sys_base_db.php');

/**
* Mime type data
* @package papaya_base
*/
class base_mimetypes extends base_db {
  var $tableMimeTypes = PAPAYA_DB_TBL_MIMETYPES;
  var $mimeTypes = array();
  var $mimeTypesIndex = array();

  function loadMimeTypeByExt($ext, $reload = FALSE) {
    $iExt = strtolower($ext);
    if (isset($this->mimeTypesIndex) && isset($this->mimeTypesIndex[$iExt])) {
      if ($reload) {
        $id = $this->mimeTypesIndex[$iExt]['mimetype_id'];
        unset($this->mimeTypesIndex[$iExt]);
        if (isset($this->mimeTypes[$id])) {
          unset($this->mimeTypes[$id]);
        }
      } else {
        return $this->mimeTypesIndex[$iExt]['mimetype_id'];
      }
    }
    $sql = "SELECT mimetype_id, mimetype_ext, mimetype_text, mimetype_icon
              FROM %s
              WHERE mimetype_ext = '%s'";
    if ($res = $this->databaseQueryFmt($sql, array($this->tableMimeTypes, strtolower($iExt)))) {
      if ($row = $res->fetchRow(DB_FETCHMODE_ASSOC)) {
        $this->mimeTypes[$row['mimetype_id']] = $row;
        $this->mimeTypesIndex[$row['mimetype_ext']] = &$this->mimeTypes[$row['mimetype_id']];
        return $row;
      }
    }
    return FALSE;
  }

  function loadIconsByExtensions($extensions) {
    $result = FALSE;
    if (isset($extensions) && is_array($extensions) && count($extensions) > 0) {
      if (count($extensions) > 1) {
        $sql = "SELECT mimetype_ext, mimetype_icon FROM %s WHERE mimetype_ext IN (";
        foreach($extensions as $ext) {
          $sql .= "'".addslashes($ext)."', ";
        }
        $sql = substr($sql, 0, -2).')';
        $res = $this->databaseQueryFmt($sql, $this->tableMimeTypes);
      } else {
        $sql = "SELECT mimetype_ext, mimetype_icon FROM %s WHERE mimetype_ext = '%s'";
        $res = $this->databaseQueryFmt($sql, array($this->tableMimeTypes, $extensions[0]));
      }
      if ($res) {
        while($row = $res->fetchRow(DB_FETCHMODE_ASSOC)) {
          $result[$row['mimetype_ext']] = $row['mimetype_icon'];
        }
      }
    }
    return $result;
  }
}

?>