<?php
/**
* Basic objekt for all module objects
*
* All modules must inherit this class
*
* @package papaya_modules
* @author Thomas Weinert <weinert@papaya-cms.com>
* @version $Id: base_module.php,v 1.3 2006/04/20 18:24:00 weinert Exp $
*/

/**
* Base class plugins
*/
require_once(PAPAYA_INCLUDE_PATH.'system/base_plugin.php');
/**
* Basic objekt for all module objects
*
* All modules must inherit this class
*
* @package papaya_modules
* @author Thomas Weinert <weinert@papaya-cms.com>
*/
class base_module extends base_plugin {

  var $guid;

    /**
  * Get XML
  */
  function getXML() {
    if (is_object($this->layout)) {
      $this->execModule();
    }
  }

  /**
  * Execute module
  *
  * @access public
  */
  function execModule() {
  }

  /**
  * check if user has permissions
  *
  * @param permission $permId
  * @param boolean $showMessage optional, default value FALSE
  * @access public
  * @return boolean
  */
  function hasPerm($permId, $showMessage = FALSE) {
    if (is_object($this->authUser)) {
      if ($this->authUser->hasModulePerm($permId, $this->guid)) {
        return TRUE;
      } elseif ($this->authUser->isModulePermActive($permId, $this->guid) && $this->authUser->isAdmin()) {
        return TRUE;
      }
    }
    if ($showMessage) {
      $this->addMsg(MSG_ERROR, papaya_strings::escapeHTMLChars($this->_gt('You dont have the needed permissions.')));
    }
    return FALSE;
  }
}

?>