<?php
/**
* Delegation-class for Message-Boxen
*
* @package papaya
* @author Thomas Weinert <weinert@papaya-cms.com>
* @version $Id: base_msgdialog.php,v 1.2 2005/10/21 10:02:27 weinert Exp $
*/

/**
* Object basic class
*/
require_once(PAPAYA_INCLUDE_PATH.'system/sys_base_object.php');

/**
* Delegation-class for Message-Boxen
*
* @package papaya
* @author Thomas Weinert <weinert@papaya-cms.com>
*/
class base_msgdialog extends base_object {

  var $baseLink = '';

  var $owner = NULL;

  var $paramName = '';
  var $hidden = NULL;

  var $dialogTitle = 'Edit';
  var $buttonTitle = 'Save';

  /**
  *
  *
  * @param object &$aOwner
  * @param string $paramName
  * @param array &$hidden
  * @param string $msg
  * @param integer $type
  * @access public
  */
  function __construct(&$aOwner, $paramName, &$hidden, $msg, $type) {
    $this->owner = &$aOwner;
    $this->paramName = $paramName;
    $this->hidden = &$hidden;
    $this->messageString = $msg;
    $this->msgType = $type;
    $this->baseLink = $this->getBaseLink();
  }

  /**
  * PHP 4 constuctor redirect
  *
  * @param object &$aOwner
  * @param string $paramName
  * @param array &$hidden
  * @param string $msg
  * @param integer $type
  * @access public
  */
  function base_msgdialog(&$aOwner, $paramName, &$hidden, $msg, $type) {
    $this->__construct($aOwner, $paramName, $hidden, $msg, $type);
  }

  /**
  * Get message dialog
  *
  * @access public
  * @return string XML
  */
  function getMsgDialog() {
    $result = sprintf('<msgdialog title="%s" width="100%%" action="%s" type="%s">',
        papaya_strings::escapeHTMLChars($this->getCaption()), $this->baseLink, papaya_strings::escapeHTMLChars($this->msgType));
    $result .= $this->getHidden();
    $result .= '<message>';
    $result .= $this->messageString;
    $result .= '</message>';
      $result .= sprintf('<dlgbutton value="%s" />'.LF, papaya_strings::escapeHTMLChars($this->_gt($this->buttonTitle)));
    $result .= '</msgdialog>';
    return $result;
  }

  /**
  * Get hidden
  *
  * @access public
  * @return string
  */
  function getHidden() {
    $result = '';
    if (@is_array($this->hidden)) {
      foreach($this->hidden as $name=>$value) {
        if (is_array($value)) {
          foreach($value as $idx=>$subValue) {
            $result .= sprintf('<input type="hidden" name="%s[%s][%s]" value="%s"/>'.LF,
              $this->paramName, papaya_strings::escapeHTMLChars($name), papaya_strings::escapeHTMLChars($idx), papaya_strings::escapeHTMLChars($subValue));
          }
        } else {
          $result .= sprintf('<input type="hidden" name="%s[%s]" value="%s"/>'.LF,
            $this->paramName, papaya_strings::escapeHTMLChars($name), papaya_strings::escapeHTMLChars($value));
        }
      }
    }
    return $result;
  }

  /**
  * Get caption
  *
  * @access public
  * @return string
  */
  function getCaption() {
    switch($this->msgType) {
      case 'question' : return $this->_gt('Question');
      case 'hint' : return $this->_gt('Hint');
      case 'info' : return $this->_gt('Information');
      case 'error' : return $this->_gt('Error');
      default : return $this->dialogTitle;
    }
  }
}

?>