<?php
/**
* Base class of parser plugins
*
* image plugins must be inherited from this superclass
*
* @package papaya_modules
* @author Thomas Weinert <weinert@papaya-cms.com>
* @version $Id: base_parsermodule.php,v 1.4 2005/12/08 14:59:55 weinert Exp $
*/

/**
* Base class for plugins
*/
require_once(PAPAYA_INCLUDE_PATH.'system/base_plugin.php');

/**
* Base class of parser plugins
*
* image  plugins must be inherited from this superclass
*
* @package papaya_modules
* @author Thomas Weinert <weinert@papaya-cms.com>
*/
class base_parsermodule extends base_plugin {

  /**
  * Parser Object Reference
  * @var object papaya_parser $parserObj
  */
  var $parserObj = NULL;
  
  /**
  * Initialize Plugin
  *
  * @param object papaya_parser &$parser
  * @access public
  */
  function initialize(&$parser) {
    $this->parserObj = &$parser;
  }
  
  /**
  * compile data for added tags
  *
  * @param array &$papayaTags
  * @access public
  */
  function compileData(&$papayaTags) {
  
  }
  
  /**
  * Expand tag for richtext editor
  *
  * @param array &$papayaTag
  * @param array &$original
  * @param boolean $stripDynamicAttributes optional, default value FALSE
  * @access public
  * @return string
  */
  function expandTag(&$papayaTag, &$original, $stripDynamicAttributes = FALSE) {
    return '';
  }
  
  /**
  * create output tag
  *
  * @param array &$papayaTag
  * @access public
  * @return string
  */
  function createTag(&$papayaTag) {
    return '';
  }  
  
  /**
  * get additonal data (xml)
  *
  * @access public
  * @return string
  */
  function getParsedData() {
    return '';
  }
}
?>