<?php
/**
* Error object collect errors and return them on request
*
* @author Thomas Weinert <weinert@papaya-cms.com>
* @package papaya
* @version $Id: papaya_errors.php,v 1.6 2006/04/20 18:24:00 weinert Exp $
*/


/**
* Basic class Error
*/
require_once(PAPAYA_INCLUDE_PATH.'system/sys_error.php');
/**
* Error object collect errors and return them on request
* @author Thomas Weinert <weinert@papaya-cms.com>
* @package papaya
*/
class papaya_errors extends base_errors {

  /**
  * use own error handler
  * @var boolean $useErrorHandler
  */
  var $useErrorHandler = FALSE;
  
  /**
  * Constructor
  *
  * @access public
  */
  function __construct() {
    $this->setType(MSG_INFO, "info");
    $this->setType(MSG_WARNING, "warning");
    $this->setType(MSG_ERROR, "error");
  }

  /**
  * Output a box error
  *
  * @return string
  */
  function get($width='100%') {
    $result = "";
    if (isset($this->errorList) && is_array($this->errorList)) {
      foreach($this->errorList as $error) {
        $msg = papaya_strings::escapeHTMLChars($error[1]);
        $result .= sprintf('<msg type="%s" width="%s"><![CDATA[%s]]></msg>',
          $this->errorTypes[$error[0]][0],$width, $msg);
      }
    }
    return $result;
  }

  /**
  * Translate errors and attach them
  *
  * @param integer $id error typ
  * @param string $msg error text
  */
  function addMsgTranslated($id,$msg){
    $this->add($id, $this->_gt($msg));
  }
}

?>