<?php
/**
* basic class for handling errors
* @package papaya_base
* @author Thomas Weinert <weinert@papaya-cms.com>
* @version $Id: sys_error.php,v 1.2 2006/01/27 11:28:59 weinert Exp $
*/

/**
* base object
*/
include_once(PAPAYA_INCLUDE_PATH.'system/sys_base_object.php');

/**
* message type info
*/
define('MSG_INFO', 0);

/**
* message type warning
*/
define('MSG_WARNING', 1);

/**
* message type error
*/
define('MSG_ERROR', 2);

/**
* Error Object, here you can output all errors on demand
* @package papaya_base
* @author Thomas Weinert <weinert@papaya-cms.com>
*/
class base_errors extends base_object {
  /**
  * Error list
  * @var array $errorList
  */
  var $errorList;

  /**
  * Error types
  * @var array $errorList
  */
  var $errorTypes;

  /**
  * Add error
  * @param integer $id error type
  * @param string $msg error message
  * @return boolean Added? (ignoring duplicates)
  */
  function add($id,$msg) {
    if (isset($this->errorList) && is_array($this->errorList)) {
      foreach($this->errorList as $error) {
        if ($error[0] == $id && $error[1] == $msg) {
          return FALSE;
        }
      }
    }
    $this->errorList[] = array($id,$msg);
    return TRUE;
  }

  /**
  * Delete error list
  */
  function clear() {
    unset($this->errorList);
  }

  /**
  * Set error type
  * @param ? $id identification number
  * @param string $start ?
  * @param string end ?
  */
  function setType($id,$start="",$end="") {
    $this->errorTypes[$id] = array($start,$end);
  }
}
?>