<?php
/**
* Admin Stylesheet - CSS
* @module papaya-admin
* @author Thomas Weinert <weinert@papaya-cms.de>
* @version $Id: css.style.php,v 1.22 2006/04/26 10:41:44 christmann Exp $
*/

/**
* Do not show database errors
*/
define('PAPAYA_DBG_DATABASE_ERROR', '0');

/**
* Authentication
*/
require_once("./inc.auth.php");

header('Content-type: text/css');
?>
body, table, div, p li {
  font-family: Verdana, Arial, Helvetica, sans-serif;
  font-size: 12px;
}
body {
  background-color: <?php echo PAPAYA_BGCOLOR; ?>;
  margin: 0;
  padding: 0;
  color: <?php echo PAPAYA_FGCOLOR; ?>;
}
a, a:hover, a:active, a:visited {
  text-decoration: none;
  color:<?php echo PAPAYA_FGCOLOR; ?>;
}
h1, h2, h3, h4, h5 {
  font-family: verdana, arial, helvetica, sans-serif;
}
h1 {
  font-size: 14px;
}
h2 {
  font-size: 13px;
}
h3 {
  font-size: 12px;
}
h4 {
  font-size: 10px;
}
h5 {
  font-size: 8px;
}
tt {
  color: <?php echo PAPAYA_FGCOLOR; ?>;
}
form {
  margin: 0;
  padding: 0;
}

img {
  border: none;
}

/*Klassen*/

br.clearall {
  height: 1px;
  line-height: 1px;
  font-size: 1px;
  clear: both;
}

.windowtitle {
  background-color: <?php echo PAPAYA_BGCOLOR_DARK; ?>;
  background-image: url(<?php echo PAPAYA_SYSTEMPICS_PATH; ?>windowtitleback.png);
  color: <?php echo PAPAYA_WINDOWCOLOR; ?>;
  font-weight: bold;
  font-size: 12px;
  padding: 2px 2px 2px 2px;
  margin: 0 0 0 0;
}
.windowtitle a {
  color: <?php echo PAPAYA_WINDOWCOLOR; ?>;
  font-weight: bold;
  text-decoration: none;
}

div.btnLogout {
  display: block;
  width: 16px;
  height: 16px;
  position: absolute;
  right: 3px;
  line-height: 16px;
}
div.btnLogout img {
  border: none;
  width: 16px;
  height: 15px;
}

/* menubars and toolbars */
div.menubar {
  clear: both;
  background-color: <?php echo PAPAYA_BGCOLOR; ?>;
  border-bottom : 2px groove;
  border-top-style : none;
  color: <?php echo PAPAYA_BGCOLOR; ?>;
}
div.toolbar {
  clear: both;
  background-color: <?php echo PAPAYA_BGCOLOR; ?>;
  border: 2px groove;
  color: <?php echo PAPAYA_BGCOLOR; ?>;
  margin-bottom: 10px;
}

div.menubar ul, div.toolbar ul {
  display: block;
  margin: 2px;
  padding: 0;
  line-height: 20px;
}

div.menubar li, div.toolbar li {
  display: inline;
  padding: 1px;
  margin: 0;
  list-style: none;
  color: <?php echo PAPAYA_BGCOLOR; ?>;
  border: 1px solid <?php echo PAPAYA_BGCOLOR; ?>;
  background-color: <?php echo PAPAYA_BGCOLOR; ?>;
  vertical-align: middle;
}

div.menubar li.seperated, div.toolbar li.seperated {
  background-color: <?php echo PAPAYA_BGCOLOR; ?>;
  border-right: 2px groove <?php echo PAPAYA_BGCOLOR; ?>;
}

div.menubar li.down, div.toolbar li.down {
  background-color: <?php echo PAPAYA_BGCOLOR_LIGHT; ?>;
  border: 1px inset <?php echo PAPAYA_BGCOLOR; ?>;
}

div.menubar a, div.toolbar a {
  border: none;
  padding-right: 2px;
  font-size: 10px;
  color: <?php echo PAPAYA_FGCOLOR; ?>;
  white-space: nowrap;
}
div.menubar img, div.toolbar img {
  height: 18px;
  width: 18px;
  border: none;
  padding: 0;
  padding-right: 2px;
  vertical-align: middle;
}
div.menubar form, div.toolbar form {
  font-size: 10px;
  color: <?php echo PAPAYA_FGCOLOR; ?>;
  white-space: nowrap;
  height: 22px;
  margin: 0;
  vertical-align: middle;
  padding: 0;
  padding-right: 2px;
  display: inline;
}
div.menubar select, div.toolbar select {
  font-size: 10px;
  height: 18px;
  margin: 0;
  vertical-align: middle;
  margin-right: 2px;
  margin-left: 2px;
}

.glyph {
  width: 18px;
  height: 18px;
  border: none;
  margin: 0;
  vertical-align: middle;
  display: block;
}

.smallIcon {
  display: block;
  width: 18px;
  height: 18px;
  float: left;
  padding: 0;
  margin: 0;
}
.smallIcon img {
  width: 18px;
  height: 18px;
  float: left;
  border: none;
  vertical-align: middle;
  margin: 0;
}

.formbutton {
  background-color: transparent;
  border: 1px none;
  font-size: 10px;
  margin: 2px 2px 2px 2px;
}
.formbutton:hover {
  border: 1px solid;
  border-color: <?php echo PAPAYA_WINDOWCOLOR; ?> <?php echo PAPAYA_BGCOLOR_DARK; ?> <?php echo PAPAYA_BGCOLOR_DARK; ?> <?php echo PAPAYA_WINDOWCOLOR; ?>;
}
.text {
  font-size: 12px;
  color:<?php echo PAPAYA_FGCOLOR; ?>;
}
.smalltext {
  font-size: 10px;
  color:<?php echo PAPAYA_FGCOLOR; ?>;
}

.panel {
  clear: both;
  border: 2px groove;
  color: <?php echo PAPAYA_BGCOLOR; ?>;
  margin-bottom: 10px;
}
.panelheader300, .panelheader500, .panelheader800, .panelheaderbig {
  background-color: <?php echo PAPAYA_BGCOLOR_DARK; ?>;
  background-image: url(<?php echo PAPAYA_SYSTEMPICS_PATH; ?>paneltitleback.png);
  color: <?php echo PAPAYA_WINDOWCOLOR; ?>;
  font-weight: bold;
  font-size: 12px;
  text-align: left;
  padding: 2px 2px 2px 2px;
  margin: 0 0 0 0;
  border-style: none;
  border-bottom: 2px groove;
}
.panelheader300 {
  background-image: url(<?php echo PAPAYA_SYSTEMPICS_PATH; ?>paneltitleback.png);
}
.panelheader500 {
  background-image: url(<?php echo PAPAYA_SYSTEMPICS_PATH; ?>paneltitleback500.png);
}
.panelheader800 {
  background-image: url(<?php echo PAPAYA_SYSTEMPICS_PATH; ?>paneltitleback800.png);
}
.panelheaderbig {
  background-image: url(<?php echo PAPAYA_SYSTEMPICS_PATH; ?>windowtitleback.png);
}
.panelbody {
  border-style: none;
  color: <?php echo PAPAYA_FGCOLOR; ?>;
}
.panelgrooved {
  background-color: <?php echo PAPAYA_BGCOLOR_DARK; ?>;
  border: 1px inset <?php echo PAPAYA_BGCOLOR; ?>;
  margin: 0;
}
.papersheetBackground {
  padding: 10px;
  background-color: <?php echo PAPAYA_BGCOLOR_DARK; ?>;
  border: 1px inset <?php echo PAPAYA_BGCOLOR; ?>;
  margin: 0;
  text-align: left;
}
.papersheet {
  background-color: <?php echo PAPAYA_WINDOWCOLOR; ?>;
  border: 1px solid #000000;
  border-right: 2px outset #808080;
  border-bottom: 2px outset #808080;
  margin: 0;
  padding: 8px;
}
.papersheet a, .papersheet a:hover, .papersheet a:active, .papersheet a:visited  {
  color: <?php echo PAPAYA_HIGHLIGHT_COLOR; ?>;
  text-decoration: underline;
}
.papersheet .info {
  font-size: 10px;
  text-align: right;
}
.papersheet .teletype div {
  font-family: monospace;
}
.linelow {
  font-size:12px;
  color: <?php echo PAPAYA_FGCOLOR; ?>;
  background-color: <?php echo PAPAYA_BGCOLOR; ?>;
}
.linehigh{
  font-size:12px;
  background-color: <?php echo PAPAYA_BGCOLOR_DARKER; ?>;
  color: <?php echo PAPAYA_FGCOLOR; ?>;
}
.subtitle {
  background-color: <?php echo PAPAYA_BGCOLOR_DARK; ?>;
  color: <?php echo PAPAYA_FGCOLOR; ?>;
  font-weight: bold;
  font-size: 12px;
  text-align: center;
  padding: 2px 2px 2px 2px;
  margin: 0 0 0 0;
  border-style: none;
}
.listitemlow {
  line-height: 18px;
  font-size:10px;
  background-color: <?php echo PAPAYA_WINDOWCOLOR; ?>;
  color: <?php echo PAPAYA_FGCOLOR; ?>;
}
.listitemhigh{
  line-height: 18px;
  font-size: 10px;
  background-color: <?php echo PAPAYA_BGCOLOR_LIGHT; ?>;
  color: <?php echo PAPAYA_FGCOLOR; ?>;
}
.listitemSelected {
  line-height: 18px;
  font-size: 10px;
  background-color: <?php echo PAPAYA_HIGHLIGHT_COLOR; ?>;
  color: <?php echo PAPAYA_HIGHLIGHT_TEXTCOLOR; ?>;
}
.listitemlow a, .listitemhigh a {
  font-size: 10px;
}
.listitemSelected a {
  font-size: 10px;
  color: <?php echo PAPAYA_HIGHLIGHT_TEXTCOLOR; ?>;
}
.linecaption {
  font-size:12px;
  color: <?php echo PAPAYA_FGCOLOR; ?>;
}
.listview {
  border: 1px inset;
  color: <?php echo PAPAYA_BGCOLOR; ?>;
  background-color: <?php echo PAPAYA_BGCOLOR; ?>;
}
.listviewheader {
  background-color: <?php echo PAPAYA_BGCOLOR; ?>;
  color: <?php echo PAPAYA_FGCOLOR; ?>;
  font-size: 10px;
  padding: 1px 1px 1px 2px;
  border: 1px solid;
  border-color: <?php echo PAPAYA_BGCOLOR_LIGHT; ?> <?php echo PAPAYA_BGCOLOR_DARK; ?> <?php echo PAPAYA_BGCOLOR_DARK; ?> <?php echo PAPAYA_BGCOLOR_LIGHT; ?>;
}
.listviewline {
  clear: both;
  border: none;
  background-color: <?php echo PAPAYA_WINDOWCOLOR; ?>;
  color: <?php echo PAPAYA_FGCOLOR; ?>;
  font-size: 10px;
  padding: 1px 1px 1px 2px;
}
.topbevel {
  clear: both;
  border-style : none;
  border-top : 2px groove;
  color: <?php echo PAPAYA_BGCOLOR; ?>;
  background-color: <?php echo PAPAYA_BGCOLOR; ?>
}
.bottombevel {
  clear: both;
  border-style : none;
  border-bottom : 2px groove;
  color: <?php echo PAPAYA_BGCOLOR; ?>;
  background-color: <?php echo PAPAYA_BGCOLOR; ?>
}
.plane {
  border: none;
  color: <?php echo PAPAYA_BGCOLOR; ?>;
}
.inset {
  border: 1px solid;
  border-color: <?php echo PAPAYA_BGCOLOR_DARK; ?> <?php echo PAPAYA_BGCOLOR_LIGHT; ?> <?php echo PAPAYA_BGCOLOR_LIGHT; ?> <?php echo PAPAYA_BGCOLOR_DARK; ?>;
}
.outset {
  border: 1px solid;
  border-color: <?php echo PAPAYA_BGCOLOR_LIGHT; ?> <?php echo PAPAYA_BGCOLOR_DARK; ?> <?php echo PAPAYA_BGCOLOR_DARK; ?> <?php echo PAPAYA_BGCOLOR_LIGHT; ?>;
}
.groove {
  border: 2px groove;
  color: <?php echo PAPAYA_BGCOLOR; ?>;
}

.bottomline {
  border-bottom: 1px solid #000000;
}

.headertitle {
  font-size: 14px;
  font-weight: bold;
}
.headersubtitle {
  font-style: italic;
}
.email{
  color: #0000FF;
  text-decoration: underline;
}

.thumbnail {
  background-color: <?php echo PAPAYA_BGCOLOR; ?>;
  color: <?php echo PAPAYA_FGCOLOR; ?>;
  font-size: 10px;
  padding: 1px 1px 1px 2px;
  border: 1px solid;
  border-color: <?php echo PAPAYA_BGCOLOR_LIGHT; ?> <?php echo PAPAYA_BGCOLOR_DARK; ?> <?php echo PAPAYA_BGCOLOR_DARK; ?> <?php echo PAPAYA_BGCOLOR_LIGHT; ?>;
}
.thumbnailsel {
  background-color: <?php echo PAPAYA_BGCOLOR; ?>;
  color: <?php echo PAPAYA_FGCOLOR; ?>;
  font-size: 10px;
  padding: 1px 1px 1px 2px;
  border: 1px solid;
  border-color: <?php echo PAPAYA_BGCOLOR_DARK; ?> <?php echo PAPAYA_BGCOLOR_LIGHT; ?> <?php echo PAPAYA_BGCOLOR_LIGHT; ?> <?php echo PAPAYA_BGCOLOR_DARK; ?>;
}
.thumbnailtitle {
  font-size: 10px;
  background-color: <?php echo PAPAYA_WINDOWCOLOR; ?>;
  color: <?php echo PAPAYA_FGCOLOR; ?>;
  border: 1px solid;
  border-color: <?php echo PAPAYA_BGCOLOR_DARK; ?> <?php echo PAPAYA_BGCOLOR_LIGHT; ?> <?php echo PAPAYA_BGCOLOR_LIGHT; ?> <?php echo PAPAYA_BGCOLOR_DARK; ?>;
}
.thumbnailtitlesel {
  font-size: 10px;
  background-color: <?php echo PAPAYA_BGCOLOR_LIGHT; ?>;
  color: <?php echo PAPAYA_FGCOLOR; ?>;
  border: 1px solid;
  border-color: <?php echo PAPAYA_BGCOLOR_DARK; ?> <?php echo PAPAYA_BGCOLOR_LIGHT; ?> <?php echo PAPAYA_BGCOLOR_LIGHT; ?> <?php echo PAPAYA_BGCOLOR_DARK; ?>;
}

/*Tag-Klassen (Eingabe)*/
.dialogFileSelect {
  border: 1px solid <?php echo PAPAYA_BGCOLOR; ?>;
  border-color: <?php echo PAPAYA_BGCOLOR_LIGHT; ?> <?php echo PAPAYA_BGCOLOR_DARK; ?> <?php echo PAPAYA_BGCOLOR_DARK; ?> <?php echo PAPAYA_BGCOLOR_LIGHT; ?>;
  color: #000000;
}
.dialogInput, .dialogPassword, .dialogTextarea, .dialogRichtext, .dialogSimpleRichtext, .dialogSelect, .dialogImage, .dialogFixedImage, .dialogPageId, .dialogInputDate, .dialogInputColor, .dialogMediafile {
  border: 1px inset <?php echo PAPAYA_BGCOLOR; ?>;
  background-color : <?php echo PAPAYA_WINDOWCOLOR; ?>;
  color: #000000;
}

.dialogGroup, .dialogRadio, .dialogCheckboxes {
  text-align: left;
}
.dialogXXSmall .dialogScale {
  width: 50px;
}
.dialogXSmall .dialogScale {
  width: 150px;
}
.dialogSmall .dialogScale {
  width: 190px;
}
.dialogMedium .dialogScale {
  width: 300px;
}
.dialogLarge .dialogScale {
  width: 400px;
}
.dialogXLarge .dialogScale {
  width: 600px;
}
.dialogXXLarge .dialogScale {
  width: 800px;
}
.dialogButtonArea {
  text-align: right;
  padding: 2px;
}
.dialogButton {
  border: 1px solid;
  border-color: <?php echo PAPAYA_WINDOWCOLOR; ?> <?php echo PAPAYA_BGCOLOR_DARK; ?> <?php echo PAPAYA_BGCOLOR_DARK; ?> <?php echo PAPAYA_WINDOWCOLOR; ?>;
  background-color : <?php echo PAPAYA_BGCOLOR; ?>;
  color: <?php echo PAPAYA_FGCOLOR; ?>;
  font-size: 10px;
}
.dialogPopupButton {
  border: 1px solid;
  border-color: <?php echo PAPAYA_WINDOWCOLOR; ?> <?php echo PAPAYA_BGCOLOR_DARK; ?> <?php echo PAPAYA_BGCOLOR_DARK; ?> <?php echo PAPAYA_WINDOWCOLOR; ?>;
  background-color : <?php echo PAPAYA_BGCOLOR; ?>;
  color: <?php echo PAPAYA_FGCOLOR; ?>;
  font-size: 10px;
  display: block;
  width: 60px;
  font-weight: bold;
  float: right;
  margin-left: 5px;
  margin-top: 2px;
}
.popupButtonsArea {
  border-top: 2px groove <?php echo PAPAYA_BGCOLOR_LIGHT; ?>;
  padding: 4px;
}
.iframePreview {
  border: 1px inset <?php echo PAPAYA_BGCOLOR; ?>;
  width: 300px;
  height: 260px;
}

tr.lines th {
  border-top: 2px groove <?php echo PAPAYA_BGCOLOR_LIGHT; ?>;
  border-bottom: 2px groove <?php echo PAPAYA_BGCOLOR_LIGHT; ?>;
}

div.messageText {
  color: <?php echo PAPAYA_FGCOLOR; ?>;
  text-align: left;
  min-height: 32px;
  padding: 4px;
  vertical-align: middle;
  margin-left: 60px;
  padding-top: 10px;
}

div.messageGlyph {
  width: 40px;
  height: 100%;
  vertical-align: middle;
  float: left;
  padding: 10px;
}

div.messageGlyph img {
  width: 32px;
  height: 32px;
}

div.loginDialog {
  text-align: center;
}
div.loginDialog .panel {
  margin-top: 100px;
  margin-left: auto;
  margin-right: auto;
  width: 300px;
}

div.loginDialog form {
  margin: 4px;
  padding: 0;
}

div.loginDialog form div {
  text-align: left;
  margin-bottom: 20px;
  margin-top: 5px;
}

div.loginDialog form div.message {
  font-size: 1.2em;
  font-weight: bold;
  text-align: center;
  margin-bottom: 20px;
  margin-top: 5px;
}
div.loginDialog form a {
  text-decoration: underline;
}

div.loginDialog label {
  display: block;
  float: left;
  clear: left;
  width: 100px;
  text-align: left;
}

div.loginDialog input.dialogButton {
  clear: left;
  float: right;
  width: 100px;
  margin: 2px;
  margin-bottom: 10px;
}

div.loginDialog input.dialogInput {
  width: 182px;
  margin-bottom: 2px;
  border: 1px inset <?php echo PAPAYA_BGCOLOR; ?>;
  background-color : <?php echo PAPAYA_WINDOWCOLOR; ?>;
  color: #000000;
}

/* data grid */

table.grid {
  background-color: <?php echo PAPAYA_WINDOWCOLOR; ?>;
  border: none;
}

table.grid td, table.grid th {
  padding: 1px;
}

table.grid .topline td, table.grid .topline th {
  border-top: 1px solid <?php echo PAPAYA_FGCOLOR; ?>;
}

table.grid .group {
  border-right: 1px solid <?php echo PAPAYA_FGCOLOR; ?>;
  font-size: 20px;
  text-align: right;
  padding: 4px;
}

table.grid .low {
  background-color: <?php echo PAPAYA_WINDOWCOLOR; ?>;
  color: <?php echo PAPAYA_FGCOLOR; ?>;
}

table.grid .high {
  background-color: <?php echo PAPAYA_BGCOLOR_LIGHT; ?>;
  color: <?php echo PAPAYA_FGCOLOR; ?>;
}

/* outlook bar */

div.outlookbar {
  background-color: <?php echo PAPAYA_BGCOLOR_DARK; ?>;
  border: 1px inset <?php echo PAPAYA_BGCOLOR; ?>;
  margin: 0;
  padding-bottom: 20px;
}

div.outlookbar div.icon {
  padding: 2px;
  padding-top: 20px;
}

div.outlookbar div.subTitle {
  font-size: 11px;
}

td.panelbody div.left {
  text-align: left;
}

/* installer */
div.installer {
  background-color: #FFF;
  background-image: url(pics/back_blossom.jpg);
  background-repeat: no-repeat;
  background-position: top right;
  padding-bottom: 10px;
}
div.installer table {
  width: 100%;
}
div.installer table tr {
  vertical-align: top;
}
div.installer table th {
  text-align: left;
  padding-top: 15px;
  width: 100%;
  color: gray;
}
div.installer table th a {
  text-decoration: underline;
  color: black;
}
div.installer table td {
  text-align: left;
  padding: 2px;
  padding-right: 15px;
  color: black;
}
div.installer table td.bullet {
  padding: 10px;
  padding-bottom: 0;
}
div.installer table td.bullet img {
  border: none;
  width: 26px;
  height: 26px;
}

div.installer div.progress {
  width: 205px;
}
div.installer div.progressLabel {
  font-weight: bold;
  font-size: 11px;
  margin-bottom: 5px;
  width: 200px;
}

div.installer div.progressBar {
  border: 1px solid black;
  background-color: #FFF;
  width: 200px;
}

div.installer div.progressBar img {
  border: none;
  margin: 0;
  padding: 0;
  height: 19px;
  width: 0;
}

div.statisticBar {
  background-color: <?php echo PAPAYA_HIGHLIGHT_COLOR; ?>;
  height: 10px;
}

tr.monthrow td.disabled {
  font-size: 8px;
  border: 1px solid;
  border-color: <?php echo PAPAYA_WINDOWCOLOR; ?> <?php echo PAPAYA_BGCOLOR_DARK; ?> <?php echo PAPAYA_BGCOLOR_DARK; ?> <?php echo PAPAYA_WINDOWCOLOR; ?>;
  text-align: center;
  color:<?php echo PAPAYA_FGCOLOR; ?>;
}
tr.monthrow td.available {
  font-size: 8px;
  border: 1px solid;
  border-color: <?php echo PAPAYA_WINDOWCOLOR; ?> <?php echo PAPAYA_BGCOLOR_DARK; ?> <?php echo PAPAYA_BGCOLOR_DARK; ?> <?php echo PAPAYA_WINDOWCOLOR; ?>;
  background-color: <?php echo PAPAYA_HIGHLIGHT_COLOR; ?>;
  text-align: center;
}
tr.monthrow td.available a {
  color: <?php echo PAPAYA_HIGHLIGHT_TEXTCOLOR; ?>;
}

tr.yearnav td {
  background-color: <?php echo PAPAYA_HIGHLIGHT_COLOR; ?>;
}

tr.yearnav td a {
  color: <?php echo PAPAYA_HIGHLIGHT_TEXTCOLOR; ?>;
}

tr.week td.available {
  font-size: 7px;
  border: 1px solid;
  border-color: <?php echo PAPAYA_WINDOWCOLOR; ?> <?php echo PAPAYA_BGCOLOR_DARK; ?> <?php echo PAPAYA_BGCOLOR_DARK; ?> <?php echo PAPAYA_WINDOWCOLOR; ?>;
  background-color: <?php echo PAPAYA_HIGHLIGHT_COLOR; ?>;
  text-align: center;
}
tr.week td.available a {
  color: <?php echo PAPAYA_HIGHLIGHT_TEXTCOLOR; ?>;
}
tr.week td.disabled {
  font-size: 7px;
  border: 1px solid;
  border-color: <?php echo PAPAYA_WINDOWCOLOR; ?> <?php echo PAPAYA_BGCOLOR_DARK; ?> <?php echo PAPAYA_BGCOLOR_DARK; ?> <?php echo PAPAYA_WINDOWCOLOR; ?>;
  text-align: center;
  color:<?php echo PAPAYA_FGCOLOR; ?>;
}

tr.week td.listviewheader {
  background-color: <?php echo PAPAYA_HIGHLIGHT_COLOR; ?>;
}

tr.week td.listitemhigh {
  background-color: <?php echo PAPAYA_HIGHLIGHT_COLOR; ?>;
  text-align: center;
}
tr.week td.listitemhigh a {
  color: <?php echo PAPAYA_HIGHLIGHT_TEXTCOLOR; ?>;
}

tr.week td.listitemlow {
  text-align: center;
}

div.pagingframe {
  border: 1px solid;
  border-color: <?php echo PAPAYA_BGCOLOR_DARK; ?> <?php echo PAPAYA_WINDOWCOLOR; ?> <?php echo PAPAYA_WINDOWCOLOR; ?> <?php echo PAPAYA_BGCOLOR_DARK; ?>;
  height: 18px;
}

div.paging {
  border-right: 1px solid <?php echo PAPAYA_WINDOWCOLOR; ?>;
  padding: 0px;
  float: left;
  height: 16px;
}
div.subpaging {
  border-right: 1px solid <?php echo PAPAYA_BGCOLOR_DARK; ?>;
  padding: 0px 5px;
  margin:0px;
  height: 16px;
}
div.sublimits {
  border-left: 1px solid <?php echo PAPAYA_WINDOWCOLOR; ?>;
  padding: 0px 5px;
  margin:0px;
  height: 16px;
}
div.limits {
  border-left: 1px solid <?php echo PAPAYA_BGCOLOR_DARK; ?>;
  padding: 0px;
  float:right;
  height: 16px;
}

div.paging a, div.limits a {
  padding: 0px 1px;
  font-size: 10px;
}

div.pagingframe div.spacer {
  border: 1px solid;
  border-color:  <?php echo PAPAYA_WINDOWCOLOR; ?> <?php echo PAPAYA_BGCOLOR_DARK; ?> <?php echo PAPAYA_BGCOLOR_DARK; ?> <?php echo PAPAYA_WINDOWCOLOR; ?>;
  margin: 0px;
  padding: 0px;
  height: 16px;
}

div.paging a.selected, div.limits a.selected  {
  background-color: <?php echo PAPAYA_HIGHLIGHT_COLOR; ?>;
  color: <?php echo PAPAYA_HIGHLIGHT_TEXTCOLOR; ?>;
}
