var progressTimeout = 500;
var img_tpoint = "pics/tpoint.gif";
var img_progressbar = "pics/progressbar.gif";

var currentProgressId = '';
var nextAction = '';

var updateTableCount = 0;

function initInstallAnalyze() {
  if (tabledata && tabledata.length > 0) {
    updateTableCount = 0;
    switchProgress('Analyze');
    setProgress('Analyze', '', 0);
    checkTable(0);
  }
}

function initInstallCreate() {
  if (tabledata && tabledata.length > 0) {
    switchProgress('Create');
    setProgress('Create', '', 0);
    syncTable(0);
  }
}

function initInstallInsert() {
  if (tabledata && tabledata.length > 0) {
    switchProgress('Insert');
    setProgress('Insert', '', 0);
    resetTable(0);
  }
}

function initInstallInit() {
  switchProgress('Init');  
  setProgress('Init', '', 0);
  initDefaultData(0);
}

function initInstallGoTo() {
  document.location.href = 'auth.php';
}

/* progress controls */

function setProgressBar(id, position) {
  var bar = document.getElementById('installerProgressBar'+id);
  if (bar) {
    if (position >= 0 && position <= 99) {
      bar.style.width = position + '%';
    } else if (position > 99) {
      bar.style.width = '99%';
    } else {
      bar.style.width = '0%';  
    }
  }
}

function setProgressLabel(id, text) {
  var label = document.getElementById('installerProgressLabel'+id);
  if (label) {
    label.innerHTML = text;
  }
}

function showProgress(id) {
  var element = document.getElementById('installerProgress'+id);
  if (element) {
    var img = document.getElementById('installerProgressBar'+id);
    if (img) {
      img.src = img_progressbar;
    }
    element.style.display = 'block';
  }
}

function hideProgress(id) {
  var element = document.getElementById('installerProgress'+id);
  if (element) {
    element.style.display = 'none';
    var img = document.getElementById('installerProgressBar'+id);
    if (img) {
      img.src = img_tpoint;
    }
  }
}

function switchProgress(id) {
  var ids = new Array('Analyze', 'Create', 'Insert', 'Init');
  for (var i in ids) {
    if (id == ids[i]) {
      showProgress(id);
    } else {
      hideProgress(ids[i]);
    }
  }
}

function setProgress(id, text, position) {
  currentProgressId = id;
  setProgressLabel(id, text);
  setProgressBar(id, position);
}

/* headers - enable and disable actions */
function enableAction(id) {
  var row1 = document.getElementById('header'+id);
  var row2 = document.getElementById('headerDisabled'+id);
  if (row1) {
    if (document.all) {
      row1.style.display = 'block';
    } else {
      row1.style.display = 'table-row';    
    }
    if (row2) {
      row2.style.display = 'none';
    }
  }
}

function disableAction(id) {
  var row1 = document.getElementById('header'+id);
  var row2 = document.getElementById('headerDisabled'+id);
  if (row2) {
    if (document.all) {
      row2.style.display = 'block';
    } else {
      row2.style.display = 'table-row';    
    }
    if (row1) {
      row1.style.display = 'none';
    }
  }
}

/* status symbols and boxes */

function setSymbol(symbol, table, active) {
  symbol = document.getElementById('sign_'+symbol+'_'+table);
  if (symbol) {
    symbol.src = 'pics/glyphs/' + ((active) ? img_checked : img_unchecked);
  }
}
function setBox(box, table, active) {
  box = document.getElementById('box_'+box+'_'+table);
  if (box) {
    box.src = 'pics/glyphs/' + ((active) ? box_checked : box_unchecked);
  }
}

/* send rpc function */

function sendJavascriptRPC(cmd, table, idx) {
  var rpc = document.getElementById('rpcTunnel');
  if (!rpc) {
    rpc = document.createElement('div');
    rpc.id = 'rpcTunnel';
    rpc.style.display = 'none';
    document.body.appendChild(rpc);
  }
  rpc.innerHTML = 
    '<form action="install.php" id="rpcSender" target="rpcListener" method="post"><fieldset>' +
     '<input type="hidden" name="'+paramname+'[cmd]" value="'+cmd+'"/>' +
     '<input type="hidden" name="'+paramname+'[table]" value="'+table+'"/>' +
     '<input type="hidden" name="'+paramname+'[table_idx]" value="'+idx+'"/>' +
    '</fieldset></form>';
  var form = document.getElementById('rpcSender');
  if (form) {
    form.submit();
  }
}

/* rpc actions */

function checkTable(idx) {
  nextAction = '';
  if (idx < tabledata.length) {
    var table = tabledata[idx];
    if (table) {
      if (table.exists) {
        setProgress('Analyze', 'Table ' + table.name + '...', Math.round(idx * 100 / tabledata.length));
        nextAction = 'checkTable('+(idx+1)+')';
        sendJavascriptRPC('check_database', table['name'], idx);
      } else {
        updateTableCount++;
        setProgress('Analyze', 'Table ' + table.name + '...', Math.round(idx * 100 / tabledata.length));
        checkTable(idx+1);        
      }
    } else {
      checkTable(idx+1);        
    }
  } else {
    hideProgress('Analyze');
    // disable step - activate next step
    disableAction('Analyze');
    if (updateTableCount > 0) {
      enableAction('Create');
    } else {
      enableAction('Insert');
      enableAction('Init');    
    }
  } 
}

function syncTable(idx) {
  nextAction = '';
  if (idx < tabledata.length) {
    var table = tabledata[idx];
    if (table) {
      if (table.exists && table.synced) {
        setProgress('Create', 'Ignoring table ' + tabledata[idx].name + '...', Math.round(idx * 100 / tabledata.length));
        syncTable(idx+1);
      } else if (table.exists) {
        setProgress('Create', 'Syncing table ' + tabledata[idx].name + '...', Math.round(idx * 100 / tabledata.length));
        nextAction = 'syncTable('+(idx+1)+')';
        sendJavascriptRPC('install_database', table['name'], idx);
      } else {
        setProgress('Create', 'Creating table ' + tabledata[idx].name + '...', Math.round(idx * 100 / tabledata.length));   
        nextAction = 'syncTable('+(idx+1)+')';
        sendJavascriptRPC('install_database', table['name'], idx); 
      }
    } else {
      syncTable(idx+1);
    }
  } else {
    hideProgress('Create');
    // disable step - activate next step
    disableAction('Create');
    enableAction('Insert');
    enableAction('Init');
  } 
}

function resetTable(idx) {
  nextAction = '';
  if (idx < tabledata.length) {
    var table = tabledata[idx];
    if (table) {
      if (table.exists && table.synced && table.csvfile && table.insert) {
        setProgress('Insert', 'Reset table ' + tabledata[idx].name + '...', Math.round(idx * 100 / tabledata.length));
        nextAction = 'resetTable('+(idx+1)+')';
        sendJavascriptRPC('reset_data', table['name'], idx);        
      } else {
        setProgress('Insert', 'Ignoring table ' + tabledata[idx].name + '...', Math.round(idx * 100 / tabledata.length));
        resetTable(idx+1);      
      }
    } else { 
      resetTable(idx+1); 
    }
  } else {
    hideProgress('Insert');
  } 
}

function dataSelection(table, idx) {
  var i = -1;
  if (tabledata[idx] && table == tabledata[idx].name) {
    i = idx;
  } else {
    for (var x = 0; x < tabledata.length; x++) {
      if (table == tabledata[x].name) {
        i = x;
      }
    }
  }
  if (i >= 0 && table == tabledata[i].name) {
    if (tabledata[i].exists && tabledata[i].synced) {
      tabledata[i].insert = (!tabledata[i].insert);
      setBox('data', table, tabledata[i].insert);
    }
  }
}

function initDefaultData(step) {
  nextAction = '';
  if (step == 0) {
    setProgress('Init', 'Check options', 0);
    nextAction = 'initDefaultData(1)';
    sendJavascriptRPC('init_options', '', step);
  } else if (step == 1) {
    setProgress('Init', 'Search modules', 50);
    nextAction = 'initDefaultData(2)';
    sendJavascriptRPC('init_modules', '', step);  
  } else {
    hideProgress('Init');  
  }
}

function onReturn_check(idx, success, message) {
  if (success) {
    setProgress('Analyze', message, Math.round(idx * 100 / tabledata.length));
    if (tabledata.length > idx) {
      setSymbol('struct', tabledata[idx].name, true);
      tabledata[idx].synced = true;
      tabledata[idx].insert = (tabledata[idx].recordCount == 0);
      setBox('data', tabledata[idx].name, tabledata[idx].insert);
    }
  } else {
    updateTableCount++;
    setProgress('Analyze', message, Math.round(idx * 100 / tabledata.length));
    setSymbol('struct', tabledata[idx].name, false);
  }
  window.setTimeout('checkTable('+(idx+1)+')', progressTimeout);
}

function onReturn_count(idx, success, message) {
  if (success) {
    if (isNaN(idx)) {
      var i;
      for (i = 0; i < tabledata.length; i++) {
        if (tabledata[i].name == idx) {
          tabledata[idx].recordCount = parseInt(message);
          var obj = document.getElementById('records_'+tabledata[idx].name);
          if (obj) {
            obj.innerHTML = message;
          }
          break;
        }
      }
    } else {
      if (tabledata.length > idx) {
        tabledata[idx].recordCount = parseInt(message);
        var obj = document.getElementById('records_'+tabledata[idx].name);
        if (obj) {
          obj.innerHTML = message;
        }
      }
    }
  }
}

function onReturn_sync(idx, success, message) {
  if (success) {
    setProgress('Create', message, Math.round(idx * 100 / tabledata.length));
    if (tabledata.length > idx) {
      tabledata[idx].exists = true;
      tabledata[idx].synced = true;
      tabledata[idx].insert = (tabledata[idx].recordCount == 0);
      setSymbol('exists', tabledata[idx].name, true);
      setSymbol('struct', tabledata[idx].name, true);
      setBox('data', tabledata[idx].name, tabledata[idx].insert);
    }
  } else {
    setProgress('Create', message, Math.round(idx * 100 / tabledata.length));
  }
  window.setTimeout('syncTable('+(idx+1)+')', progressTimeout);
}

function onReturn_reset(idx, success, message) {
  if (success) {
    setProgress('Insert', message, Math.round(idx * 100 / tabledata.length));
    if (tabledata.length > idx) {
      tabledata[idx].exists = true;
      tabledata[idx].synced = true;
      tabledata[idx].insert = false;
      setSymbol('exists', tabledata[idx].name, true);
      setSymbol('struct', tabledata[idx].name, true);
      setBox('data', tabledata[idx].name, tabledata[idx].insert);
    }
  } else {
    setProgress('Insert', message, Math.round(idx * 100 / tabledata.length));
  }
  window.setTimeout('resetTable('+(idx+1)+')', progressTimeout);
}

function onReturn_authNeeded(idx, success, message) {
  alert(message);
  document.location.href = 'install.php?login';
}

function onReturn_init(idx, success, message) {
  setProgress('Init', message, Math.round((idx+1) * 100 / 2));
  window.setTimeout('initDefaultData('+(idx+1)+')', progressTimeout);
}

function onReturn_update(idx, success, message) {
  if ((currentProgressId != '') && success) {
    setProgressLabel(currentProgressId, message);
  }
}

function onRpcStopped() {
  if (nextAction != '') {
    window.setTimeout(nextAction, progressTimeout);
  }
}