<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<!-- Seitenparamter / globale Variablen -->
<xsl:param name="PAGE_MODE"/>
<xsl:param name="PAGE_SELF">index.php</xsl:param>
<xsl:param name="PAGE_TITLE" />
<xsl:param name="PAGE_USER" />
<xsl:param name="PAGE_USER_PARAM">usr</xsl:param>
<xsl:param name="PAGE_PROJECT">Project</xsl:param>

<xsl:param name="PAPAYA_LOGINPAGE">0</xsl:param>

<xsl:param name="PAPAYA_VERSION"></xsl:param>
<xsl:param name="PAPAYA_USE_RICHTEXT"/>
<xsl:param name="PAPAYA_BGCOLOR"/>
<xsl:param name="PAPAYA_BGCOLOR_LIGHT"/>
<xsl:param name="PAPAYA_BGCOLOR_DARK"/>
<xsl:param name="PAPAYA_FGCOLOR"/>
<xsl:param name="PAPAYA_HIGHLIGHT_COLOR"/>
<xsl:param name="PAPAYA_HIGHLIGHT_TEXTCOLOR"/>
<xsl:param name="PAPAYA_WINDOWCOLOR"/>
<xsl:param name="PAPAYA_SYSTEMPICS_PATH" />
<xsl:param name="COLUMNWIDTH_LEFT">200px</xsl:param>
<xsl:param name="COLUMNWIDTH_CENTER">100%</xsl:param>
<xsl:param name="COLUMNWIDTH_RIGHT">300px</xsl:param>

<xsl:param name="STR_INFORMATION">Information</xsl:param>
<xsl:param name="STR_QUESTION">Question</xsl:param>
<xsl:param name="STR_WARNING">Warning</xsl:param>
<xsl:param name="STR_ERROR">Error</xsl:param>
<xsl:param name="STR_MESSAGES">Messages</xsl:param>

<xsl:output method="html" encoding="utf-8" standalone="yes" doctype-public="-//W3C//DTD HTML 4.0 Transitional//EN" indent="yes" />

<!-- generische Templates -->
<xsl:template name="space">
  <xsl:text disable-output-escaping="yes"><![CDATA[&nbsp;]]></xsl:text>
</xsl:template>

<xsl:template name="noescape" match="noescape">
  <xsl:value-of disable-output-escaping="yes" select="." />
</xsl:template>

<xsl:template match="script">
  <xsl:copy>
    <xsl:apply-templates select="@*" />
    <xsl:if test="./text() != ''">
      <xsl:comment>
        <xsl:value-of disable-output-escaping="yes" select="." />
      //</xsl:comment>
    </xsl:if>
  </xsl:copy>
</xsl:template>

<!-- Controls -->
<xsl:template name="glyph" match="glyph">
  <xsl:param name="src" select="@src" />
  <xsl:param name="hint" select="@hint" />
  <xsl:param name="alt" select="@alt" />
  <xsl:param name="id" select="@id" />
  <xsl:variable name="glyphsrc">
    <xsl:choose>
      <xsl:when test="starts-with($src, './')"><xsl:value-of select="$src"/></xsl:when>
      <xsl:otherwise>pics/glyphs/<xsl:value-of select="$src"/></xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  <img src="{$glyphsrc}" style="border: none; width: 18px; height: 18px; line-height: 18px;" alt="{$alt}">
    <xsl:choose>
      <xsl:when test="$hint != ''">
        <xsl:attribute name="title"><xsl:value-of select="$hint"/></xsl:attribute>
      </xsl:when>
      <xsl:when test="$alt != ''">
        <xsl:attribute name="title"><xsl:value-of select="$alt"/></xsl:attribute>
      </xsl:when>
    </xsl:choose>
    <xsl:if test="$id">
      <xsl:attribute name="id"><xsl:value-of select="$id"/></xsl:attribute>
    </xsl:if>
  </img>
</xsl:template>

<xsl:template name="outlookbar" match="outlookbar">
  <div class="outlookbar" style="width: 100px; text-align: center">
    <xsl:for-each select="icon">
      <div class="icon">
        <xsl:choose>
          <xsl:when test="@href"><a href="{@href}"><img src="pics/bigglyphs/{@src}" alt="{@subtitle}" style="border: none; width: 32px; height: 32px;" /></a></xsl:when>
           <xsl:otherwise><img src="pics/bigglyphs/{@src}" alt="{@subtitle}" style="border: none; width: 32px; height: 32px;" /></xsl:otherwise>
        </xsl:choose>
      </div>
      <xsl:if test="@subtitle and @href">
        <div class="subTitle">
          <a href="{@href}"><xsl:value-of select="@subtitle" disable-output-escaping="yes"/></a>
        </div>
      </xsl:if>
    </xsl:for-each>
  </div>
</xsl:template>

<xsl:template name="toolbar_button">
  <xsl:param name="data" select="."/>
  <xsl:param name="seperator" select="."/>
  <xsl:if test="$data">
    <li>
      <xsl:choose>
         <xsl:when test="$data/@down"><xsl:attribute name="class">down</xsl:attribute></xsl:when>
         <xsl:when test="$seperator"><xsl:attribute name="class">seperated</xsl:attribute></xsl:when>
      </xsl:choose>
      <xsl:variable name="glyphsrc">
        <xsl:choose>
          <xsl:when test="$data/@glyphscript"><xsl:value-of select="$data/@glyphscript"/></xsl:when>
          <xsl:when test="$data/@glyph != ''">pics/glyphs/<xsl:value-of select="$data/@glyph"/></xsl:when>
          <xsl:otherwise></xsl:otherwise>
        </xsl:choose>
      </xsl:variable>
      <a href="{$data/@href}">
        <xsl:if test="($data/@target) and (not($data/@target = '_self'))">
          <xsl:attribute name="target"><xsl:value-of select="$data/@target"/></xsl:attribute>
        </xsl:if>
        <xsl:choose>
          <xsl:when test="($data/@accesskey) and (not($data/@down))">
            <xsl:attribute name="title"><xsl:value-of select="$data/@hint" /> (ALT+<xsl:value-of select="$data/@accesskey" />)</xsl:attribute>
            <xsl:attribute name="accesskey"><xsl:value-of select="$data/@accesskey"/></xsl:attribute>
          </xsl:when>
          <xsl:otherwise>
            <xsl:attribute name="title"><xsl:value-of select="$data/@hint" /></xsl:attribute>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:if test="(not($glyphsrc = ''))">
          <img src="{$glyphsrc}" alt="" />
        </xsl:if>
        <xsl:value-of select="$data/@title" disable-output-escaping="yes"/>
      </a>
    </li>
  </xsl:if>
</xsl:template>

<xsl:template name="toolbar_combo">
  <xsl:param name="data" select="."/>
  <xsl:param name="seperator" select="."/>
  <xsl:if test="$data">
    <li>
      <xsl:if test="$seperator">
        <xsl:attribute name="class">seperated</xsl:attribute>
      </xsl:if>
      <form action="{$data/@href}" method="post">
        <xsl:if test="($data/@title) and (not($data/@title = ''))">
          <span><xsl:value-of select="$data/@title"/></span>
        </xsl:if>
        <select name="{$data/@name}" onChange="this.form.submit();">
          <xsl:for-each select="$data/option">
            <xsl:apply-templates select="."/>
          </xsl:for-each>
        </select>
      </form>
    </li>
  </xsl:if>
</xsl:template>

<xsl:template name="button">
  <xsl:param name="data" select="."/>
  <xsl:if test="$data[@href]">
    <div>
    <xsl:call-template name="toolbar_button">
      <xsl:with-param name="data" select="$data" />
    </xsl:call-template>
    </div>
  </xsl:if>
</xsl:template>

<xsl:template name="menubar">
  <xsl:param name="buttons" />
  <xsl:param name="class">menubar</xsl:param>
  <xsl:variable name="items" select="$buttons/*"/>
  <div class="{$class}">
    <ul>
      <xsl:for-each select="$items">
        <xsl:variable name="pos"><xsl:value-of select="position()"/></xsl:variable>
        <xsl:variable name="seperator" select="(name($items[position() = ($pos+1)]) = 'seperator')"/>
        <xsl:choose>
          <xsl:when test="name() = 'button'">
            <xsl:call-template name="toolbar_button">
              <xsl:with-param name="data" select="." />
              <xsl:with-param name="seperator" select="$seperator" />
            </xsl:call-template>
          </xsl:when>
          <xsl:when test="name() = 'combo'">
            <xsl:call-template name="toolbar_combo">
              <xsl:with-param name="data" select="." />
              <xsl:with-param name="seperator" select="$seperator" />
            </xsl:call-template>
          </xsl:when>
        </xsl:choose>
      </xsl:for-each>
    </ul>
  </div>
</xsl:template>

<xsl:template name="toolbar" match="toolbar">
  <xsl:call-template name="menubar">
    <xsl:with-param name="buttons" select="."/>
    <xsl:with-param name="class">toolbar</xsl:with-param>
  </xsl:call-template>
</xsl:template>

<xsl:template name="infobtn" match="tooltipbutton">
  <xsl:param name="text"></xsl:param>
  <xsl:param name="mode">info</xsl:param>
  <xsl:param name="href">#</xsl:param>
  <xsl:choose>
    <xsl:when test="$text != ''">
      <xsl:variable name="mouseover">overlib('<xsl:value-of select="$text"/>');</xsl:variable>
      <a href="{$href}" onmouseout="nd();" onmouseover="{$mouseover}">
        <xsl:choose>
          <xsl:when test="$mode='error'">
            <img src="pics/glyphs/error.gif" style="border: none; width: 18px; height: 18px;" alt="!" align="right"  />
          </xsl:when>
          <xsl:when test="$mode='help'">
            <img src="{$PAPAYA_SYSTEMPICS_PATH}btn_help.gif" style="border: none; width: 16px; height: 15px;" alt="" align="right" />
          </xsl:when>
          <xsl:when test="$mode='needed'">
            <img src="{$PAPAYA_SYSTEMPICS_PATH}btn_star.gif" style="border: none; width: 16px; height: 15px;" alt="" align="right" />
          </xsl:when>
          <xsl:otherwise>
            <img src="pics/info.gif" style="border: none; width: 18px; height: 18px;" alt="i" align="right"  />
          </xsl:otherwise>
        </xsl:choose>
      </a>
    </xsl:when>
    <xsl:otherwise>
      <xsl:choose>
        <xsl:when test="$mode='error'">
          <img src="pics/glyphs/error.gif" style="border: none; width: 18px; height: 18px;" alt="!" align="right"  />
        </xsl:when>
        <xsl:when test="$mode='help'">
          <img src="{$PAPAYA_SYSTEMPICS_PATH}btn_help.gif" style="border: none; width: 16px; height: 15px;" alt="" align="right" />
        </xsl:when>
        <xsl:when test="$mode='needed'">
          <img src="{$PAPAYA_SYSTEMPICS_PATH}btn_star.gif" style="border: none; width: 16px; height: 15px;" alt="" align="right" />
        </xsl:when>
        <xsl:otherwise>
          <img src="pics/info.gif" style="border: none; width: 18px; height: 18px;" alt="i" align="right"  />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template name="panel" match="panel">
  <xsl:param name="title" select="@title" />
  <xsl:param name="hint" select="@hint" />
  <xsl:param name="width" select="@width" />
  <xsl:param name="align" select="@align"/>
  <xsl:param name="data"><xsl:apply-templates select="./*"/></xsl:param>
  <xsl:variable name="width_style">
    <xsl:choose>
      <xsl:when test="$width = '100%'"></xsl:when>
      <xsl:when test="$width">width:<xsl:value-of select="$width"/>px;</xsl:when>
      <xsl:otherwise></xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  <div class="panel">
  <xsl:if test="$align and ($align != '')">
    <xsl:attribute name="align"><xsl:value-of select="$align" /></xsl:attribute>
  </xsl:if>
  <xsl:if test="$width_style and ($width_style != '')">
    <xsl:attribute name="style"><xsl:value-of select="$width_style" /></xsl:attribute>
  </xsl:if>
  <xsl:call-template name="panelHeader">
    <xsl:with-param name="title" select="@title" />
    <xsl:with-param name="hint" select="@hint" />
    <xsl:with-param name="width" select="@width" />
  </xsl:call-template>
  <div class="panelbody">
    <xsl:if test="$data"><xsl:copy-of select="$data" /></xsl:if>
  </div>
</div>
</xsl:template>

<xsl:template name="panelHeader">
  <xsl:param name="title" select="@title" />
  <xsl:param name="hint" select="@hint" />
  <xsl:param name="width" select="@width" />
  <xsl:if test="$title != ''">
    <div>
      <xsl:attribute name="class">
        <xsl:choose>
          <xsl:when test="$width = '100%'">panelheaderbig</xsl:when>
          <xsl:when test="$width > 800">panelheaderbig</xsl:when>
          <xsl:when test="$width > 500">panelheader800</xsl:when>
          <xsl:when test="$width > 300">panelheader500</xsl:when>
          <xsl:otherwise>panelheaderbig</xsl:otherwise>
        </xsl:choose>
      </xsl:attribute>
      <xsl:if test="$hint != ''">
        <xsl:call-template name="infobtn">
          <xsl:with-param name="text" select="$hint" />
          <xsl:with-param name="mode">help</xsl:with-param>
          <xsl:with-param name="withspace">false</xsl:with-param>
        </xsl:call-template>
      </xsl:if>
      <xsl:value-of select="$title"/>
    </div>
  </xsl:if>
</xsl:template>

<xsl:template name="sheet" match="sheet">
  <xsl:param name="width" select="@width" />
  <xsl:param name="align" select="@align"/>
  <div class="papersheetBackground">
    <div class="papersheet">
      <xsl:if test="header">
        <table border="0" cellpadding="0" cellspacing="0" width="100%" class="bottomline" style="margin-bottom: 10px;">
          <tr valign="top">
            <td style="padding-bottom: 10px;">
              <xsl:for-each select="header/lines/line">
                <div class="{@class}"><xsl:apply-templates /></div>
              </xsl:for-each>
            </td>
            <xsl:if test="header/infos/line">
              <td style="padding-bottom: 10px;">
                <xsl:for-each select="header/infos/line">
                  <div class="info"><xsl:apply-templates /></div>
                </xsl:for-each>
              </td>
            </xsl:if>
          </tr>
        </table>
      </xsl:if>
      <xsl:choose>
        <xsl:when test="count(text//p) &gt; 0"><xsl:apply-templates select="text/*|text/text()" /></xsl:when>
        <xsl:when test="text">
          <div class="teletype">
            <xsl:apply-templates select="text/*|text/text()" />
          </div>
        </xsl:when>
      </xsl:choose>
    </div>
  </div>
</xsl:template>

<xsl:template name="listitem">
  <xsl:param name="no">0</xsl:param>
  <xsl:param name="item" />
  <xsl:param name="btnlistview">false</xsl:param>
  <xsl:param name="lineclass">
    <xsl:choose>
      <xsl:when test="(not($no mod 2)) and ($btnlistview = 'true')">linehigh</xsl:when>
      <xsl:when test="$btnlistview = 'true'">linelow</xsl:when>
      <xsl:when test="$item/@selected">listitemSelected</xsl:when>
      <xsl:when test="not($no mod 2)">listitemhigh</xsl:when>
      <xsl:otherwise>listitemlow</xsl:otherwise>
    </xsl:choose>
  </xsl:param>
  <tr class="{$lineclass}">
    <td class="{$lineclass}">
      <xsl:if test="$item/@indent">
         <xsl:attribute name="style">padding-left: <xsl:value-of select="($item/@indent) * 18"/>px;</xsl:attribute>
      </xsl:if>
      <div>
        <xsl:if test="$item/@hint">
          <xsl:attribute name="title"><xsl:value-of select="$item/@hint"/></xsl:attribute>
        </xsl:if>

        <xsl:if test="$item/@node">
          <div class="smallIcon">
            <xsl:choose>
              <xsl:when test="$item/@nhref">
                <a href="{$item/@nhref}">
                  <xsl:choose>
                    <xsl:when test="$item/@node = 'open'"><img src="pics/glyphs/node_open.gif" class="glyph" alt="-"/></xsl:when>
                    <xsl:when test="$item/@node = 'close'"><img src="pics/glyphs/node_close.gif" class="glyph" alt="+"/></xsl:when>
                  </xsl:choose>
                </a>
              </xsl:when>
              <xsl:otherwise>
                <img src="pics/glyphs/node_empty.gif" class="glyph" alt=" "/>
              </xsl:otherwise>
            </xsl:choose>
          </div>
        </xsl:if>

        <xsl:if test="$item/@image">
          <xsl:variable name="glyphsrc">
            <xsl:choose>
              <xsl:when test="starts-with($item/@image, './')"><xsl:value-of select="$item/@image"/></xsl:when>
              <xsl:otherwise>pics/glyphs/<xsl:value-of select="$item/@image"/></xsl:otherwise>
            </xsl:choose>
          </xsl:variable>
          <div class="smallIcon">
            <xsl:choose>
              <xsl:when test="$item/@href">
                <a href="{$item/@href}"><img src="{$glyphsrc}" class="glyph" alt="" title="{$item/@hint}" /></a>
              </xsl:when>
              <xsl:otherwise>
                <img src="{$glyphsrc}" class="glyph" alt="" title="{$item/@hint}" align="middle" />
              </xsl:otherwise>
            </xsl:choose>
          </div>
        </xsl:if>
        <xsl:choose>
          <xsl:when test="$item/@href">
            <a href="{$item/@href}"><span class="{$lineclass}" style="padding-left: 2px;"><xsl:value-of select="$item/@title"/></span></a>
          </xsl:when>
          <xsl:otherwise><span class="{$lineclass}" style="padding-left: 2px;"><xsl:value-of select="$item/@title"/></span></xsl:otherwise>
        </xsl:choose>
        <xsl:if test="$item/@subtitle">
          <br /><i class="{$lineclass}"><xsl:value-of select="$item/@subtitle"/></i>
        </xsl:if>
      </div>
    </td>
    <xsl:for-each select="subitem">
      <td class="{$lineclass}">
        <xsl:if test="@align">
          <xsl:attribute name="align"><xsl:value-of select="@align"/></xsl:attribute>
        </xsl:if>
        <xsl:if test="@cols">
          <xsl:attribute name="colspan"><xsl:value-of select="@cols"/></xsl:attribute>
        </xsl:if>
        <xsl:choose>
          <xsl:when test="text() or (count(./*) > 0)"><xsl:apply-templates /></xsl:when>
          <xsl:otherwise><img src="pics/tpoint.gif" style="width: 2px; height: 2px; border: none;" alt="" /></xsl:otherwise>
        </xsl:choose>
      </td>
    </xsl:for-each>
  </tr>
</xsl:template>

<xsl:template name="listview" match="listview">
  <xsl:param name="title" select="@title" />
  <xsl:param name="hint" select="@hint" />
  <xsl:param name="cols" select="cols" />
  <xsl:param name="items" select="items" />
  <xsl:param name="width" select="@width"/>
  <xsl:param name="btnlistview">false</xsl:param>
  <xsl:param name="class">
    <xsl:choose>
      <xsl:when test="$btnlistview = 'true'">plane</xsl:when>
      <xsl:otherwise>listview</xsl:otherwise>
    </xsl:choose>
  </xsl:param>
  <xsl:variable name="data">
  <table border="0" cellpadding="2" cellspacing="0" class="{$class}" width="100%">
    <xsl:if test="($cols/col) and ($items/listitem)">
      <tr>
        <xsl:for-each select="$cols/col">
          <td class="listviewheader">
            <xsl:attribute name="align">
              <xsl:choose>
                <xsl:when test="@align"><xsl:value-of select="@align"/></xsl:when>
                <xsl:otherwise>left</xsl:otherwise>
              </xsl:choose>
            </xsl:attribute>
            <xsl:choose>
              <xsl:when test="text() or count(./*)">
                <xsl:apply-templates/>
              </xsl:when>
              <xsl:otherwise>
                <img src="pics/tpoint.gif" style="border: none; width: 20px; height: 1px;" alt="" />
              </xsl:otherwise>
            </xsl:choose>
          </td>
        </xsl:for-each>
      </tr>
    </xsl:if>
    <xsl:for-each select="$items/listitem">
      <xsl:call-template name="listitem">
        <xsl:with-param name="no" select="position()" />
        <xsl:with-param name="item" select="." />
        <xsl:with-param name="btnlistview" select="$btnlistview" />
      </xsl:call-template>
    </xsl:for-each>
  </table>
  </xsl:variable>

  <xsl:call-template name="panel">
    <xsl:with-param name="title" select="$title" />
    <xsl:with-param name="hint" select="$hint" />
    <xsl:with-param name="width"><xsl:value-of select="$width"/></xsl:with-param>
    <xsl:with-param name="data" select="$data"/>
  </xsl:call-template>
</xsl:template>

<xsl:template name="btnlistview" match="btnlistview">
  <xsl:param name="title" select="@title" />
  <xsl:param name="hint" select="@hint" />
  <xsl:param name="width" select="@width"/>
  <xsl:param name="cols" select="cols" />
  <xsl:param name="items" select="items" />
  <xsl:call-template name="listview">
    <xsl:with-param name="title" select="$title" />
    <xsl:with-param name="hint" select="$hint" />
    <xsl:with-param name="width" select="$width" />
    <xsl:with-param name="cols" select="cols" />
    <xsl:with-param name="items" select="items" />
    <xsl:with-param name="btnlistview">true</xsl:with-param>
  </xsl:call-template>
</xsl:template>

<xsl:template name="windowtitle">
<div class="windowtitle">
  <div class="btnLogout">
    <a href="{$PAGE_SELF}?{$PAGE_USER_PARAM}[cmd]=logout"><img src="{$PAPAYA_SYSTEMPICS_PATH}btn_close.gif" alt="Logout" title="Logout" /></a>
  </div>
  <a href="../" target="_blank"><xsl:value-of select="$PAGE_PROJECT" disable-output-escaping="yes"/></a> [<xsl:value-of select="$PAGE_TITLE"  disable-output-escaping="yes"/>] -
    <i><xsl:value-of select="$PAGE_USER" disable-output-escaping="yes"/></i>
    - papaya CMS <xsl:value-of select="$PAPAYA_VERSION"/>
</div>
</xsl:template>

<xsl:template name="menu">
  <xsl:for-each select="menus/menu">
    <xsl:call-template name="menubar">
      <xsl:with-param name="buttons" select="." />
    </xsl:call-template>
  </xsl:for-each>
</xsl:template>

<xsl:template name="messages">
  <xsl:param name="messages" />
  <xsl:choose>
    <xsl:when test="count($messages/msg) = 1">
      <div class="panel">
        <div class="panelheaderbig">
          <xsl:choose>
            <xsl:when test="$messages/msg/@type='warning'"><xsl:value-of select="$STR_WARNING"/></xsl:when>
            <xsl:when test="$messages/msg/@type='error'"><xsl:value-of select="$STR_ERROR"/></xsl:when>
            <xsl:otherwise><xsl:value-of select="$STR_INFORMATION"/></xsl:otherwise>
          </xsl:choose>
        </div>
        <div class="panelbody">
          <div class="messageGlyph">
            <xsl:choose>
              <xsl:when test="$messages/msg/@type='warning'">
                <img src="pics/exclamation.gif" style="border: none; width: 32px; height: 32px;" alt="" />
              </xsl:when>
             <xsl:when test="$messages/msg/@type='error'">
                <img src="pics/error.gif" style="border: none; width: 32px; height: 32px;" alt="" />
              </xsl:when>
              <xsl:otherwise>
                <img src="pics/information.gif" style="border: none; width: 32px; height: 32px;" alt="" />
              </xsl:otherwise>
            </xsl:choose>
          </div>
          <div class="messageText">
            <xsl:value-of select="$messages/msg/text()" disable-output-escaping="yes"/>
          </div>
        </div>
      </div>
    </xsl:when>
    <xsl:when test="count($messages/msg) &gt; 1">
      <div class="panel">
        <div class="panelheaderbig"><xsl:value-of select="$STR_MESSAGES"/></div>
        <div class="panelbody">
          <table border="0" cellpadding="0" cellspacing="0" class="listview" width="100%">
            <xsl:for-each select="$messages/msg">
              <xsl:variable name="class">
                <xsl:choose>
                  <xsl:when test="not(position() mod 2)">listitemhigh</xsl:when>
                  <xsl:otherwise>listitemlow</xsl:otherwise>
                </xsl:choose>
              </xsl:variable>
              <tr class="{$class}">
                <td class="{$class}">
                  <div>
                    <div class="smallIcon">
                      <xsl:choose>
                        <xsl:when test="@type='warning'">
                          <img src="pics/glyphs/warning.gif" alt="{$STR_WARNING}" />
                        </xsl:when>
                        <xsl:when test="@type='error'">
                          <img src="pics/glyphs/error.gif" alt="{$STR_ERROR}" />
                        </xsl:when>
                        <xsl:otherwise>
                          <img src="pics/glyphs/information.gif" alt="{$STR_INFORMATION}" />
                        </xsl:otherwise>
                      </xsl:choose>
                    </div>
                    <span class="{$class}" style="padding-left: 2px;"><xsl:value-of select="text()" disable-output-escaping="yes"/></span>
                  </div>
                </td>
              </tr>
            </xsl:for-each>
          </table>
        </div>
      </div>
    </xsl:when>
  </xsl:choose>
</xsl:template>


<xsl:template match="login">
  <div class="loginDialog">
    <xsl:call-template name="panel">
      <xsl:with-param name="title" select="@title" />
      <xsl:with-param name="data" select="text()|./*" />
      <xsl:with-param name="align">center</xsl:with-param>
      <xsl:with-param name="width">300</xsl:with-param>
    </xsl:call-template>
  </div>
</xsl:template>

<xsl:template match="layout">
  <table border="0" cellpadding="0" cellspacing="{@border}" width="100%">
    <xsl:for-each select="row">
      <tr valign="top">
        <xsl:for-each select="cell">
          <xsl:variable name="cols" select="@cols"/>
          <xsl:variable name="rows" select="@rows"/>
          <xsl:variable name="valign" select="@valign"/>
          <td style="text-align: center">
            <xsl:if test="$cols &gt; 1">
              <xsl:attribute name="colspan"><xsl:value-of select="$cols"/></xsl:attribute>
            </xsl:if>
            <xsl:if test="$rows &gt; 1">
              <xsl:attribute name="rowspan"><xsl:value-of select="$rows"/></xsl:attribute>
            </xsl:if>
            <xsl:apply-templates/>
          </td>
        </xsl:for-each>
      </tr>
    </xsl:for-each>
  </table>
</xsl:template>

<xsl:template match="dialog[not(@action)]" name="dialog">
  <xsl:param name="maxfirstcol" select="@maxfirstcol"/>
  <xsl:apply-templates select="script"/>
  <div class="panel">
    <xsl:call-template name="panelHeader">
      <xsl:with-param name="title" select="@title" />
      <xsl:with-param name="hint" select="@hint" />
      <xsl:with-param name="width" select="@width" />
    </xsl:call-template>
    <div class="panelbody">
      <xsl:if test="dlgbutton[@sandwich]">
        <div align="right" class="bottombevel dialogButtonArea">
          <input type="submit" value="{dlgbutton/@value}" class="dialogButton">
            <xsl:if test="dlgbutton/@name and dlgbutton/@name != ''">
              <xsl:attribute name="name"><xsl:value-of select="dlgbutton/@value"/></xsl:attribute>
            </xsl:if>
          </input>
        </div>
      </xsl:if>
      <table border="0" cellpadding="2" cellspacing="0" width="100%" class="{lines/@class}">
        <tbody>
        <xsl:for-each select="listview/items/listitem">
          <xsl:call-template name="listitem">
            <xsl:with-param name="no" select="position()" />
            <xsl:with-param name="item" select="." />
          </xsl:call-template>
        </xsl:for-each>
        <xsl:for-each select="(lines/line)|(lines/subtitle)">
          <xsl:choose>
            <xsl:when test="name() = 'subtitle'">
              <tr class="lines">
               <th class="subtitle" colspan="2"><xsl:value-of select="@caption" disable-output-escaping="yes" /></th>
              </tr>
            </xsl:when>
            <xsl:when test="name() = 'line'">
              <tr>
                <xsl:attribute name="valign">
                  <xsl:choose>
                    <xsl:when test="@valign"><xsl:value-of select="@valign" /></xsl:when>
                    <xsl:when test="textarea">top</xsl:when>
                    <xsl:otherwise>middle</xsl:otherwise>
                  </xsl:choose>
                </xsl:attribute>
                <xsl:attribute name="class">
                  <xsl:choose>
                    <xsl:when test="@class"><xsl:value-of select="@class"/>
                    </xsl:when>
                    <xsl:when test="not(position() mod 2)">linehigh</xsl:when>
                    <xsl:otherwise>linelow</xsl:otherwise>
                  </xsl:choose>
                </xsl:attribute>
                <xsl:choose>
                  <xsl:when test="@caption">
                    <td>
                      <xsl:if test="not($maxfirstcol='false')">
                        <xsl:attribute name="width">100%</xsl:attribute>
                      </xsl:if>
                      <xsl:if test="(@needed) and (not(@needed = ''))">
                        <xsl:call-template name="infobtn">
                          <xsl:with-param name="text"><xsl:value-of select="@needed" /></xsl:with-param>
                          <xsl:with-param name="mode">needed</xsl:with-param>
                        </xsl:call-template>
                      </xsl:if>
                      <xsl:if test="(@hint) and (not(@hint = ''))">
                        <xsl:call-template name="infobtn">
                          <xsl:with-param name="text"><xsl:value-of select="@hint" /></xsl:with-param>
                          <xsl:with-param name="mode">help</xsl:with-param>
                        </xsl:call-template>
                      </xsl:if>
                      <xsl:if test="@needed">
                        <xsl:call-template name="infobtn">
                          <xsl:with-param name="text"><xsl:value-of select="@hint" /></xsl:with-param>
                          <xsl:with-param name="mode">help</xsl:with-param>
                        </xsl:call-template>
                      </xsl:if>
                      <xsl:if test="@error">
                        <xsl:call-template name="infobtn">
                          <xsl:with-param name="mode">error</xsl:with-param>
                        </xsl:call-template>
                      </xsl:if>
                      <xsl:value-of select="@caption" />
                    </td>
                    <xsl:variable name="td_align">
                      <xsl:choose>
                        <xsl:when test="@align"><xsl:value-of select="@align" /></xsl:when>
                        <xsl:otherwise>right</xsl:otherwise>
                      </xsl:choose>
                    </xsl:variable>
                    <td align="{$td_align}">
                      <xsl:choose>
                        <xsl:when test="count(input[(@type='radio') or (@type='checkbox')]) &gt; 0">
                          <xsl:for-each select="input[(@type='radio') or (@type='checkbox')]">
                            <div class="{@class}">
                              <input type="{@type}" name="{@name}" value="{@value}" class="{@type}">
                                <xsl:if test="@onChange and @onChange != ''">
                                  <xsl:attribute name="onChange"><xsl:value-of select="@onChange"/></xsl:attribute>
                                </xsl:if>
                                <xsl:if test="@id and @id != ''">
                                  <xsl:attribute name="id"><xsl:value-of select="@id"/></xsl:attribute>
                                </xsl:if>
                                <xsl:if test="@checked">
                                  <xsl:attribute name="checked">checked</xsl:attribute>
                                </xsl:if>
                              </input>
                              <xsl:choose>
                                <xsl:when test="./text()"><xsl:value-of select="./text()"/></xsl:when>
                                <xsl:otherwise>
                                  <xsl:variable name="pos" select="position()"/>
                                  <xsl:value-of select="../text()[position() = $pos]"/>
                                </xsl:otherwise>
                              </xsl:choose>
                            </div>
                          </xsl:for-each>
                        </xsl:when>
                        <xsl:when test="./input">
                          <input>
                            <xsl:for-each select="./input/@*">
                              <xsl:choose>
                                <xsl:when test="name() = 'fid'"></xsl:when>
                                <xsl:when test=". != ''"><xsl:copy-of select="."/></xsl:when>
                              </xsl:choose>
                            </xsl:for-each>
                          </input>
                        </xsl:when>
                        <xsl:when test="./select">
                          <select>
                            <xsl:for-each select="./select/@*">
                              <xsl:choose>
                                <xsl:when test="name() = 'fid'"></xsl:when>
                                <xsl:when test=". != ''"><xsl:copy-of select="."/></xsl:when>
                              </xsl:choose>
                            </xsl:for-each>
                            <xsl:apply-templates select="./select/option"/>
                          </select>
                        </xsl:when>
                        <xsl:when test="./textarea">
                          <textarea>
                            <xsl:if test="(not(./textarea/@id)) and @fid != ''">
                              <xsl:attribute name="id"><xsl:value-of disable-output-escaping="yes" select="@fid" /></xsl:attribute>
                            </xsl:if>
                            <xsl:for-each select="./textarea/@*">
                              <xsl:choose>
                                <xsl:when test="name() = 'fid'"></xsl:when>
                                <xsl:when test="name() = 'id'"><xsl:copy-of select="."/></xsl:when>
                                <xsl:when test=". != ''"><xsl:copy-of select="."/></xsl:when>
                              </xsl:choose>
                            </xsl:for-each>
                            <xsl:value-of disable-output-escaping="yes" select="./textarea/text()" />
                          </textarea>
                        </xsl:when>
                        <xsl:otherwise><xsl:apply-templates /></xsl:otherwise>
                      </xsl:choose>
                      <xsl:if test="./div[@class='infos']">
                        <div class="input">
                          <xsl:apply-templates select="./div[@class='infos']"/>
                        </div>
                      </xsl:if>
                    </td>
                  </xsl:when>
                  <xsl:otherwise>
                    <td colspan="2">
                      <xsl:if test="(@class) and (not(@class = ''))">
                        <xsl:attribute name="class"><xsl:value-of select="@class" /></xsl:attribute>
                      </xsl:if>
                      <xsl:if test="@align">
                        <xsl:attribute name="align"><xsl:value-of select="@align" /></xsl:attribute>
                      </xsl:if>
                      <xsl:choose>
                        <xsl:when test="./info">
                          <xsl:apply-templates select="./info/*|./info/text()"/>
                        </xsl:when>
                        <xsl:otherwise><xsl:apply-templates /></xsl:otherwise>
                      </xsl:choose>
                    </td>
                  </xsl:otherwise>
                </xsl:choose>
              </tr>
            </xsl:when>
          </xsl:choose>
        </xsl:for-each>
        </tbody>
      </table>
      <xsl:if test="dlgbutton">
        <div class="topbevel dialogButtonArea">
          <xsl:for-each select="dlgbutton">
            <input type="submit" value="{@value}" class="dialogButton">
              <xsl:if test="@name and @name != ''">
                <xsl:attribute name="name"><xsl:value-of select="@name"/></xsl:attribute>
              </xsl:if>
            </input>
          </xsl:for-each>
        </div>
      </xsl:if>
    </div>
  </div>
</xsl:template>

<xsl:template match="dialog[@action]">
  <xsl:param name="maxfirstcol" select="@maxfirstcol" />
  <form action="{@action}" method="post">
    <xsl:if test="@name">
      <xsl:attribute name="id"><xsl:value-of select="@name"/></xsl:attribute>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="@type = 'file'">
        <xsl:attribute name="enctype">multipart/form-data</xsl:attribute>
      </xsl:when>
      <xsl:when test="@enctype != ''">
        <xsl:attribute name="enctype"><xsl:value-of select="@enctype"/></xsl:attribute>
      </xsl:when>
    </xsl:choose>
    <xsl:apply-templates select="input[@type='hidden']" />
    <xsl:call-template name="dialog">
      <xsl:with-param name="maxfirstcol" select="$maxfirstcol" />
    </xsl:call-template>
  </form>
</xsl:template>

<xsl:template name="msgdialog" match="msgdialog">
  <xsl:param name="message"><xsl:value-of select="message" disable-output-escaping="yes" /></xsl:param>
<form action="{@action}" method="post">
  <xsl:apply-templates select="input[@type='hidden']" />
  <div class="panel">
    <xsl:call-template name="panelHeader">
      <xsl:with-param name="width" select="@width" />
      <xsl:with-param name="title">
        <xsl:choose>
          <xsl:when test="@type='warning'"><xsl:value-of select="$STR_WARNING"/></xsl:when>
          <xsl:when test="@type='error'"><xsl:value-of select="$STR_ERROR"/></xsl:when>
          <xsl:when test="@type='question'"><xsl:value-of select="$STR_QUESTION"/></xsl:when>
          <xsl:when test="@type='custom'"><xsl:value-of select="@title" disable-output-escaping="yes" /></xsl:when>
          <xsl:otherwise><xsl:value-of select="$STR_INFORMATION"/></xsl:otherwise>
        </xsl:choose>
      </xsl:with-param>
    </xsl:call-template>
    <div class="paneldata">
      <div class="messageGlyph">
        <xsl:choose>
          <xsl:when test="@type='warning'">
            <img src="pics/exclamation.gif" alt="" />
          </xsl:when>
          <xsl:when test="@type='error'">
            <img src="pics/error.gif" alt="" />
          </xsl:when>
          <xsl:when test="@type='question'">
            <img src="pics/question.gif" alt="" />
          </xsl:when>
          <xsl:when test="@type='custom'">
            <xsl:if test="@image">
              <img src="pics/{@image}" alt="" />
            </xsl:if>
          </xsl:when>
          <xsl:otherwise>
            <img src="pics/information.gif" alt="" />
          </xsl:otherwise>
        </xsl:choose>
      </div>
      <div class="messageText">
        <xsl:value-of select="$message" disable-output-escaping="yes"/>
      </div>
      <xsl:if test="dlgbutton">
        <div class="topbevel" style="text-align: right; padding: 4px;">
          <input type="submit" value="{dlgbutton/@value}" class="dialogButton">
            <xsl:if test="dlgbutton/@name and dlgbutton/@name != ''">
              <xsl:attribute name="name"><xsl:value-of select="dlgbutton/@name"/></xsl:attribute>
            </xsl:if>
          </input>
        </div>
      </xsl:if>
    </div>
  </div>
</form>
</xsl:template>

<xsl:template name="yearcalendar_year">
  <xsl:param name="year"/>
  <a href="{$year/@href}">
   <xsl:choose>
     <xsl:when test="$year[@position='prior']">
       <img src="{$PAPAYA_SYSTEMPICS_PATH}miniarr_left.gif" style="border: none; width: 12px; height: 12px;" alt="{$year/@title}" title="{$year/@title}" />
     </xsl:when>
     <xsl:when test="$year[@position='next']">
       <img src="{$PAPAYA_SYSTEMPICS_PATH}miniarr_right.gif" style="border: none; width: 12px; height: 12px;" alt="{$year/@title}" title="{$year/@title}" />
     </xsl:when>
     <xsl:otherwise><xsl:value-of select="$year/@title"/></xsl:otherwise>
   </xsl:choose>
  </a>
</xsl:template>

<xsl:template name="monthcalendar_month">
  <xsl:param name="month"/>
  <a href="{$month/@href}">
   <xsl:choose>
     <xsl:when test="$month[@position='prior']">
       <img src="{$PAPAYA_SYSTEMPICS_PATH}miniarr_left.gif" style="border: none; width: 12px; height: 12px;" alt="{$month/@title}" title="{$month/@title}" />
     </xsl:when>
     <xsl:when test="$month[@position='next']">
       <img src="{$PAPAYA_SYSTEMPICS_PATH}miniarr_right.gif" style="border: none; width: 12px; height: 12px;" alt="{$month/@title}" title="{$month/@title}" />
     </xsl:when>
     <xsl:otherwise><xsl:value-of select="$month/@title"/></xsl:otherwise>
   </xsl:choose>
  </a>
</xsl:template>

<xsl:template name="monthcalendar_day">
  <xsl:param name="day"/>
  <xsl:param name="class">
    <xsl:choose>
      <xsl:when test="$day/@type='filled'">listitemhigh</xsl:when>
      <xsl:otherwise>listitemlow</xsl:otherwise>
    </xsl:choose>
  </xsl:param>
  <td class="{$class}" align="right">
    <xsl:if test="$day/@dayspan > 1">
      <xsl:attribute name="colspan"><xsl:value-of select="$day/@dayspan"/></xsl:attribute>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="($day/@href) and ($day/@selected)">
        <a href="{$day/@href}" title="{$day/@hint}"><b><xsl:value-of select="$day"/></b></a>
      </xsl:when>
      <xsl:when test="$day/@href">
        <a href="{$day/@href}" title="{$day/@hint}"><xsl:value-of select="$day"/></a>
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="$day"/>
      </xsl:otherwise>
    </xsl:choose>
  </td>
</xsl:template>

<xsl:template name="yearcalendar" match="yearcalendar">
  <xsl:param name="width">200</xsl:param>
  <xsl:param name="title"></xsl:param>
  <xsl:call-template name="panel">
    <xsl:with-param name="width" select="$width"/>
    <xsl:with-param name="title" select="$title"/>
    <xsl:with-param name="data">
      <table border="0" cellpadding="0" cellspacing="0" width="100%" class="listview">
        <xsl:if test="yearnav">
          <tr class="yearnav">
            <td class="listviewheader">
              <xsl:call-template name="yearcalendar_year">
                <xsl:with-param name="year" select="./yearnav/year[@position='prior']"/>
              </xsl:call-template>
            </td>
            <td align="center" width="100%" class="listviewheader" colspan="6">
              <xsl:call-template name="yearcalendar_year">
                <xsl:with-param name="year" select="./yearnav/year[@position='actual']"/>
              </xsl:call-template>
            </td>
            <td align="right" class="listviewheader">
              <xsl:call-template name="yearcalendar_year">
                <xsl:with-param name="year" select="./yearnav/year[@position='next']"/>
              </xsl:call-template>
            </td>
          </tr>
        </xsl:if>
        <xsl:if test="monthnav">
          <xsl:for-each select="monthnav/monthrow">
            <tr class="monthrow"><td>&#032;</td>
              <xsl:for-each select="month">
                <xsl:choose>
                  <xsl:when test="@selectable">
                    <td class="available">
                      <a href="{@href}"><xsl:value-of select="@title" /></a>
                    </td>
                  </xsl:when>
                  <xsl:otherwise>
                    <td class="disabled"><xsl:value-of select="@title"/></td>
                  </xsl:otherwise>
                </xsl:choose>
              </xsl:for-each>
            <td>&#032;</td></tr>
          </xsl:for-each>
        </xsl:if>
        <xsl:if test="weekdays">
          <tr class="weekdays">
            <td class="listviewheader"><img src="pics/tpoint.gif" style="border: none; width: 1px; height: 1px;" alt="" /></td>
            <xsl:for-each select="weekdays/wday">
              <td class="listviewheader" align="center">
              <xsl:choose>
                <xsl:when test="@selectable = 1">
                  <a href="{@href}" title="{@hint}"><xsl:value-of select="@title"/></a>
                </xsl:when>
                <xsl:otherwise>
                  <xsl:value-of select="@title"/>
                </xsl:otherwise>
              </xsl:choose>
              </td>
            </xsl:for-each>
          </tr>
        </xsl:if>
        <xsl:for-each select="weeks/week">
        <tr class="week">
          <xsl:choose>
            <xsl:when test="./day/@type = 'filled'">
              <xsl:choose>
                <xsl:when test="@href != ''">
                  <td class="available"><a href="{@href}"><xsl:value-of select="@no"/></a></td>
                </xsl:when>
                <xsl:otherwise>
                  <td class="available"><xsl:value-of select="@no"/></td>
                </xsl:otherwise>
              </xsl:choose>
            </xsl:when>
            <xsl:otherwise>
              <td class="disabled"><xsl:value-of select="@no"/></td>
            </xsl:otherwise>
          </xsl:choose>
          <xsl:for-each select="day">
            <xsl:call-template name="monthcalendar_day">
              <xsl:with-param name="day" select="."/>
            </xsl:call-template>
          </xsl:for-each>
        </tr>
        </xsl:for-each>
      </table>
    </xsl:with-param>
  </xsl:call-template>
</xsl:template>

<xsl:template name="monthcalendar" match="monthcalendar">
  <xsl:param name="width">200</xsl:param>
  <xsl:param name="title"></xsl:param>
  <xsl:call-template name="panel">
    <xsl:with-param name="width" select="$width"/>
    <xsl:with-param name="title" select="$title"/>
    <xsl:with-param name="data">
      <table border="0" cellpadding="0" cellspacing="0" width="100%" class="listview">
        <xsl:if test="monthnav">
          <tr>
            <td class="listviewheader">
              <xsl:call-template name="monthcalendar_month">
                <xsl:with-param name="month" select="./monthnav/month[@position='prior']"/>
              </xsl:call-template>
            </td>
            <td align="center" width="100%" class="listviewheader" colspan="6">
              <xsl:call-template name="monthcalendar_month">
                <xsl:with-param name="month" select="./monthnav/month[@position='actual']"/>
              </xsl:call-template>
            </td>
            <td align="right" class="listviewheader">
              <xsl:call-template name="monthcalendar_month">
                <xsl:with-param name="month" select="./monthnav/month[@position='next']"/>
              </xsl:call-template>
            </td>
          </tr>
        </xsl:if>
        <xsl:if test="weekdays">
          <tr>
            <td class="listviewheader"><img src="pics/tpoint.gif" style="border: none; width: 1px; height: 1px;" alt="" /></td>
            <xsl:for-each select="weekdays/wday">
              <td class="listviewheader" align="center"><a href="{@href}" title="{@hint}"><xsl:value-of select="@title"/></a></td>
            </xsl:for-each>
          </tr>
        </xsl:if>
        <xsl:for-each select="weeks/week">
        <tr>
          <td class="listviewheader"><a href="{@href}"><xsl:value-of select="@no"/></a></td>
          <xsl:for-each select="day">
            <xsl:call-template name="monthcalendar_day">
              <xsl:with-param name="day" select="."/>
            </xsl:call-template>
          </xsl:for-each>
        </tr>
        </xsl:for-each>
      </table>
    </xsl:with-param>
  </xsl:call-template>
</xsl:template>

<xsl:template name="application_page">
<body>
  <xsl:if test="$PAPAYA_LOGINPAGE = 0">
    <xsl:attribute name="onload">initializePapayaControls(); <xsl:if test="$PAPAYA_USE_RICHTEXT">    initializeRichtext();</xsl:if></xsl:attribute>
    <div id="overDiv" style="position:absolute; visibility:hidden; z-index:2000;"></div>
  </xsl:if>
  <xsl:call-template name="windowtitle" />
  <xsl:call-template name="menu" />
  <table border="0" cellpadding="0" cellspacing="0" width="100%">
    <tr>
      <xsl:if test="leftcol">
        <td style="padding-left: 10px;"><img src="pics/tpoint.gif"  style="width: {$COLUMNWIDTH_LEFT}; height: 11px; border: none;" alt="" /></td>
      </xsl:if>
      <td width="100%"><img src="pics/tpoint.gif" style="width: 400px; height: 11px; border: none;" alt="" /></td>
    </tr>
    <tr valign="top">
      <xsl:if test="leftcol">
        <td style="padding-left: 10px;">
          <xsl:apply-templates select="leftcol/*"/>
        </td>
      </xsl:if>
      <td width="100%" style="padding: 0px 10px 0px 10px;">
         <xsl:choose>
           <xsl:when test="rightcol">
             <xsl:apply-templates select="toolbars/*"/>
             <table border="0" cellpadding="0" cellspacing="0" width="100%">
               <tr valign="top">
                 <td width="{$COLUMNWIDTH_CENTER}"><xsl:apply-templates select="centercol/*"/></td>
                 <td align="right" style="padding-left: 10px;">
                   <xsl:call-template name="messages">
                     <xsl:with-param name="messages" select="messages" />
                   </xsl:call-template>
                   <xsl:apply-templates select="rightcol/*"/>
                 </td>
               </tr>
               <tr>
                 <td><img src="pics/tpoint.gif" style="width: 400px; height: 1px; border: none;" alt="" /></td>
                 <td><img src="pics/tpoint.gif" style="width: {$COLUMNWIDTH_RIGHT}; height: 1px; border: none;" alt="" /></td>
               </tr>
             </table>
           </xsl:when>
           <xsl:otherwise>
             <xsl:apply-templates select="toolbars/*"/>
             <xsl:call-template name="messages">
               <xsl:with-param name="messages" select="messages" />
             </xsl:call-template>
             <xsl:apply-templates select="centercol/*"/>
           </xsl:otherwise>
         </xsl:choose>
      </td>
    </tr>
  </table>
</body>
</xsl:template>

<xsl:template name="thumbnail">
  <xsl:param name="src" select="@src"/>
  <xsl:param name="title" select="@title"/>
  <xsl:param name="hint" select="@hint"/>
  <xsl:param name="href" select="@href"/>
  <xsl:param name="size" select="@size"/>
  <xsl:param name="thumbsize">width:100px; height:80px;</xsl:param>
  <table border="0">
    <tr>
      <td title="{$hint}" align="center" style="{$thumbsize}">
        <xsl:choose>
          <xsl:when test="$src">
            <a href="{$href}" title="{$hint}"><img src="{$src}" border="0" alt="{$title}" title="{$hint}" class="inset" /></a>
          </xsl:when>
          <xsl:otherwise>
            <a href="{$href}" title="{$hint}"><img src="pics/glyphs/unknownfile.gif" style="border: none; width: 18px; height: 18px;" alt="" /></a></xsl:otherwise>
        </xsl:choose>
      </td>
    </tr>
    <tr>
      <td align="center">
        <a href="{@href}" title="{$hint}"><xsl:value-of select="@size"/></a>
      </td>
    </tr>
  </table>
</xsl:template>

<xsl:template name="thumbnail_table" match="thumbnails">
  <xsl:if test="line/thumbnail">
    <xsl:variable name="size" select="@size"/>
    <table border="0" align="center" class="plane">
      <xsl:if test="buttons/button">
        <tr>
          <td colspan="5" class="plane">
            <div class="toolbar">
              <table border="0" width="100%" cellpadding="0" cellspacing="0">
                <tr>
                  <xsl:for-each select="buttons/button">
                    <xsl:choose>
                      <xsl:when test="position() = 1">
                        <td width="33%">
                          <xsl:call-template name="toolbar_button">
                            <xsl:with-param name="data" select="."/>
                            <xsl:with-param name="seperator" select="FALSE"/>
                          </xsl:call-template>
                        </td>
                      </xsl:when>
                      <xsl:when test="position() = 2">
                        <td align="center" width="34%">
                          <xsl:call-template name="toolbar_button">
                            <xsl:with-param name="data" select="."/>
                            <xsl:with-param name="seperator" select="FALSE"/>
                          </xsl:call-template>
                        </td>
                      </xsl:when>
                      <xsl:when test="position() = 3">
                        <td align="right" width="33%">
                          <xsl:call-template name="toolbar_button">
                            <xsl:with-param name="data" select="."/>
                            <xsl:with-param name="seperator" select="FALSE"/>
                          </xsl:call-template>
                        </td>
                      </xsl:when>
                    </xsl:choose>
                  </xsl:for-each>
                </tr>
              </table>
            </div>
          </td>
        </tr>
      </xsl:if>
      <xsl:for-each select="line">
        <tr>
          <xsl:for-each select="thumbnail">
            <xsl:variable name="class">
              <xsl:choose>
                <xsl:when test="@selected">thumbnailsel</xsl:when>
                <xsl:otherwise>thumbnail</xsl:otherwise>
              </xsl:choose>
            </xsl:variable>
            <td align="center" class="{$class}">

              <xsl:choose>
                <xsl:when test="$size != ''">
                  <xsl:call-template name="thumbnail">
                    <xsl:with-param name="thumbsize" select="@size"/>
                  </xsl:call-template>
                </xsl:when>
                <xsl:otherwise>
                  <xsl:call-template name="thumbnail"/>
                </xsl:otherwise>
              </xsl:choose>
            </td>
          </xsl:for-each>
          <xsl:if test="spacer[@colpan > 1]">
            <td colspan="{spacer/@colspan}" class="plane">
              <img src="pics/tpoint.gif" style="border: none; width: 1px; height: 1px;" alt="" />
            </td>
          </xsl:if>
        </tr>
        <tr>
          <xsl:for-each select="thumbnail">
            <xsl:variable name="class">
              <xsl:choose>
                <xsl:when test="@selected">thumbnailtitlesel</xsl:when>
                <xsl:otherwise>thumbnailtitle</xsl:otherwise>
              </xsl:choose>
            </xsl:variable>
            <td align="center" class="{$class}">
              <a href="{@href}" title="{@hint}"><xsl:value-of select="@title"/></a>
            </td>
            <xsl:if test="spacer[@colpan > 1]">
              <td colspan="{spacer/@colspan}" class="plane">
                <img src="pics/tpoint.gif" style="border: none; width: 1px; height: 1px;" alt="" />
              </td>
            </xsl:if>
          </xsl:for-each>
        </tr>
      </xsl:for-each>
      <xsl:if test="buttons/button">
        <tr>
          <td colspan="5" class="plane">
            <div class="toolbar">
              <table border="0" width="100%" cellpadding="0" cellspacing="0">
                <tr>
                  <xsl:for-each select="buttons/button">
                    <xsl:choose>
                      <xsl:when test="position() = 1">
                        <td width="33%">
                          <xsl:call-template name="toolbar_button">
                            <xsl:with-param name="data" select="."/>
                            <xsl:with-param name="seperator" select="FALSE"/>
                          </xsl:call-template>
                        </td>
                      </xsl:when>
                      <xsl:when test="position() = 2">
                        <td align="center" width="34%">
                          <xsl:call-template name="toolbar_button">
                            <xsl:with-param name="data" select="."/>
                            <xsl:with-param name="seperator" select="FALSE"/>
                          </xsl:call-template>
                        </td>
                      </xsl:when>
                      <xsl:when test="position() = 3">
                        <td align="right" width="33%">
                          <xsl:call-template name="toolbar_button">
                            <xsl:with-param name="data" select="."/>
                            <xsl:with-param name="seperator" select="FALSE"/>
                          </xsl:call-template>
                        </td>
                      </xsl:when>
                    </xsl:choose>
                  </xsl:for-each>
                </tr>
              </table>
            </div>
          </td>
        </tr>
      </xsl:if>
    </table>
  </xsl:if>
</xsl:template>

<xsl:template match="grid">
  <xsl:param name="title" select="@title" />
  <xsl:param name="hint" select="@hint" />
  <xsl:param name="width" select="@width"/>
  <xsl:variable name="data">
    <table border="0" cellpadding="0" cellspacing="0" class="grid" width="100%">
      <xsl:for-each select="group">
        <xsl:variable name="rowcount" select="count(row)"/>
        <xsl:variable name="grouppos" select="position()"/>
        <xsl:variable name="grouphref" select="@href"/>
        <xsl:for-each select="row">
          <tr>
            <xsl:attribute name="class">
              <xsl:choose>
                <xsl:when test="(position() = 1) and ($grouppos > 1)">topline low</xsl:when>
                <xsl:when test="not(position() mod 2)">high</xsl:when>
                <xsl:otherwise>low</xsl:otherwise>
              </xsl:choose>
            </xsl:attribute>
            <xsl:if test="position() = 1">
              <th rowspan="{$rowcount}" class="rightline">
                <xsl:attribute name="class">
                  <xsl:choose>
                    <xsl:when test="not($grouppos mod 2)">group high</xsl:when>
                    <xsl:otherwise>group low</xsl:otherwise>
                  </xsl:choose>
                </xsl:attribute>
                <a href="{$grouphref}"><xsl:value-of select="$grouppos"/></a>
              </th>
            </xsl:if>
            <xsl:for-each select="cell">
              <td><xsl:apply-templates /></td>
            </xsl:for-each>
          </tr>
        </xsl:for-each>
      </xsl:for-each>
    </table>
  </xsl:variable>
  <xsl:call-template name="panel">
    <xsl:with-param name="title" select="$title" />
    <xsl:with-param name="hint" select="$hint" />
    <xsl:with-param name="width"><xsl:value-of select="$width"/></xsl:with-param>
    <xsl:with-param name="data" select="$data"/>
  </xsl:call-template>
</xsl:template>

<xsl:template name="application_frame">
<body>
  <xsl:apply-templates select="centercol/*"/>
</body>
</xsl:template>

<xsl:template name="application_frameset">
  <xsl:apply-templates select="centercol/*"/>
</xsl:template>

<xsl:template match="page">
<html>
  <head>
    <title>papaya CMS - <xsl:value-of select="$PAGE_PROJECT" disable-output-escaping="yes"/> [<xsl:value-of select="$PAGE_TITLE" disable-output-escaping="yes"/>]</title>
    <link rel="stylesheet" type="text/css" href="css.style.php" />
    <meta name="MSSmartTagsPreventParsing" content="TRUE" />
    <link rel="SHORTCUT ICON" href="./favicon.ico" />
    <xsl:if test="$PAPAYA_LOGINPAGE = 0">
      <script language="JavaScript" type="text/javascript">
      <xsl:comment>
        var ol_fgcolor="<xsl:value-of select="$PAPAYA_BGCOLOR_LIGHT"/>";
        var ol_bgcolor="<xsl:value-of select="$PAPAYA_BGCOLOR_DARK"/>";
        var ol_textcolor="<xsl:value-of select="$PAPAYA_FGCOLOR"/>";
      //</xsl:comment>
      </script>
      <script type="text/javascript" language="JavaScript" src="./script/overlib_mini.js"></script>

      <script type="text/javascript" language="JavaScript" src="./script/shortcut.js"></script>
      <script type="text/javascript" src="./script/controls.js"></script>
      <script type="text/javascript" src="./js.controls.php"></script>

      <script type="text/javascript" language="JavaScript" src="./script/flashmode.js"></script>
      <script type="text/vbscript" language="VBScript" src="./script/flashmode.vbs"></script>
      <script type="text/javascript" language="JavaScript" src="./script/flashfile.js"></script>

      <xsl:if test="$PAPAYA_USE_RICHTEXT">
        <script type="text/javascript" src="./script/fck/fckeditor.js"></script>
        <script type="text/javascript" src="./script/richtext_parser.js"></script>
        <script type="text/javascript" src="./js.richtext.php"></script>
      </xsl:if>
    </xsl:if>
  </head>
  <xsl:choose>
    <xsl:when test="$PAGE_MODE = 'frame'"><xsl:call-template name="application_frame" /></xsl:when>
    <xsl:when test="$PAGE_MODE = 'frameset'"><xsl:call-template name="application_frameset" /></xsl:when>
    <xsl:otherwise><xsl:call-template name="application_page" /></xsl:otherwise>
  </xsl:choose>
</html>
</xsl:template>

<xsl:template match="pagingbar">
  <div class="pagingframe">
    <div class="spacer">
  <xsl:if test="count(paging/pagingelement) &gt; 0">
    <div class="paging">
      <div class="subpaging">
        <xsl:for-each select="paging/pagingelement">
          <a href="{@href}">
            <xsl:if test="@selected">
              <xsl:attribute name="class">selected</xsl:attribute>
            </xsl:if>
            <xsl:value-of select="@num"/>
          </a>
        </xsl:for-each>
        <!-- <xsl:value-of select="@total" /> -->
      </div>
    </div>
  </xsl:if>
  <xsl:if test="count(limitlist/limitelement) &gt; 0">
    <div class="limits">
      <div class="sublimits">
        <xsl:for-each select="limitlist/limitelement">
          <a href="{@href}">
            <xsl:if test="@selected">
              <xsl:attribute name="class">selected</xsl:attribute>
            </xsl:if>
            <xsl:value-of select="@num"/>
          </a>
        </xsl:for-each>
        <!-- <xsl:value-of select="@total" /> -->
      </div>
    </div>
  </xsl:if>
    </div>
  </div>
</xsl:template>

<xsl:template match="option">
  <xsl:copy>
    <xsl:apply-templates select="@*" />
    <xsl:value-of disable-output-escaping="yes" select="." />
  </xsl:copy>
</xsl:template>

<xsl:template match="textarea">
  <textarea>
    <xsl:if test="not(@id)">
      <xsl:attribute name="id">textarea_<xsl:value-of disable-output-escaping="yes" select="@fid" /></xsl:attribute>
    </xsl:if>
    <xsl:apply-templates select="@*" />
    <xsl:value-of disable-output-escaping="yes" select="." />
  </textarea>
</xsl:template>

<xsl:template match="flash">
  <div align="center">
    <script type="text/javascript">
      outputFlash(hasFlash(5), '<xsl:value-of select="@src" />', '<xsl:value-of select="@width"/>', '<xsl:value-of select="@height"/>', null, 'showall', '', 'high');
    </script>
  </div>
</xsl:template>

<xsl:template match="@*|node()">
  <xsl:copy>
    <xsl:apply-templates select="@*|node()" />
  </xsl:copy>
</xsl:template>

</xsl:stylesheet>
