<?php
/**
* Page module - sitemap
*
* @package module_default
* @author Thomas Weinert <weinert@papaya-cms.com>
* @version $Id: content_sitemap.php,v 1.9 2006/05/18 11:23:55 rekowski Exp $
*/

/**
* Basic class page module
*/
require_once(PAPAYA_INCLUDE_PATH.'system/base_content.php');
/**
* Navigation class
*/
require_once(PAPAYA_INCLUDE_PATH.'system/base_sitemap.php');

/**
* page module - Sitemap
*
* @package module_default
* @author papaya-cms.com
*/
class content_sitemap extends base_content {

  var $editFields = array(
    'title'=>    array ('Title', 'isNoHTML', FALSE, 'input', 50, ''),
    'text'=>array ('Text', 'isSomeText', FALSE, 'textarea', 10),
    'cols'=>     array ('Columns', 'isNum', FALSE, 'input', 2, '', 2),
    'root'=>     array ('Base', 'isNum', FALSE, 'input', 5, ''),
    'format'=>   array ('View', 'isAlpha', TRUE, 'combo',
                        array('breadcrumb'=>'breadcrumb', 'path'=>'path', 'static'=>'static'),'','path'),
    'forstart'=> array ('Offset', 'isNum', FALSE, 'input', 2,'',2),
    'forend'=>   array ('Depth', 'isNum', FALSE, 'input', 2,'',2),
    'focus'=>    array ('Focus', 'isSomeText', TRUE, 'combo',
                        array('dyna'=>'dynamic', 'root'=>'root based'),'','root'),
    'foclevels'=>array ('Focus levels', 'isNum', FALSE, 'input', 2,'',0),
  );

  /**
  * Get parsed data
  *
  * @access public
  * @return string
  */
  function getParsedData() {
    $result = sprintf("<text>%s</text>", $this->getXHTMLString($this->data['text'], TRUE));
    $result = sprintf("<title>%s</title>", $this->getXHTMLString($this->data['title'], TRUE));
    $this->map = &new base_sitemap($this->topicObj, $this->data);
    $this->map->getMode = 'Content';
    $result .= $this->map->getXML();
    return $result;
  }

  /**
  * Get formular
  *
  * @access public
  * @return string
  */
  function getForm() {
    include_once(PAPAYA_INCLUDE_PATH.'system/base_dialog.php');
    if (!@$GLOBALS['PAPAYA_USER']->options['PAPAYA_USE_FLASHCONTROLS']) {
      return parent::getForm();
    }
    $paramString = array("iebait=".rand(11111,99999));
    $result = sprintf('<dialog title="%s" action="%s" width="100%%" name="editform">',
      $this->_gt('Edit Content'), $this->baseLink);
    $result .= '
        <script type="text/javascript">
        <![CDATA[
          function set_form(root, format, foclevels, forstart, forend, focus) {
            document.getElementById("formfield_root").value       = root;
            document.getElementById("formfield_focus").value      = focus;
            document.getElementById("formfield_format").value     = format;
            document.getElementById("formfield_foclevels").value  = foclevels;
            document.getElementById("formfield_forstart").value   = forstart;
            document.getElementById("formfield_forend").value     = forend;
          }
        ]]>
      </script>';
    $defaults = array(
        'root' => 2,
        'format'=>'path',
        'focus' => 'dyna',
        'foclevels' => 0,
        'forstart' => 1, 'forend' => 2,
        'save' => '1');
    foreach($defaults as $key=>$def){
      $check = @$this->editFields[$key][1];
      if (isset($this->editFields[$key]) && isset($this->data[$key]) && checkit::$check($this->data[$key], TRUE)) {
        $data = $this->data[$key];
      } else {
        $data = $def;
      }
      $result .= sprintf('<input type="hidden" name="%s[%s]" id="formfield_%s" value="%s" />',
                          $this->paramName, $key, $key, $data);
      $paramString[] = urlencode($key).'='.urlencode($data);
    }
    $null = NULL;
    $dialog = &new base_dialog($this, $this->paramName, $null, $null, $null);
    $result .= $dialog->getHidden();
    $result .= '<lines class="dialogXLarge">';
    $shortList = array(
      'title'=>$this->editFields['title'],
      'text'=>$this->editFields['text'],
      'cols'=>$this->editFields['cols']
    );
    foreach($shortList as $key=>$val) {
      if (isset($this->params[$key])) {
        $data = $this->params[$key];
      } elseif (isset($this->data[$key])) {
        $data = $this->data[$key];
      } else {
        $data = (isset($val[6])) ? $val[6] : NULL;
      }
      if ($str = base_dialog::getDlgElement($key, $val, $data)) {
        if (isset($val[5]) && trim($val[5])) {
            $result .= sprintf('<line caption="%s" hint="%s">%s</line>'.LF,
              $this->_gt($val[0]), $val[5], $str);
          } else {
            $result .= sprintf('<line caption="%s">%s</line>'.LF,
              $this->_gt($val[0]), $str);
          }
      }
    }
    $result .= '
      <line caption="'.papaya_strings::escapeHTMLChars($this->_gt('Properties')).'" align="left" valign="top">
      <OBJECT classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" id="movie" codebase="http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=5,0,0,0" WIDTH="600" HEIGHT="400">
  <PARAM NAME="movie" VALUE="flash/navtree.swf?'.implode('&amp;', $paramString).'" />
  <PARAM NAME="quality" VALUE="high" />
  <PARAM NAME="scale" VALUE="exactfit" />
  <PARAM NAME="wmode" VALUE="transparent" />
  <PARAM NAME="bgcolor" VALUE="#9DB9C8" />
  <EMBED src="flash/navtree.swf?'.implode('&amp;', $paramString).'" quality="high" scale="exactfit" wmode="transparent"  bgcolor="#9DB9C8"  WIDTH="600" HEIGHT="400" TYPE="application/x-shockwave-flash" PLUGINSPAGE="http://www.macromedia.com/shockwave/download/index.cgi?P1_Prod_Version=ShockwaveFlash" swLiveConnect="TRUE">
</EMBED>
</OBJECT>
      </line>
      </lines>
    ';
    $result .= sprintf('<dlgbutton value="%s" sandwich="sandwich"/>', $this->_gt('save'));
    $result .= '</dialog>'.LF;
    return $result;
  }

}

?>